%--------------------------------------------------------------------------
% File     : BOO017=SumProd-2 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Relating sum and product (X + Y = Z -> X * Z = X)
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [TPTP]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   24 (   0 non-Horn)(  17 unit)
%            Number of literals          :   32 (  32 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    8 (   5 constant)
%            Number of variables         :   44 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(x_times_y,hypothesis,
    [++equal(add(x,y),z)]).

input_clause(prove_sum,theorem,
    [--equal(multiply(x,z),x)]).
%--------------------------------------------------------------------------
