%--------------------------------------------------------------------------
% File     : HEN003=XDivX-3 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Henkin Models
% Problem  : X/X = zero
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : HP3 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   15 (   0 non-Horn)(   6 unit)
%            Number of literals          :   28 (  16 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :   31 (   3 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_x_divide_x_is_zero,theorem,
    [--equal(divide(a,a),zero)]).
%--------------------------------------------------------------------------
