%--------------------------------------------------------------------------
% File     : HEN012=XLeX-3 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= X
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : new.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   15 (   0 non-Horn)(   6 unit)
%            Number of literals          :   28 (  15 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :   31 (   3 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_a_LE_a,theorem,
    [--less_equal(a,a)]).
%--------------------------------------------------------------------------
