%--------------------------------------------------------------------------
% File     : PUZ009=Oona-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Puzzles
% Problem  : Looking for Oona
% Version  : 
% English  : In another curious incident, when the husband arrived 
%            on an island looking for Oona, he met 5 natives A,B,C,D,E who 
%            all guessed his purpose and grinned at meeting him. They 
%            said: A: Oona is on this island. B: Oona is not on this 
%            island. C: Oona was here yesterday. D: Oona is not here 
%            today, and she was not here yesterday. E: Either D is a knave 
%            or C is a knight. The logician thought for a while, but could 
%            get nowhere. `Won't one of you please make another 
%            statement?' the logician pleaded. At this point A said: 
%            Either E is a knave or C is a knight. Is Oona on the island?"

% Refs     : Smullyan R. M. (1987), Forever Undecided : a puzzle guide 
%            to Godel, Knopf, New York, NY.
% Source   : [ANL]
% Names    : oona.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   18 (   6 non-Horn)(   1 unit)
%            Number of literals          :   40 (   0 equality)
%            Number of predicate symbols :    5 (   5 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(c1,hypothesis,
    [--a_is_a_knight,--b_is_a_knight]).

input_clause(c2,hypothesis,
    [--a_is_a_knight,--d_is_a_knight]).

input_clause(c3,hypothesis,
    [--b_is_a_knight,--a_is_a_knight]).

input_clause(c4,hypothesis,
    [++b_is_a_knight,++a_is_a_knight]).

input_clause(c5,hypothesis,
    [--b_is_a_knight,++c_is_a_knight,++d_is_a_knight]).

input_clause(c6,hypothesis,
    [--c_is_a_knight,--d_is_a_knight]).

input_clause(c7,hypothesis,
    [--d_is_a_knight,--a_is_a_knight]).

input_clause(c8,hypothesis,
    [--d_is_a_knight,++b_is_a_knight]).

input_clause(c9,hypothesis,
    [--d_is_a_knight,--c_is_a_knight]).

input_clause(c10,hypothesis,
    [--e_is_a_knight,--d_is_a_knight,++c_is_a_knight]).

input_clause(c11,hypothesis,
    [++e_is_a_knight,++d_is_a_knight]).

input_clause(c12,hypothesis,
    [++e_is_a_knight,--c_is_a_knight]).

input_clause(c13,hypothesis,
    [++d_is_a_knight,++a_is_a_knight,++c_is_a_knight]).

input_clause(c14,hypothesis,
    [++d_is_a_knight,--b_is_a_knight,++c_is_a_knight]).

input_clause(c15,hypothesis,
    [--a_is_a_knight,--e_is_a_knight,++c_is_a_knight]).

input_clause(c16,hypothesis,
    [++a_is_a_knight,++e_is_a_knight]).

input_clause(c17,hypothesis,
    [++a_is_a_knight,--c_is_a_knight]).

input_clause(c18,theorem,
    [++b_is_a_knight]).
%--------------------------------------------------------------------------
