%--------------------------------------------------------------------------
% File     : SET012=CpmtIvln-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : Complement is an involution
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Wang T-C., Bledsoe W.W. (1987), Hierarchical Deduction,
%            Journal of Automated Deduction 3(1), 35-77.
% Source   : [ANL]
% Names    : S1 [McCharen, et al., 1976]
%          : EST-S1 [Wang & Bledsoe, 1987]

% Status   : 
% Syntax   : Number of clauses           :   33 (   3 non-Horn)(   4 unit)
%            Number of literals          :   72 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    6 (   2 constant)
%            Number of variables         :   80 (   5 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include set axioms 
include('Axioms/SET002-0.ax').
include('Axioms/SET002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_involution,theorem,
    [--equal_sets(complement(complement(a)),a)]).
%--------------------------------------------------------------------------
