%--------------------------------------------------------------------------
% File     : SET065=NullClSet-6 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : The null class is a set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SP5 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  160 (   8 non-Horn)(  31 unit)
%            Number of literals          :  333 ( 160 equality)
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   38 (   8 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_null_class_is_a_set_1,theorem,
    [--member(null_class,universal_class)]).
%--------------------------------------------------------------------------
