%--------------------------------------------------------------------------
% File     : SYN010=Letz-1.002 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Letz problem 
% Version  : Theorem formulation : Size 2-2.
% English  : 

% Refs     : Letz R., Mayr K., Goller C. (1993), Controlled Integrations of 
%            the Cut Rule into Connection Tableau Calculi, Unpublished.
% Source   : [Letz, et al., 1993]
% Names    : Example 5.1 [Letz, et al., 1993]

% Status   : 
% Syntax   : Number of clauses           :    6 (   0 non-Horn)(   3 unit)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    5 (   5 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p_0]).

input_clause(clause_2,theorem,
    [++p_0,--p_1_1,--p_1_2]).

input_clause(clause_3,theorem,
    [++p_1_1,--p_2_1,--p_2_2]).

input_clause(clause_4,theorem,
    [++p_1_2,--p_2_1,--p_2_2]).

input_clause(clause_5,theorem,
    [++p_2_1]).

input_clause(clause_6,theorem,
    [++p_2_2]).
%--------------------------------------------------------------------------
