%--------------------------------------------------------------------------
% File     : SYN053=FPell23-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 23
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 23 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    5 (   3 non-Horn)(   1 unit)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    2 (   1 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         :    4 (   4 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++p,
     ++big_f(X),
     ++big_f(Y)]).

input_clause(clause_2,theorem,
    [++p,
     ++big_f(X),
     ++big_f(b)]).

input_clause(clause_3,theorem,
    [--p]).

input_clause(clause_4,theorem,
    [--big_f(a),
     ++p,
     ++big_f(Y)]).

input_clause(clause_5,theorem,
    [--big_f(a),
     --big_f(b)]).
%--------------------------------------------------------------------------
