%--------------------------------------------------------------------------
% File     : SYN060=FPell30-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 30
% Version  : 
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 30 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    7 (   4 non-Horn)(   1 unit)
%            Number of literals          :   13 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :    6 (   0 singleton)
%            Maximal clause size         :    2
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     --big_h(X)]).

input_clause(clause_2,axiom,
    [++big_g(X),
     ++big_f(X)]).

input_clause(clause_3,axiom,
    [--big_g(X),
     --big_h(X)]).

input_clause(clause_4,axiom,
    [++big_g(X),
     ++big_h(X)]).

input_clause(clause_5,axiom,
    [++big_i(X),
     ++big_f(X)]).

input_clause(clause_6,axiom,
    [++big_i(X),
     ++big_h(X)]).

input_clause(clause_7,theorem,
    [--big_i(a)]).
%--------------------------------------------------------------------------
