%--------------------------------------------------------------------------
% File     : SYN065=FPell36-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 36
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 36 [Pelletier, 1986]
%          : p36.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   3 unit)
%            Number of literals          :   15 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    3 (   1 constant)
%            Number of variables         :   15 (   1 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(X,f(X))]).

input_clause(clause_2,axiom,
    [++big_g(X,g(X))]).

input_clause(clause_3,axiom,
    [--big_f(X,Y),
     --big_f(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_4,axiom,
    [--big_f(X,Y),
     --big_g(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_5,axiom,
    [--big_g(X,Y),
     --big_f(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_6,axiom,
    [--big_g(X,Y),
     --big_g(Y,Z),
     ++big_h(X,Z)]).

input_clause(clause_7,theorem,
    [--big_h(a,X)]).
%--------------------------------------------------------------------------
