%--------------------------------------------------------------------------
% File     : SYN079=FPell57-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 57
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 57 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    4 (   0 non-Horn)(   3 unit)
%            Number of literals          :    6 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :    3 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(f(a,b),f(b,c))]).

input_clause(clause_2,axiom,
    [++big_f(f(b,c),f(a,c))]).

input_clause(clause_3,axiom,
    [--big_f(X,Y),
     --big_f(Y,Z),
     ++big_f(X,Z)]).

input_clause(prove_this,theorem,
    [--big_f(f(a,b),f(a,c))]).
%--------------------------------------------------------------------------
