%--------------------------------------------------------------------------
% File     : SYN085=DAPs1-1.005 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem s(1,5)
% Version  : Theorem formulation : Size 5.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy, 
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   6 unit)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    6 (   6 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    6
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s1_goal_1,theorem,
    [--p_0]).

input_clause(s1_1,axiom,
    [++p_0,--p_1,--p_2,--p_3,--p_4,--p_5]).

input_clause(s1_2,axiom,
    [++p_1]).

input_clause(s1_3,axiom,
    [++p_2]).

input_clause(s1_4,axiom,
    [++p_3]).

input_clause(s1_5,axiom,
    [++p_4]).

input_clause(s1_6,axiom,
    [++p_5]).
%--------------------------------------------------------------------------
