%--------------------------------------------------------------------------
% File     : SYN085=DAPs1-1.020 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem s(1,20)
% Version  : Theorem formulation : Size 20.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   22 (   0 non-Horn)(  21 unit)
%            Number of literals          :   42 (   0 equality)
%            Number of predicate symbols :   21 (  21 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :   21
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s1_goal_1,theorem,
    [--p_0]).

input_clause(s1_1,axiom,
    [++p_0,
     --p_1,
     --p_2,
     --p_3,
     --p_4,
     --p_5,
     --p_6,
     --p_7,
     --p_8,
     --p_9,
     --p_10,
     --p_11,
     --p_12,
     --p_13,
     --p_14,
     --p_15,
     --p_16,
     --p_17,
     --p_18,
     --p_19,
     --p_20]).

input_clause(s1_2,axiom,
    [++p_1]).

input_clause(s1_3,axiom,
    [++p_2]).

input_clause(s1_4,axiom,
    [++p_3]).

input_clause(s1_5,axiom,
    [++p_4]).

input_clause(s1_6,axiom,
    [++p_5]).

input_clause(s1_7,axiom,
    [++p_6]).

input_clause(s1_8,axiom,
    [++p_7]).

input_clause(s1_9,axiom,
    [++p_8]).

input_clause(s1_10,axiom,
    [++p_9]).

input_clause(s1_11,axiom,
    [++p_10]).

input_clause(s1_12,axiom,
    [++p_11]).

input_clause(s1_13,axiom,
    [++p_12]).

input_clause(s1_14,axiom,
    [++p_13]).

input_clause(s1_15,axiom,
    [++p_14]).

input_clause(s1_16,axiom,
    [++p_15]).

input_clause(s1_17,axiom,
    [++p_16]).

input_clause(s1_18,axiom,
    [++p_17]).

input_clause(s1_19,axiom,
    [++p_18]).

input_clause(s1_20,axiom,
    [++p_19]).

input_clause(s1_21,axiom,
    [++p_20]).
%--------------------------------------------------------------------------
