%--------------------------------------------------------------------------
% File     : SYN089=DAPt2-1.020 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem t(2,20)
% Version  : Theorem formulation : Size 20.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           : 1601 (   0 non-Horn)(  41 unit)
%            Number of literals          : 4681 (   0 equality)
%            Number of predicate symbols :  420 ( 420 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s2_goal_1,theorem,
    [--p_1_20]).

input_clause(s2_type1_1,axiom,
    [++p_1_2,--p_2_2,--p_1_1]).

input_clause(s2_type1_2,axiom,
    [++p_1_2,--p_2_2,--q_1_1]).

input_clause(s2_type1_3,axiom,
    [++p_1_2,--q_2_2,--p_1_1]).

input_clause(s2_type1_4,axiom,
    [++p_1_2,--q_2_2,--q_1_1]).

input_clause(s2_type1_5,axiom,
    [++q_1_2,--p_2_2,--p_1_1]).

input_clause(s2_type1_6,axiom,
    [++q_1_2,--p_2_2,--q_1_1]).

input_clause(s2_type1_7,axiom,
    [++q_1_2,--q_2_2,--p_1_1]).

input_clause(s2_type1_8,axiom,
    [++q_1_2,--q_2_2,--q_1_1]).

input_clause(s2_type1_9,axiom,
    [++p_1_3,--p_2_3,--p_1_2]).

input_clause(s2_type1_10,axiom,
    [++p_1_3,--p_2_3,--q_1_2]).

input_clause(s2_type1_11,axiom,
    [++p_1_3,--q_2_3,--p_1_2]).

input_clause(s2_type1_12,axiom,
    [++p_1_3,--q_2_3,--q_1_2]).

input_clause(s2_type1_13,axiom,
    [++q_1_3,--p_2_3,--p_1_2]).

input_clause(s2_type1_14,axiom,
    [++q_1_3,--p_2_3,--q_1_2]).

input_clause(s2_type1_15,axiom,
    [++q_1_3,--q_2_3,--p_1_2]).

input_clause(s2_type1_16,axiom,
    [++q_1_3,--q_2_3,--q_1_2]).

input_clause(s2_type1_17,axiom,
    [++p_1_4,--p_2_4,--p_1_3]).

input_clause(s2_type1_18,axiom,
    [++p_1_4,--p_2_4,--q_1_3]).

input_clause(s2_type1_19,axiom,
    [++p_1_4,--q_2_4,--p_1_3]).

input_clause(s2_type1_20,axiom,
    [++p_1_4,--q_2_4,--q_1_3]).

input_clause(s2_type1_21,axiom,
    [++q_1_4,--p_2_4,--p_1_3]).

input_clause(s2_type1_22,axiom,
    [++q_1_4,--p_2_4,--q_1_3]).

input_clause(s2_type1_23,axiom,
    [++q_1_4,--q_2_4,--p_1_3]).

input_clause(s2_type1_24,axiom,
    [++q_1_4,--q_2_4,--q_1_3]).

input_clause(s2_type1_25,axiom,
    [++p_1_5,--p_2_5,--p_1_4]).

input_clause(s2_type1_26,axiom,
    [++p_1_5,--p_2_5,--q_1_4]).

input_clause(s2_type1_27,axiom,
    [++p_1_5,--q_2_5,--p_1_4]).

input_clause(s2_type1_28,axiom,
    [++p_1_5,--q_2_5,--q_1_4]).

input_clause(s2_type1_29,axiom,
    [++q_1_5,--p_2_5,--p_1_4]).

input_clause(s2_type1_30,axiom,
    [++q_1_5,--p_2_5,--q_1_4]).

input_clause(s2_type1_31,axiom,
    [++q_1_5,--q_2_5,--p_1_4]).

input_clause(s2_type1_32,axiom,
    [++q_1_5,--q_2_5,--q_1_4]).

input_clause(s2_type1_33,axiom,
    [++p_1_6,--p_2_6,--p_1_5]).

input_clause(s2_type1_34,axiom,
    [++p_1_6,--p_2_6,--q_1_5]).

input_clause(s2_type1_35,axiom,
    [++p_1_6,--q_2_6,--p_1_5]).

input_clause(s2_type1_36,axiom,
    [++p_1_6,--q_2_6,--q_1_5]).

input_clause(s2_type1_37,axiom,
    [++q_1_6,--p_2_6,--p_1_5]).

input_clause(s2_type1_38,axiom,
    [++q_1_6,--p_2_6,--q_1_5]).

input_clause(s2_type1_39,axiom,
    [++q_1_6,--q_2_6,--p_1_5]).

input_clause(s2_type1_40,axiom,
    [++q_1_6,--q_2_6,--q_1_5]).

input_clause(s2_type1_41,axiom,
    [++p_1_7,--p_2_7,--p_1_6]).

input_clause(s2_type1_42,axiom,
    [++p_1_7,--p_2_7,--q_1_6]).

input_clause(s2_type1_43,axiom,
    [++p_1_7,--q_2_7,--p_1_6]).

input_clause(s2_type1_44,axiom,
    [++p_1_7,--q_2_7,--q_1_6]).

input_clause(s2_type1_45,axiom,
    [++q_1_7,--p_2_7,--p_1_6]).

input_clause(s2_type1_46,axiom,
    [++q_1_7,--p_2_7,--q_1_6]).

input_clause(s2_type1_47,axiom,
    [++q_1_7,--q_2_7,--p_1_6]).

input_clause(s2_type1_48,axiom,
    [++q_1_7,--q_2_7,--q_1_6]).

input_clause(s2_type1_49,axiom,
    [++p_1_8,--p_2_8,--p_1_7]).

input_clause(s2_type1_50,axiom,
    [++p_1_8,--p_2_8,--q_1_7]).

input_clause(s2_type1_51,axiom,
    [++p_1_8,--q_2_8,--p_1_7]).

input_clause(s2_type1_52,axiom,
    [++p_1_8,--q_2_8,--q_1_7]).

input_clause(s2_type1_53,axiom,
    [++q_1_8,--p_2_8,--p_1_7]).

input_clause(s2_type1_54,axiom,
    [++q_1_8,--p_2_8,--q_1_7]).

input_clause(s2_type1_55,axiom,
    [++q_1_8,--q_2_8,--p_1_7]).

input_clause(s2_type1_56,axiom,
    [++q_1_8,--q_2_8,--q_1_7]).

input_clause(s2_type1_57,axiom,
    [++p_1_9,--p_2_9,--p_1_8]).

input_clause(s2_type1_58,axiom,
    [++p_1_9,--p_2_9,--q_1_8]).

input_clause(s2_type1_59,axiom,
    [++p_1_9,--q_2_9,--p_1_8]).

input_clause(s2_type1_60,axiom,
    [++p_1_9,--q_2_9,--q_1_8]).

input_clause(s2_type1_61,axiom,
    [++q_1_9,--p_2_9,--p_1_8]).

input_clause(s2_type1_62,axiom,
    [++q_1_9,--p_2_9,--q_1_8]).

input_clause(s2_type1_63,axiom,
    [++q_1_9,--q_2_9,--p_1_8]).

input_clause(s2_type1_64,axiom,
    [++q_1_9,--q_2_9,--q_1_8]).

input_clause(s2_type1_65,axiom,
    [++p_1_10,--p_2_10,--p_1_9]).

input_clause(s2_type1_66,axiom,
    [++p_1_10,--p_2_10,--q_1_9]).

input_clause(s2_type1_67,axiom,
    [++p_1_10,--q_2_10,--p_1_9]).

input_clause(s2_type1_68,axiom,
    [++p_1_10,--q_2_10,--q_1_9]).

input_clause(s2_type1_69,axiom,
    [++q_1_10,--p_2_10,--p_1_9]).

input_clause(s2_type1_70,axiom,
    [++q_1_10,--p_2_10,--q_1_9]).

input_clause(s2_type1_71,axiom,
    [++q_1_10,--q_2_10,--p_1_9]).

input_clause(s2_type1_72,axiom,
    [++q_1_10,--q_2_10,--q_1_9]).

input_clause(s2_type1_73,axiom,
    [++p_1_11,--p_2_11,--p_1_10]).

input_clause(s2_type1_74,axiom,
    [++p_1_11,--p_2_11,--q_1_10]).

input_clause(s2_type1_75,axiom,
    [++p_1_11,--q_2_11,--p_1_10]).

input_clause(s2_type1_76,axiom,
    [++p_1_11,--q_2_11,--q_1_10]).

input_clause(s2_type1_77,axiom,
    [++q_1_11,--p_2_11,--p_1_10]).

input_clause(s2_type1_78,axiom,
    [++q_1_11,--p_2_11,--q_1_10]).

input_clause(s2_type1_79,axiom,
    [++q_1_11,--q_2_11,--p_1_10]).

input_clause(s2_type1_80,axiom,
    [++q_1_11,--q_2_11,--q_1_10]).

input_clause(s2_type1_81,axiom,
    [++p_1_12,--p_2_12,--p_1_11]).

input_clause(s2_type1_82,axiom,
    [++p_1_12,--p_2_12,--q_1_11]).

input_clause(s2_type1_83,axiom,
    [++p_1_12,--q_2_12,--p_1_11]).

input_clause(s2_type1_84,axiom,
    [++p_1_12,--q_2_12,--q_1_11]).

input_clause(s2_type1_85,axiom,
    [++q_1_12,--p_2_12,--p_1_11]).

input_clause(s2_type1_86,axiom,
    [++q_1_12,--p_2_12,--q_1_11]).

input_clause(s2_type1_87,axiom,
    [++q_1_12,--q_2_12,--p_1_11]).

input_clause(s2_type1_88,axiom,
    [++q_1_12,--q_2_12,--q_1_11]).

input_clause(s2_type1_89,axiom,
    [++p_1_13,--p_2_13,--p_1_12]).

input_clause(s2_type1_90,axiom,
    [++p_1_13,--p_2_13,--q_1_12]).

input_clause(s2_type1_91,axiom,
    [++p_1_13,--q_2_13,--p_1_12]).

input_clause(s2_type1_92,axiom,
    [++p_1_13,--q_2_13,--q_1_12]).

input_clause(s2_type1_93,axiom,
    [++q_1_13,--p_2_13,--p_1_12]).

input_clause(s2_type1_94,axiom,
    [++q_1_13,--p_2_13,--q_1_12]).

input_clause(s2_type1_95,axiom,
    [++q_1_13,--q_2_13,--p_1_12]).

input_clause(s2_type1_96,axiom,
    [++q_1_13,--q_2_13,--q_1_12]).

input_clause(s2_type1_97,axiom,
    [++p_1_14,--p_2_14,--p_1_13]).

input_clause(s2_type1_98,axiom,
    [++p_1_14,--p_2_14,--q_1_13]).

input_clause(s2_type1_99,axiom,
    [++p_1_14,--q_2_14,--p_1_13]).

input_clause(s2_type1_100,axiom,
    [++p_1_14,--q_2_14,--q_1_13]).

input_clause(s2_type1_101,axiom,
    [++q_1_14,--p_2_14,--p_1_13]).

input_clause(s2_type1_102,axiom,
    [++q_1_14,--p_2_14,--q_1_13]).

input_clause(s2_type1_103,axiom,
    [++q_1_14,--q_2_14,--p_1_13]).

input_clause(s2_type1_104,axiom,
    [++q_1_14,--q_2_14,--q_1_13]).

input_clause(s2_type1_105,axiom,
    [++p_1_15,--p_2_15,--p_1_14]).

input_clause(s2_type1_106,axiom,
    [++p_1_15,--p_2_15,--q_1_14]).

input_clause(s2_type1_107,axiom,
    [++p_1_15,--q_2_15,--p_1_14]).

input_clause(s2_type1_108,axiom,
    [++p_1_15,--q_2_15,--q_1_14]).

input_clause(s2_type1_109,axiom,
    [++q_1_15,--p_2_15,--p_1_14]).

input_clause(s2_type1_110,axiom,
    [++q_1_15,--p_2_15,--q_1_14]).

input_clause(s2_type1_111,axiom,
    [++q_1_15,--q_2_15,--p_1_14]).

input_clause(s2_type1_112,axiom,
    [++q_1_15,--q_2_15,--q_1_14]).

input_clause(s2_type1_113,axiom,
    [++p_1_16,--p_2_16,--p_1_15]).

input_clause(s2_type1_114,axiom,
    [++p_1_16,--p_2_16,--q_1_15]).

input_clause(s2_type1_115,axiom,
    [++p_1_16,--q_2_16,--p_1_15]).

input_clause(s2_type1_116,axiom,
    [++p_1_16,--q_2_16,--q_1_15]).

input_clause(s2_type1_117,axiom,
    [++q_1_16,--p_2_16,--p_1_15]).

input_clause(s2_type1_118,axiom,
    [++q_1_16,--p_2_16,--q_1_15]).

input_clause(s2_type1_119,axiom,
    [++q_1_16,--q_2_16,--p_1_15]).

input_clause(s2_type1_120,axiom,
    [++q_1_16,--q_2_16,--q_1_15]).

input_clause(s2_type1_121,axiom,
    [++p_1_17,--p_2_17,--p_1_16]).

input_clause(s2_type1_122,axiom,
    [++p_1_17,--p_2_17,--q_1_16]).

input_clause(s2_type1_123,axiom,
    [++p_1_17,--q_2_17,--p_1_16]).

input_clause(s2_type1_124,axiom,
    [++p_1_17,--q_2_17,--q_1_16]).

input_clause(s2_type1_125,axiom,
    [++q_1_17,--p_2_17,--p_1_16]).

input_clause(s2_type1_126,axiom,
    [++q_1_17,--p_2_17,--q_1_16]).

input_clause(s2_type1_127,axiom,
    [++q_1_17,--q_2_17,--p_1_16]).

input_clause(s2_type1_128,axiom,
    [++q_1_17,--q_2_17,--q_1_16]).

input_clause(s2_type1_129,axiom,
    [++p_1_18,--p_2_18,--p_1_17]).

input_clause(s2_type1_130,axiom,
    [++p_1_18,--p_2_18,--q_1_17]).

input_clause(s2_type1_131,axiom,
    [++p_1_18,--q_2_18,--p_1_17]).

input_clause(s2_type1_132,axiom,
    [++p_1_18,--q_2_18,--q_1_17]).

input_clause(s2_type1_133,axiom,
    [++q_1_18,--p_2_18,--p_1_17]).

input_clause(s2_type1_134,axiom,
    [++q_1_18,--p_2_18,--q_1_17]).

input_clause(s2_type1_135,axiom,
    [++q_1_18,--q_2_18,--p_1_17]).

input_clause(s2_type1_136,axiom,
    [++q_1_18,--q_2_18,--q_1_17]).

input_clause(s2_type1_137,axiom,
    [++p_1_19,--p_2_19,--p_1_18]).

input_clause(s2_type1_138,axiom,
    [++p_1_19,--p_2_19,--q_1_18]).

input_clause(s2_type1_139,axiom,
    [++p_1_19,--q_2_19,--p_1_18]).

input_clause(s2_type1_140,axiom,
    [++p_1_19,--q_2_19,--q_1_18]).

input_clause(s2_type1_141,axiom,
    [++q_1_19,--p_2_19,--p_1_18]).

input_clause(s2_type1_142,axiom,
    [++q_1_19,--p_2_19,--q_1_18]).

input_clause(s2_type1_143,axiom,
    [++q_1_19,--q_2_19,--p_1_18]).

input_clause(s2_type1_144,axiom,
    [++q_1_19,--q_2_19,--q_1_18]).

input_clause(s2_type1_145,axiom,
    [++p_1_20,--p_2_20,--p_1_19]).

input_clause(s2_type1_146,axiom,
    [++p_1_20,--p_2_20,--q_1_19]).

input_clause(s2_type1_147,axiom,
    [++p_1_20,--q_2_20,--p_1_19]).

input_clause(s2_type1_148,axiom,
    [++p_1_20,--q_2_20,--q_1_19]).

input_clause(s2_type1_149,axiom,
    [++q_1_20,--p_2_20,--p_1_19]).

input_clause(s2_type1_150,axiom,
    [++q_1_20,--p_2_20,--q_1_19]).

input_clause(s2_type1_151,axiom,
    [++q_1_20,--q_2_20,--p_1_19]).

input_clause(s2_type1_152,axiom,
    [++q_1_20,--q_2_20,--q_1_19]).

input_clause(s2_type1_153,axiom,
    [++p_2_3,--p_3_3,--p_2_2]).

input_clause(s2_type1_154,axiom,
    [++p_2_3,--p_3_3,--q_2_2]).

input_clause(s2_type1_155,axiom,
    [++p_2_3,--q_3_3,--p_2_2]).

input_clause(s2_type1_156,axiom,
    [++p_2_3,--q_3_3,--q_2_2]).

input_clause(s2_type1_157,axiom,
    [++q_2_3,--p_3_3,--p_2_2]).

input_clause(s2_type1_158,axiom,
    [++q_2_3,--p_3_3,--q_2_2]).

input_clause(s2_type1_159,axiom,
    [++q_2_3,--q_3_3,--p_2_2]).

input_clause(s2_type1_160,axiom,
    [++q_2_3,--q_3_3,--q_2_2]).

input_clause(s2_type1_161,axiom,
    [++p_2_4,--p_3_4,--p_2_3]).

input_clause(s2_type1_162,axiom,
    [++p_2_4,--p_3_4,--q_2_3]).

input_clause(s2_type1_163,axiom,
    [++p_2_4,--q_3_4,--p_2_3]).

input_clause(s2_type1_164,axiom,
    [++p_2_4,--q_3_4,--q_2_3]).

input_clause(s2_type1_165,axiom,
    [++q_2_4,--p_3_4,--p_2_3]).

input_clause(s2_type1_166,axiom,
    [++q_2_4,--p_3_4,--q_2_3]).

input_clause(s2_type1_167,axiom,
    [++q_2_4,--q_3_4,--p_2_3]).

input_clause(s2_type1_168,axiom,
    [++q_2_4,--q_3_4,--q_2_3]).

input_clause(s2_type1_169,axiom,
    [++p_2_5,--p_3_5,--p_2_4]).

input_clause(s2_type1_170,axiom,
    [++p_2_5,--p_3_5,--q_2_4]).

input_clause(s2_type1_171,axiom,
    [++p_2_5,--q_3_5,--p_2_4]).

input_clause(s2_type1_172,axiom,
    [++p_2_5,--q_3_5,--q_2_4]).

input_clause(s2_type1_173,axiom,
    [++q_2_5,--p_3_5,--p_2_4]).

input_clause(s2_type1_174,axiom,
    [++q_2_5,--p_3_5,--q_2_4]).

input_clause(s2_type1_175,axiom,
    [++q_2_5,--q_3_5,--p_2_4]).

input_clause(s2_type1_176,axiom,
    [++q_2_5,--q_3_5,--q_2_4]).

input_clause(s2_type1_177,axiom,
    [++p_2_6,--p_3_6,--p_2_5]).

input_clause(s2_type1_178,axiom,
    [++p_2_6,--p_3_6,--q_2_5]).

input_clause(s2_type1_179,axiom,
    [++p_2_6,--q_3_6,--p_2_5]).

input_clause(s2_type1_180,axiom,
    [++p_2_6,--q_3_6,--q_2_5]).

input_clause(s2_type1_181,axiom,
    [++q_2_6,--p_3_6,--p_2_5]).

input_clause(s2_type1_182,axiom,
    [++q_2_6,--p_3_6,--q_2_5]).

input_clause(s2_type1_183,axiom,
    [++q_2_6,--q_3_6,--p_2_5]).

input_clause(s2_type1_184,axiom,
    [++q_2_6,--q_3_6,--q_2_5]).

input_clause(s2_type1_185,axiom,
    [++p_2_7,--p_3_7,--p_2_6]).

input_clause(s2_type1_186,axiom,
    [++p_2_7,--p_3_7,--q_2_6]).

input_clause(s2_type1_187,axiom,
    [++p_2_7,--q_3_7,--p_2_6]).

input_clause(s2_type1_188,axiom,
    [++p_2_7,--q_3_7,--q_2_6]).

input_clause(s2_type1_189,axiom,
    [++q_2_7,--p_3_7,--p_2_6]).

input_clause(s2_type1_190,axiom,
    [++q_2_7,--p_3_7,--q_2_6]).

input_clause(s2_type1_191,axiom,
    [++q_2_7,--q_3_7,--p_2_6]).

input_clause(s2_type1_192,axiom,
    [++q_2_7,--q_3_7,--q_2_6]).

input_clause(s2_type1_193,axiom,
    [++p_2_8,--p_3_8,--p_2_7]).

input_clause(s2_type1_194,axiom,
    [++p_2_8,--p_3_8,--q_2_7]).

input_clause(s2_type1_195,axiom,
    [++p_2_8,--q_3_8,--p_2_7]).

input_clause(s2_type1_196,axiom,
    [++p_2_8,--q_3_8,--q_2_7]).

input_clause(s2_type1_197,axiom,
    [++q_2_8,--p_3_8,--p_2_7]).

input_clause(s2_type1_198,axiom,
    [++q_2_8,--p_3_8,--q_2_7]).

input_clause(s2_type1_199,axiom,
    [++q_2_8,--q_3_8,--p_2_7]).

input_clause(s2_type1_200,axiom,
    [++q_2_8,--q_3_8,--q_2_7]).

input_clause(s2_type1_201,axiom,
    [++p_2_9,--p_3_9,--p_2_8]).

input_clause(s2_type1_202,axiom,
    [++p_2_9,--p_3_9,--q_2_8]).

input_clause(s2_type1_203,axiom,
    [++p_2_9,--q_3_9,--p_2_8]).

input_clause(s2_type1_204,axiom,
    [++p_2_9,--q_3_9,--q_2_8]).

input_clause(s2_type1_205,axiom,
    [++q_2_9,--p_3_9,--p_2_8]).

input_clause(s2_type1_206,axiom,
    [++q_2_9,--p_3_9,--q_2_8]).

input_clause(s2_type1_207,axiom,
    [++q_2_9,--q_3_9,--p_2_8]).

input_clause(s2_type1_208,axiom,
    [++q_2_9,--q_3_9,--q_2_8]).

input_clause(s2_type1_209,axiom,
    [++p_2_10,--p_3_10,--p_2_9]).

input_clause(s2_type1_210,axiom,
    [++p_2_10,--p_3_10,--q_2_9]).

input_clause(s2_type1_211,axiom,
    [++p_2_10,--q_3_10,--p_2_9]).

input_clause(s2_type1_212,axiom,
    [++p_2_10,--q_3_10,--q_2_9]).

input_clause(s2_type1_213,axiom,
    [++q_2_10,--p_3_10,--p_2_9]).

input_clause(s2_type1_214,axiom,
    [++q_2_10,--p_3_10,--q_2_9]).

input_clause(s2_type1_215,axiom,
    [++q_2_10,--q_3_10,--p_2_9]).

input_clause(s2_type1_216,axiom,
    [++q_2_10,--q_3_10,--q_2_9]).

input_clause(s2_type1_217,axiom,
    [++p_2_11,--p_3_11,--p_2_10]).

input_clause(s2_type1_218,axiom,
    [++p_2_11,--p_3_11,--q_2_10]).

input_clause(s2_type1_219,axiom,
    [++p_2_11,--q_3_11,--p_2_10]).

input_clause(s2_type1_220,axiom,
    [++p_2_11,--q_3_11,--q_2_10]).

input_clause(s2_type1_221,axiom,
    [++q_2_11,--p_3_11,--p_2_10]).

input_clause(s2_type1_222,axiom,
    [++q_2_11,--p_3_11,--q_2_10]).

input_clause(s2_type1_223,axiom,
    [++q_2_11,--q_3_11,--p_2_10]).

input_clause(s2_type1_224,axiom,
    [++q_2_11,--q_3_11,--q_2_10]).

input_clause(s2_type1_225,axiom,
    [++p_2_12,--p_3_12,--p_2_11]).

input_clause(s2_type1_226,axiom,
    [++p_2_12,--p_3_12,--q_2_11]).

input_clause(s2_type1_227,axiom,
    [++p_2_12,--q_3_12,--p_2_11]).

input_clause(s2_type1_228,axiom,
    [++p_2_12,--q_3_12,--q_2_11]).

input_clause(s2_type1_229,axiom,
    [++q_2_12,--p_3_12,--p_2_11]).

input_clause(s2_type1_230,axiom,
    [++q_2_12,--p_3_12,--q_2_11]).

input_clause(s2_type1_231,axiom,
    [++q_2_12,--q_3_12,--p_2_11]).

input_clause(s2_type1_232,axiom,
    [++q_2_12,--q_3_12,--q_2_11]).

input_clause(s2_type1_233,axiom,
    [++p_2_13,--p_3_13,--p_2_12]).

input_clause(s2_type1_234,axiom,
    [++p_2_13,--p_3_13,--q_2_12]).

input_clause(s2_type1_235,axiom,
    [++p_2_13,--q_3_13,--p_2_12]).

input_clause(s2_type1_236,axiom,
    [++p_2_13,--q_3_13,--q_2_12]).

input_clause(s2_type1_237,axiom,
    [++q_2_13,--p_3_13,--p_2_12]).

input_clause(s2_type1_238,axiom,
    [++q_2_13,--p_3_13,--q_2_12]).

input_clause(s2_type1_239,axiom,
    [++q_2_13,--q_3_13,--p_2_12]).

input_clause(s2_type1_240,axiom,
    [++q_2_13,--q_3_13,--q_2_12]).

input_clause(s2_type1_241,axiom,
    [++p_2_14,--p_3_14,--p_2_13]).

input_clause(s2_type1_242,axiom,
    [++p_2_14,--p_3_14,--q_2_13]).

input_clause(s2_type1_243,axiom,
    [++p_2_14,--q_3_14,--p_2_13]).

input_clause(s2_type1_244,axiom,
    [++p_2_14,--q_3_14,--q_2_13]).

input_clause(s2_type1_245,axiom,
    [++q_2_14,--p_3_14,--p_2_13]).

input_clause(s2_type1_246,axiom,
    [++q_2_14,--p_3_14,--q_2_13]).

input_clause(s2_type1_247,axiom,
    [++q_2_14,--q_3_14,--p_2_13]).

input_clause(s2_type1_248,axiom,
    [++q_2_14,--q_3_14,--q_2_13]).

input_clause(s2_type1_249,axiom,
    [++p_2_15,--p_3_15,--p_2_14]).

input_clause(s2_type1_250,axiom,
    [++p_2_15,--p_3_15,--q_2_14]).

input_clause(s2_type1_251,axiom,
    [++p_2_15,--q_3_15,--p_2_14]).

input_clause(s2_type1_252,axiom,
    [++p_2_15,--q_3_15,--q_2_14]).

input_clause(s2_type1_253,axiom,
    [++q_2_15,--p_3_15,--p_2_14]).

input_clause(s2_type1_254,axiom,
    [++q_2_15,--p_3_15,--q_2_14]).

input_clause(s2_type1_255,axiom,
    [++q_2_15,--q_3_15,--p_2_14]).

input_clause(s2_type1_256,axiom,
    [++q_2_15,--q_3_15,--q_2_14]).

input_clause(s2_type1_257,axiom,
    [++p_2_16,--p_3_16,--p_2_15]).

input_clause(s2_type1_258,axiom,
    [++p_2_16,--p_3_16,--q_2_15]).

input_clause(s2_type1_259,axiom,
    [++p_2_16,--q_3_16,--p_2_15]).

input_clause(s2_type1_260,axiom,
    [++p_2_16,--q_3_16,--q_2_15]).

input_clause(s2_type1_261,axiom,
    [++q_2_16,--p_3_16,--p_2_15]).

input_clause(s2_type1_262,axiom,
    [++q_2_16,--p_3_16,--q_2_15]).

input_clause(s2_type1_263,axiom,
    [++q_2_16,--q_3_16,--p_2_15]).

input_clause(s2_type1_264,axiom,
    [++q_2_16,--q_3_16,--q_2_15]).

input_clause(s2_type1_265,axiom,
    [++p_2_17,--p_3_17,--p_2_16]).

input_clause(s2_type1_266,axiom,
    [++p_2_17,--p_3_17,--q_2_16]).

input_clause(s2_type1_267,axiom,
    [++p_2_17,--q_3_17,--p_2_16]).

input_clause(s2_type1_268,axiom,
    [++p_2_17,--q_3_17,--q_2_16]).

input_clause(s2_type1_269,axiom,
    [++q_2_17,--p_3_17,--p_2_16]).

input_clause(s2_type1_270,axiom,
    [++q_2_17,--p_3_17,--q_2_16]).

input_clause(s2_type1_271,axiom,
    [++q_2_17,--q_3_17,--p_2_16]).

input_clause(s2_type1_272,axiom,
    [++q_2_17,--q_3_17,--q_2_16]).

input_clause(s2_type1_273,axiom,
    [++p_2_18,--p_3_18,--p_2_17]).

input_clause(s2_type1_274,axiom,
    [++p_2_18,--p_3_18,--q_2_17]).

input_clause(s2_type1_275,axiom,
    [++p_2_18,--q_3_18,--p_2_17]).

input_clause(s2_type1_276,axiom,
    [++p_2_18,--q_3_18,--q_2_17]).

input_clause(s2_type1_277,axiom,
    [++q_2_18,--p_3_18,--p_2_17]).

input_clause(s2_type1_278,axiom,
    [++q_2_18,--p_3_18,--q_2_17]).

input_clause(s2_type1_279,axiom,
    [++q_2_18,--q_3_18,--p_2_17]).

input_clause(s2_type1_280,axiom,
    [++q_2_18,--q_3_18,--q_2_17]).

input_clause(s2_type1_281,axiom,
    [++p_2_19,--p_3_19,--p_2_18]).

input_clause(s2_type1_282,axiom,
    [++p_2_19,--p_3_19,--q_2_18]).

input_clause(s2_type1_283,axiom,
    [++p_2_19,--q_3_19,--p_2_18]).

input_clause(s2_type1_284,axiom,
    [++p_2_19,--q_3_19,--q_2_18]).

input_clause(s2_type1_285,axiom,
    [++q_2_19,--p_3_19,--p_2_18]).

input_clause(s2_type1_286,axiom,
    [++q_2_19,--p_3_19,--q_2_18]).

input_clause(s2_type1_287,axiom,
    [++q_2_19,--q_3_19,--p_2_18]).

input_clause(s2_type1_288,axiom,
    [++q_2_19,--q_3_19,--q_2_18]).

input_clause(s2_type1_289,axiom,
    [++p_2_20,--p_3_20,--p_2_19]).

input_clause(s2_type1_290,axiom,
    [++p_2_20,--p_3_20,--q_2_19]).

input_clause(s2_type1_291,axiom,
    [++p_2_20,--q_3_20,--p_2_19]).

input_clause(s2_type1_292,axiom,
    [++p_2_20,--q_3_20,--q_2_19]).

input_clause(s2_type1_293,axiom,
    [++q_2_20,--p_3_20,--p_2_19]).

input_clause(s2_type1_294,axiom,
    [++q_2_20,--p_3_20,--q_2_19]).

input_clause(s2_type1_295,axiom,
    [++q_2_20,--q_3_20,--p_2_19]).

input_clause(s2_type1_296,axiom,
    [++q_2_20,--q_3_20,--q_2_19]).

input_clause(s2_type1_297,axiom,
    [++p_3_4,--p_4_4,--p_3_3]).

input_clause(s2_type1_298,axiom,
    [++p_3_4,--p_4_4,--q_3_3]).

input_clause(s2_type1_299,axiom,
    [++p_3_4,--q_4_4,--p_3_3]).

input_clause(s2_type1_300,axiom,
    [++p_3_4,--q_4_4,--q_3_3]).

input_clause(s2_type1_301,axiom,
    [++q_3_4,--p_4_4,--p_3_3]).

input_clause(s2_type1_302,axiom,
    [++q_3_4,--p_4_4,--q_3_3]).

input_clause(s2_type1_303,axiom,
    [++q_3_4,--q_4_4,--p_3_3]).

input_clause(s2_type1_304,axiom,
    [++q_3_4,--q_4_4,--q_3_3]).

input_clause(s2_type1_305,axiom,
    [++p_3_5,--p_4_5,--p_3_4]).

input_clause(s2_type1_306,axiom,
    [++p_3_5,--p_4_5,--q_3_4]).

input_clause(s2_type1_307,axiom,
    [++p_3_5,--q_4_5,--p_3_4]).

input_clause(s2_type1_308,axiom,
    [++p_3_5,--q_4_5,--q_3_4]).

input_clause(s2_type1_309,axiom,
    [++q_3_5,--p_4_5,--p_3_4]).

input_clause(s2_type1_310,axiom,
    [++q_3_5,--p_4_5,--q_3_4]).

input_clause(s2_type1_311,axiom,
    [++q_3_5,--q_4_5,--p_3_4]).

input_clause(s2_type1_312,axiom,
    [++q_3_5,--q_4_5,--q_3_4]).

input_clause(s2_type1_313,axiom,
    [++p_3_6,--p_4_6,--p_3_5]).

input_clause(s2_type1_314,axiom,
    [++p_3_6,--p_4_6,--q_3_5]).

input_clause(s2_type1_315,axiom,
    [++p_3_6,--q_4_6,--p_3_5]).

input_clause(s2_type1_316,axiom,
    [++p_3_6,--q_4_6,--q_3_5]).

input_clause(s2_type1_317,axiom,
    [++q_3_6,--p_4_6,--p_3_5]).

input_clause(s2_type1_318,axiom,
    [++q_3_6,--p_4_6,--q_3_5]).

input_clause(s2_type1_319,axiom,
    [++q_3_6,--q_4_6,--p_3_5]).

input_clause(s2_type1_320,axiom,
    [++q_3_6,--q_4_6,--q_3_5]).

input_clause(s2_type1_321,axiom,
    [++p_3_7,--p_4_7,--p_3_6]).

input_clause(s2_type1_322,axiom,
    [++p_3_7,--p_4_7,--q_3_6]).

input_clause(s2_type1_323,axiom,
    [++p_3_7,--q_4_7,--p_3_6]).

input_clause(s2_type1_324,axiom,
    [++p_3_7,--q_4_7,--q_3_6]).

input_clause(s2_type1_325,axiom,
    [++q_3_7,--p_4_7,--p_3_6]).

input_clause(s2_type1_326,axiom,
    [++q_3_7,--p_4_7,--q_3_6]).

input_clause(s2_type1_327,axiom,
    [++q_3_7,--q_4_7,--p_3_6]).

input_clause(s2_type1_328,axiom,
    [++q_3_7,--q_4_7,--q_3_6]).

input_clause(s2_type1_329,axiom,
    [++p_3_8,--p_4_8,--p_3_7]).

input_clause(s2_type1_330,axiom,
    [++p_3_8,--p_4_8,--q_3_7]).

input_clause(s2_type1_331,axiom,
    [++p_3_8,--q_4_8,--p_3_7]).

input_clause(s2_type1_332,axiom,
    [++p_3_8,--q_4_8,--q_3_7]).

input_clause(s2_type1_333,axiom,
    [++q_3_8,--p_4_8,--p_3_7]).

input_clause(s2_type1_334,axiom,
    [++q_3_8,--p_4_8,--q_3_7]).

input_clause(s2_type1_335,axiom,
    [++q_3_8,--q_4_8,--p_3_7]).

input_clause(s2_type1_336,axiom,
    [++q_3_8,--q_4_8,--q_3_7]).

input_clause(s2_type1_337,axiom,
    [++p_3_9,--p_4_9,--p_3_8]).

input_clause(s2_type1_338,axiom,
    [++p_3_9,--p_4_9,--q_3_8]).

input_clause(s2_type1_339,axiom,
    [++p_3_9,--q_4_9,--p_3_8]).

input_clause(s2_type1_340,axiom,
    [++p_3_9,--q_4_9,--q_3_8]).

input_clause(s2_type1_341,axiom,
    [++q_3_9,--p_4_9,--p_3_8]).

input_clause(s2_type1_342,axiom,
    [++q_3_9,--p_4_9,--q_3_8]).

input_clause(s2_type1_343,axiom,
    [++q_3_9,--q_4_9,--p_3_8]).

input_clause(s2_type1_344,axiom,
    [++q_3_9,--q_4_9,--q_3_8]).

input_clause(s2_type1_345,axiom,
    [++p_3_10,--p_4_10,--p_3_9]).

input_clause(s2_type1_346,axiom,
    [++p_3_10,--p_4_10,--q_3_9]).

input_clause(s2_type1_347,axiom,
    [++p_3_10,--q_4_10,--p_3_9]).

input_clause(s2_type1_348,axiom,
    [++p_3_10,--q_4_10,--q_3_9]).

input_clause(s2_type1_349,axiom,
    [++q_3_10,--p_4_10,--p_3_9]).

input_clause(s2_type1_350,axiom,
    [++q_3_10,--p_4_10,--q_3_9]).

input_clause(s2_type1_351,axiom,
    [++q_3_10,--q_4_10,--p_3_9]).

input_clause(s2_type1_352,axiom,
    [++q_3_10,--q_4_10,--q_3_9]).

input_clause(s2_type1_353,axiom,
    [++p_3_11,--p_4_11,--p_3_10]).

input_clause(s2_type1_354,axiom,
    [++p_3_11,--p_4_11,--q_3_10]).

input_clause(s2_type1_355,axiom,
    [++p_3_11,--q_4_11,--p_3_10]).

input_clause(s2_type1_356,axiom,
    [++p_3_11,--q_4_11,--q_3_10]).

input_clause(s2_type1_357,axiom,
    [++q_3_11,--p_4_11,--p_3_10]).

input_clause(s2_type1_358,axiom,
    [++q_3_11,--p_4_11,--q_3_10]).

input_clause(s2_type1_359,axiom,
    [++q_3_11,--q_4_11,--p_3_10]).

input_clause(s2_type1_360,axiom,
    [++q_3_11,--q_4_11,--q_3_10]).

input_clause(s2_type1_361,axiom,
    [++p_3_12,--p_4_12,--p_3_11]).

input_clause(s2_type1_362,axiom,
    [++p_3_12,--p_4_12,--q_3_11]).

input_clause(s2_type1_363,axiom,
    [++p_3_12,--q_4_12,--p_3_11]).

input_clause(s2_type1_364,axiom,
    [++p_3_12,--q_4_12,--q_3_11]).

input_clause(s2_type1_365,axiom,
    [++q_3_12,--p_4_12,--p_3_11]).

input_clause(s2_type1_366,axiom,
    [++q_3_12,--p_4_12,--q_3_11]).

input_clause(s2_type1_367,axiom,
    [++q_3_12,--q_4_12,--p_3_11]).

input_clause(s2_type1_368,axiom,
    [++q_3_12,--q_4_12,--q_3_11]).

input_clause(s2_type1_369,axiom,
    [++p_3_13,--p_4_13,--p_3_12]).

input_clause(s2_type1_370,axiom,
    [++p_3_13,--p_4_13,--q_3_12]).

input_clause(s2_type1_371,axiom,
    [++p_3_13,--q_4_13,--p_3_12]).

input_clause(s2_type1_372,axiom,
    [++p_3_13,--q_4_13,--q_3_12]).

input_clause(s2_type1_373,axiom,
    [++q_3_13,--p_4_13,--p_3_12]).

input_clause(s2_type1_374,axiom,
    [++q_3_13,--p_4_13,--q_3_12]).

input_clause(s2_type1_375,axiom,
    [++q_3_13,--q_4_13,--p_3_12]).

input_clause(s2_type1_376,axiom,
    [++q_3_13,--q_4_13,--q_3_12]).

input_clause(s2_type1_377,axiom,
    [++p_3_14,--p_4_14,--p_3_13]).

input_clause(s2_type1_378,axiom,
    [++p_3_14,--p_4_14,--q_3_13]).

input_clause(s2_type1_379,axiom,
    [++p_3_14,--q_4_14,--p_3_13]).

input_clause(s2_type1_380,axiom,
    [++p_3_14,--q_4_14,--q_3_13]).

input_clause(s2_type1_381,axiom,
    [++q_3_14,--p_4_14,--p_3_13]).

input_clause(s2_type1_382,axiom,
    [++q_3_14,--p_4_14,--q_3_13]).

input_clause(s2_type1_383,axiom,
    [++q_3_14,--q_4_14,--p_3_13]).

input_clause(s2_type1_384,axiom,
    [++q_3_14,--q_4_14,--q_3_13]).

input_clause(s2_type1_385,axiom,
    [++p_3_15,--p_4_15,--p_3_14]).

input_clause(s2_type1_386,axiom,
    [++p_3_15,--p_4_15,--q_3_14]).

input_clause(s2_type1_387,axiom,
    [++p_3_15,--q_4_15,--p_3_14]).

input_clause(s2_type1_388,axiom,
    [++p_3_15,--q_4_15,--q_3_14]).

input_clause(s2_type1_389,axiom,
    [++q_3_15,--p_4_15,--p_3_14]).

input_clause(s2_type1_390,axiom,
    [++q_3_15,--p_4_15,--q_3_14]).

input_clause(s2_type1_391,axiom,
    [++q_3_15,--q_4_15,--p_3_14]).

input_clause(s2_type1_392,axiom,
    [++q_3_15,--q_4_15,--q_3_14]).

input_clause(s2_type1_393,axiom,
    [++p_3_16,--p_4_16,--p_3_15]).

input_clause(s2_type1_394,axiom,
    [++p_3_16,--p_4_16,--q_3_15]).

input_clause(s2_type1_395,axiom,
    [++p_3_16,--q_4_16,--p_3_15]).

input_clause(s2_type1_396,axiom,
    [++p_3_16,--q_4_16,--q_3_15]).

input_clause(s2_type1_397,axiom,
    [++q_3_16,--p_4_16,--p_3_15]).

input_clause(s2_type1_398,axiom,
    [++q_3_16,--p_4_16,--q_3_15]).

input_clause(s2_type1_399,axiom,
    [++q_3_16,--q_4_16,--p_3_15]).

input_clause(s2_type1_400,axiom,
    [++q_3_16,--q_4_16,--q_3_15]).

input_clause(s2_type1_401,axiom,
    [++p_3_17,--p_4_17,--p_3_16]).

input_clause(s2_type1_402,axiom,
    [++p_3_17,--p_4_17,--q_3_16]).

input_clause(s2_type1_403,axiom,
    [++p_3_17,--q_4_17,--p_3_16]).

input_clause(s2_type1_404,axiom,
    [++p_3_17,--q_4_17,--q_3_16]).

input_clause(s2_type1_405,axiom,
    [++q_3_17,--p_4_17,--p_3_16]).

input_clause(s2_type1_406,axiom,
    [++q_3_17,--p_4_17,--q_3_16]).

input_clause(s2_type1_407,axiom,
    [++q_3_17,--q_4_17,--p_3_16]).

input_clause(s2_type1_408,axiom,
    [++q_3_17,--q_4_17,--q_3_16]).

input_clause(s2_type1_409,axiom,
    [++p_3_18,--p_4_18,--p_3_17]).

input_clause(s2_type1_410,axiom,
    [++p_3_18,--p_4_18,--q_3_17]).

input_clause(s2_type1_411,axiom,
    [++p_3_18,--q_4_18,--p_3_17]).

input_clause(s2_type1_412,axiom,
    [++p_3_18,--q_4_18,--q_3_17]).

input_clause(s2_type1_413,axiom,
    [++q_3_18,--p_4_18,--p_3_17]).

input_clause(s2_type1_414,axiom,
    [++q_3_18,--p_4_18,--q_3_17]).

input_clause(s2_type1_415,axiom,
    [++q_3_18,--q_4_18,--p_3_17]).

input_clause(s2_type1_416,axiom,
    [++q_3_18,--q_4_18,--q_3_17]).

input_clause(s2_type1_417,axiom,
    [++p_3_19,--p_4_19,--p_3_18]).

input_clause(s2_type1_418,axiom,
    [++p_3_19,--p_4_19,--q_3_18]).

input_clause(s2_type1_419,axiom,
    [++p_3_19,--q_4_19,--p_3_18]).

input_clause(s2_type1_420,axiom,
    [++p_3_19,--q_4_19,--q_3_18]).

input_clause(s2_type1_421,axiom,
    [++q_3_19,--p_4_19,--p_3_18]).

input_clause(s2_type1_422,axiom,
    [++q_3_19,--p_4_19,--q_3_18]).

input_clause(s2_type1_423,axiom,
    [++q_3_19,--q_4_19,--p_3_18]).

input_clause(s2_type1_424,axiom,
    [++q_3_19,--q_4_19,--q_3_18]).

input_clause(s2_type1_425,axiom,
    [++p_3_20,--p_4_20,--p_3_19]).

input_clause(s2_type1_426,axiom,
    [++p_3_20,--p_4_20,--q_3_19]).

input_clause(s2_type1_427,axiom,
    [++p_3_20,--q_4_20,--p_3_19]).

input_clause(s2_type1_428,axiom,
    [++p_3_20,--q_4_20,--q_3_19]).

input_clause(s2_type1_429,axiom,
    [++q_3_20,--p_4_20,--p_3_19]).

input_clause(s2_type1_430,axiom,
    [++q_3_20,--p_4_20,--q_3_19]).

input_clause(s2_type1_431,axiom,
    [++q_3_20,--q_4_20,--p_3_19]).

input_clause(s2_type1_432,axiom,
    [++q_3_20,--q_4_20,--q_3_19]).

input_clause(s2_type1_433,axiom,
    [++p_4_5,--p_5_5,--p_4_4]).

input_clause(s2_type1_434,axiom,
    [++p_4_5,--p_5_5,--q_4_4]).

input_clause(s2_type1_435,axiom,
    [++p_4_5,--q_5_5,--p_4_4]).

input_clause(s2_type1_436,axiom,
    [++p_4_5,--q_5_5,--q_4_4]).

input_clause(s2_type1_437,axiom,
    [++q_4_5,--p_5_5,--p_4_4]).

input_clause(s2_type1_438,axiom,
    [++q_4_5,--p_5_5,--q_4_4]).

input_clause(s2_type1_439,axiom,
    [++q_4_5,--q_5_5,--p_4_4]).

input_clause(s2_type1_440,axiom,
    [++q_4_5,--q_5_5,--q_4_4]).

input_clause(s2_type1_441,axiom,
    [++p_4_6,--p_5_6,--p_4_5]).

input_clause(s2_type1_442,axiom,
    [++p_4_6,--p_5_6,--q_4_5]).

input_clause(s2_type1_443,axiom,
    [++p_4_6,--q_5_6,--p_4_5]).

input_clause(s2_type1_444,axiom,
    [++p_4_6,--q_5_6,--q_4_5]).

input_clause(s2_type1_445,axiom,
    [++q_4_6,--p_5_6,--p_4_5]).

input_clause(s2_type1_446,axiom,
    [++q_4_6,--p_5_6,--q_4_5]).

input_clause(s2_type1_447,axiom,
    [++q_4_6,--q_5_6,--p_4_5]).

input_clause(s2_type1_448,axiom,
    [++q_4_6,--q_5_6,--q_4_5]).

input_clause(s2_type1_449,axiom,
    [++p_4_7,--p_5_7,--p_4_6]).

input_clause(s2_type1_450,axiom,
    [++p_4_7,--p_5_7,--q_4_6]).

input_clause(s2_type1_451,axiom,
    [++p_4_7,--q_5_7,--p_4_6]).

input_clause(s2_type1_452,axiom,
    [++p_4_7,--q_5_7,--q_4_6]).

input_clause(s2_type1_453,axiom,
    [++q_4_7,--p_5_7,--p_4_6]).

input_clause(s2_type1_454,axiom,
    [++q_4_7,--p_5_7,--q_4_6]).

input_clause(s2_type1_455,axiom,
    [++q_4_7,--q_5_7,--p_4_6]).

input_clause(s2_type1_456,axiom,
    [++q_4_7,--q_5_7,--q_4_6]).

input_clause(s2_type1_457,axiom,
    [++p_4_8,--p_5_8,--p_4_7]).

input_clause(s2_type1_458,axiom,
    [++p_4_8,--p_5_8,--q_4_7]).

input_clause(s2_type1_459,axiom,
    [++p_4_8,--q_5_8,--p_4_7]).

input_clause(s2_type1_460,axiom,
    [++p_4_8,--q_5_8,--q_4_7]).

input_clause(s2_type1_461,axiom,
    [++q_4_8,--p_5_8,--p_4_7]).

input_clause(s2_type1_462,axiom,
    [++q_4_8,--p_5_8,--q_4_7]).

input_clause(s2_type1_463,axiom,
    [++q_4_8,--q_5_8,--p_4_7]).

input_clause(s2_type1_464,axiom,
    [++q_4_8,--q_5_8,--q_4_7]).

input_clause(s2_type1_465,axiom,
    [++p_4_9,--p_5_9,--p_4_8]).

input_clause(s2_type1_466,axiom,
    [++p_4_9,--p_5_9,--q_4_8]).

input_clause(s2_type1_467,axiom,
    [++p_4_9,--q_5_9,--p_4_8]).

input_clause(s2_type1_468,axiom,
    [++p_4_9,--q_5_9,--q_4_8]).

input_clause(s2_type1_469,axiom,
    [++q_4_9,--p_5_9,--p_4_8]).

input_clause(s2_type1_470,axiom,
    [++q_4_9,--p_5_9,--q_4_8]).

input_clause(s2_type1_471,axiom,
    [++q_4_9,--q_5_9,--p_4_8]).

input_clause(s2_type1_472,axiom,
    [++q_4_9,--q_5_9,--q_4_8]).

input_clause(s2_type1_473,axiom,
    [++p_4_10,--p_5_10,--p_4_9]).

input_clause(s2_type1_474,axiom,
    [++p_4_10,--p_5_10,--q_4_9]).

input_clause(s2_type1_475,axiom,
    [++p_4_10,--q_5_10,--p_4_9]).

input_clause(s2_type1_476,axiom,
    [++p_4_10,--q_5_10,--q_4_9]).

input_clause(s2_type1_477,axiom,
    [++q_4_10,--p_5_10,--p_4_9]).

input_clause(s2_type1_478,axiom,
    [++q_4_10,--p_5_10,--q_4_9]).

input_clause(s2_type1_479,axiom,
    [++q_4_10,--q_5_10,--p_4_9]).

input_clause(s2_type1_480,axiom,
    [++q_4_10,--q_5_10,--q_4_9]).

input_clause(s2_type1_481,axiom,
    [++p_4_11,--p_5_11,--p_4_10]).

input_clause(s2_type1_482,axiom,
    [++p_4_11,--p_5_11,--q_4_10]).

input_clause(s2_type1_483,axiom,
    [++p_4_11,--q_5_11,--p_4_10]).

input_clause(s2_type1_484,axiom,
    [++p_4_11,--q_5_11,--q_4_10]).

input_clause(s2_type1_485,axiom,
    [++q_4_11,--p_5_11,--p_4_10]).

input_clause(s2_type1_486,axiom,
    [++q_4_11,--p_5_11,--q_4_10]).

input_clause(s2_type1_487,axiom,
    [++q_4_11,--q_5_11,--p_4_10]).

input_clause(s2_type1_488,axiom,
    [++q_4_11,--q_5_11,--q_4_10]).

input_clause(s2_type1_489,axiom,
    [++p_4_12,--p_5_12,--p_4_11]).

input_clause(s2_type1_490,axiom,
    [++p_4_12,--p_5_12,--q_4_11]).

input_clause(s2_type1_491,axiom,
    [++p_4_12,--q_5_12,--p_4_11]).

input_clause(s2_type1_492,axiom,
    [++p_4_12,--q_5_12,--q_4_11]).

input_clause(s2_type1_493,axiom,
    [++q_4_12,--p_5_12,--p_4_11]).

input_clause(s2_type1_494,axiom,
    [++q_4_12,--p_5_12,--q_4_11]).

input_clause(s2_type1_495,axiom,
    [++q_4_12,--q_5_12,--p_4_11]).

input_clause(s2_type1_496,axiom,
    [++q_4_12,--q_5_12,--q_4_11]).

input_clause(s2_type1_497,axiom,
    [++p_4_13,--p_5_13,--p_4_12]).

input_clause(s2_type1_498,axiom,
    [++p_4_13,--p_5_13,--q_4_12]).

input_clause(s2_type1_499,axiom,
    [++p_4_13,--q_5_13,--p_4_12]).

input_clause(s2_type1_500,axiom,
    [++p_4_13,--q_5_13,--q_4_12]).

input_clause(s2_type1_501,axiom,
    [++q_4_13,--p_5_13,--p_4_12]).

input_clause(s2_type1_502,axiom,
    [++q_4_13,--p_5_13,--q_4_12]).

input_clause(s2_type1_503,axiom,
    [++q_4_13,--q_5_13,--p_4_12]).

input_clause(s2_type1_504,axiom,
    [++q_4_13,--q_5_13,--q_4_12]).

input_clause(s2_type1_505,axiom,
    [++p_4_14,--p_5_14,--p_4_13]).

input_clause(s2_type1_506,axiom,
    [++p_4_14,--p_5_14,--q_4_13]).

input_clause(s2_type1_507,axiom,
    [++p_4_14,--q_5_14,--p_4_13]).

input_clause(s2_type1_508,axiom,
    [++p_4_14,--q_5_14,--q_4_13]).

input_clause(s2_type1_509,axiom,
    [++q_4_14,--p_5_14,--p_4_13]).

input_clause(s2_type1_510,axiom,
    [++q_4_14,--p_5_14,--q_4_13]).

input_clause(s2_type1_511,axiom,
    [++q_4_14,--q_5_14,--p_4_13]).

input_clause(s2_type1_512,axiom,
    [++q_4_14,--q_5_14,--q_4_13]).

input_clause(s2_type1_513,axiom,
    [++p_4_15,--p_5_15,--p_4_14]).

input_clause(s2_type1_514,axiom,
    [++p_4_15,--p_5_15,--q_4_14]).

input_clause(s2_type1_515,axiom,
    [++p_4_15,--q_5_15,--p_4_14]).

input_clause(s2_type1_516,axiom,
    [++p_4_15,--q_5_15,--q_4_14]).

input_clause(s2_type1_517,axiom,
    [++q_4_15,--p_5_15,--p_4_14]).

input_clause(s2_type1_518,axiom,
    [++q_4_15,--p_5_15,--q_4_14]).

input_clause(s2_type1_519,axiom,
    [++q_4_15,--q_5_15,--p_4_14]).

input_clause(s2_type1_520,axiom,
    [++q_4_15,--q_5_15,--q_4_14]).

input_clause(s2_type1_521,axiom,
    [++p_4_16,--p_5_16,--p_4_15]).

input_clause(s2_type1_522,axiom,
    [++p_4_16,--p_5_16,--q_4_15]).

input_clause(s2_type1_523,axiom,
    [++p_4_16,--q_5_16,--p_4_15]).

input_clause(s2_type1_524,axiom,
    [++p_4_16,--q_5_16,--q_4_15]).

input_clause(s2_type1_525,axiom,
    [++q_4_16,--p_5_16,--p_4_15]).

input_clause(s2_type1_526,axiom,
    [++q_4_16,--p_5_16,--q_4_15]).

input_clause(s2_type1_527,axiom,
    [++q_4_16,--q_5_16,--p_4_15]).

input_clause(s2_type1_528,axiom,
    [++q_4_16,--q_5_16,--q_4_15]).

input_clause(s2_type1_529,axiom,
    [++p_4_17,--p_5_17,--p_4_16]).

input_clause(s2_type1_530,axiom,
    [++p_4_17,--p_5_17,--q_4_16]).

input_clause(s2_type1_531,axiom,
    [++p_4_17,--q_5_17,--p_4_16]).

input_clause(s2_type1_532,axiom,
    [++p_4_17,--q_5_17,--q_4_16]).

input_clause(s2_type1_533,axiom,
    [++q_4_17,--p_5_17,--p_4_16]).

input_clause(s2_type1_534,axiom,
    [++q_4_17,--p_5_17,--q_4_16]).

input_clause(s2_type1_535,axiom,
    [++q_4_17,--q_5_17,--p_4_16]).

input_clause(s2_type1_536,axiom,
    [++q_4_17,--q_5_17,--q_4_16]).

input_clause(s2_type1_537,axiom,
    [++p_4_18,--p_5_18,--p_4_17]).

input_clause(s2_type1_538,axiom,
    [++p_4_18,--p_5_18,--q_4_17]).

input_clause(s2_type1_539,axiom,
    [++p_4_18,--q_5_18,--p_4_17]).

input_clause(s2_type1_540,axiom,
    [++p_4_18,--q_5_18,--q_4_17]).

input_clause(s2_type1_541,axiom,
    [++q_4_18,--p_5_18,--p_4_17]).

input_clause(s2_type1_542,axiom,
    [++q_4_18,--p_5_18,--q_4_17]).

input_clause(s2_type1_543,axiom,
    [++q_4_18,--q_5_18,--p_4_17]).

input_clause(s2_type1_544,axiom,
    [++q_4_18,--q_5_18,--q_4_17]).

input_clause(s2_type1_545,axiom,
    [++p_4_19,--p_5_19,--p_4_18]).

input_clause(s2_type1_546,axiom,
    [++p_4_19,--p_5_19,--q_4_18]).

input_clause(s2_type1_547,axiom,
    [++p_4_19,--q_5_19,--p_4_18]).

input_clause(s2_type1_548,axiom,
    [++p_4_19,--q_5_19,--q_4_18]).

input_clause(s2_type1_549,axiom,
    [++q_4_19,--p_5_19,--p_4_18]).

input_clause(s2_type1_550,axiom,
    [++q_4_19,--p_5_19,--q_4_18]).

input_clause(s2_type1_551,axiom,
    [++q_4_19,--q_5_19,--p_4_18]).

input_clause(s2_type1_552,axiom,
    [++q_4_19,--q_5_19,--q_4_18]).

input_clause(s2_type1_553,axiom,
    [++p_4_20,--p_5_20,--p_4_19]).

input_clause(s2_type1_554,axiom,
    [++p_4_20,--p_5_20,--q_4_19]).

input_clause(s2_type1_555,axiom,
    [++p_4_20,--q_5_20,--p_4_19]).

input_clause(s2_type1_556,axiom,
    [++p_4_20,--q_5_20,--q_4_19]).

input_clause(s2_type1_557,axiom,
    [++q_4_20,--p_5_20,--p_4_19]).

input_clause(s2_type1_558,axiom,
    [++q_4_20,--p_5_20,--q_4_19]).

input_clause(s2_type1_559,axiom,
    [++q_4_20,--q_5_20,--p_4_19]).

input_clause(s2_type1_560,axiom,
    [++q_4_20,--q_5_20,--q_4_19]).

input_clause(s2_type1_561,axiom,
    [++p_5_6,--p_6_6,--p_5_5]).

input_clause(s2_type1_562,axiom,
    [++p_5_6,--p_6_6,--q_5_5]).

input_clause(s2_type1_563,axiom,
    [++p_5_6,--q_6_6,--p_5_5]).

input_clause(s2_type1_564,axiom,
    [++p_5_6,--q_6_6,--q_5_5]).

input_clause(s2_type1_565,axiom,
    [++q_5_6,--p_6_6,--p_5_5]).

input_clause(s2_type1_566,axiom,
    [++q_5_6,--p_6_6,--q_5_5]).

input_clause(s2_type1_567,axiom,
    [++q_5_6,--q_6_6,--p_5_5]).

input_clause(s2_type1_568,axiom,
    [++q_5_6,--q_6_6,--q_5_5]).

input_clause(s2_type1_569,axiom,
    [++p_5_7,--p_6_7,--p_5_6]).

input_clause(s2_type1_570,axiom,
    [++p_5_7,--p_6_7,--q_5_6]).

input_clause(s2_type1_571,axiom,
    [++p_5_7,--q_6_7,--p_5_6]).

input_clause(s2_type1_572,axiom,
    [++p_5_7,--q_6_7,--q_5_6]).

input_clause(s2_type1_573,axiom,
    [++q_5_7,--p_6_7,--p_5_6]).

input_clause(s2_type1_574,axiom,
    [++q_5_7,--p_6_7,--q_5_6]).

input_clause(s2_type1_575,axiom,
    [++q_5_7,--q_6_7,--p_5_6]).

input_clause(s2_type1_576,axiom,
    [++q_5_7,--q_6_7,--q_5_6]).

input_clause(s2_type1_577,axiom,
    [++p_5_8,--p_6_8,--p_5_7]).

input_clause(s2_type1_578,axiom,
    [++p_5_8,--p_6_8,--q_5_7]).

input_clause(s2_type1_579,axiom,
    [++p_5_8,--q_6_8,--p_5_7]).

input_clause(s2_type1_580,axiom,
    [++p_5_8,--q_6_8,--q_5_7]).

input_clause(s2_type1_581,axiom,
    [++q_5_8,--p_6_8,--p_5_7]).

input_clause(s2_type1_582,axiom,
    [++q_5_8,--p_6_8,--q_5_7]).

input_clause(s2_type1_583,axiom,
    [++q_5_8,--q_6_8,--p_5_7]).

input_clause(s2_type1_584,axiom,
    [++q_5_8,--q_6_8,--q_5_7]).

input_clause(s2_type1_585,axiom,
    [++p_5_9,--p_6_9,--p_5_8]).

input_clause(s2_type1_586,axiom,
    [++p_5_9,--p_6_9,--q_5_8]).

input_clause(s2_type1_587,axiom,
    [++p_5_9,--q_6_9,--p_5_8]).

input_clause(s2_type1_588,axiom,
    [++p_5_9,--q_6_9,--q_5_8]).

input_clause(s2_type1_589,axiom,
    [++q_5_9,--p_6_9,--p_5_8]).

input_clause(s2_type1_590,axiom,
    [++q_5_9,--p_6_9,--q_5_8]).

input_clause(s2_type1_591,axiom,
    [++q_5_9,--q_6_9,--p_5_8]).

input_clause(s2_type1_592,axiom,
    [++q_5_9,--q_6_9,--q_5_8]).

input_clause(s2_type1_593,axiom,
    [++p_5_10,--p_6_10,--p_5_9]).

input_clause(s2_type1_594,axiom,
    [++p_5_10,--p_6_10,--q_5_9]).

input_clause(s2_type1_595,axiom,
    [++p_5_10,--q_6_10,--p_5_9]).

input_clause(s2_type1_596,axiom,
    [++p_5_10,--q_6_10,--q_5_9]).

input_clause(s2_type1_597,axiom,
    [++q_5_10,--p_6_10,--p_5_9]).

input_clause(s2_type1_598,axiom,
    [++q_5_10,--p_6_10,--q_5_9]).

input_clause(s2_type1_599,axiom,
    [++q_5_10,--q_6_10,--p_5_9]).

input_clause(s2_type1_600,axiom,
    [++q_5_10,--q_6_10,--q_5_9]).

input_clause(s2_type1_601,axiom,
    [++p_5_11,--p_6_11,--p_5_10]).

input_clause(s2_type1_602,axiom,
    [++p_5_11,--p_6_11,--q_5_10]).

input_clause(s2_type1_603,axiom,
    [++p_5_11,--q_6_11,--p_5_10]).

input_clause(s2_type1_604,axiom,
    [++p_5_11,--q_6_11,--q_5_10]).

input_clause(s2_type1_605,axiom,
    [++q_5_11,--p_6_11,--p_5_10]).

input_clause(s2_type1_606,axiom,
    [++q_5_11,--p_6_11,--q_5_10]).

input_clause(s2_type1_607,axiom,
    [++q_5_11,--q_6_11,--p_5_10]).

input_clause(s2_type1_608,axiom,
    [++q_5_11,--q_6_11,--q_5_10]).

input_clause(s2_type1_609,axiom,
    [++p_5_12,--p_6_12,--p_5_11]).

input_clause(s2_type1_610,axiom,
    [++p_5_12,--p_6_12,--q_5_11]).

input_clause(s2_type1_611,axiom,
    [++p_5_12,--q_6_12,--p_5_11]).

input_clause(s2_type1_612,axiom,
    [++p_5_12,--q_6_12,--q_5_11]).

input_clause(s2_type1_613,axiom,
    [++q_5_12,--p_6_12,--p_5_11]).

input_clause(s2_type1_614,axiom,
    [++q_5_12,--p_6_12,--q_5_11]).

input_clause(s2_type1_615,axiom,
    [++q_5_12,--q_6_12,--p_5_11]).

input_clause(s2_type1_616,axiom,
    [++q_5_12,--q_6_12,--q_5_11]).

input_clause(s2_type1_617,axiom,
    [++p_5_13,--p_6_13,--p_5_12]).

input_clause(s2_type1_618,axiom,
    [++p_5_13,--p_6_13,--q_5_12]).

input_clause(s2_type1_619,axiom,
    [++p_5_13,--q_6_13,--p_5_12]).

input_clause(s2_type1_620,axiom,
    [++p_5_13,--q_6_13,--q_5_12]).

input_clause(s2_type1_621,axiom,
    [++q_5_13,--p_6_13,--p_5_12]).

input_clause(s2_type1_622,axiom,
    [++q_5_13,--p_6_13,--q_5_12]).

input_clause(s2_type1_623,axiom,
    [++q_5_13,--q_6_13,--p_5_12]).

input_clause(s2_type1_624,axiom,
    [++q_5_13,--q_6_13,--q_5_12]).

input_clause(s2_type1_625,axiom,
    [++p_5_14,--p_6_14,--p_5_13]).

input_clause(s2_type1_626,axiom,
    [++p_5_14,--p_6_14,--q_5_13]).

input_clause(s2_type1_627,axiom,
    [++p_5_14,--q_6_14,--p_5_13]).

input_clause(s2_type1_628,axiom,
    [++p_5_14,--q_6_14,--q_5_13]).

input_clause(s2_type1_629,axiom,
    [++q_5_14,--p_6_14,--p_5_13]).

input_clause(s2_type1_630,axiom,
    [++q_5_14,--p_6_14,--q_5_13]).

input_clause(s2_type1_631,axiom,
    [++q_5_14,--q_6_14,--p_5_13]).

input_clause(s2_type1_632,axiom,
    [++q_5_14,--q_6_14,--q_5_13]).

input_clause(s2_type1_633,axiom,
    [++p_5_15,--p_6_15,--p_5_14]).

input_clause(s2_type1_634,axiom,
    [++p_5_15,--p_6_15,--q_5_14]).

input_clause(s2_type1_635,axiom,
    [++p_5_15,--q_6_15,--p_5_14]).

input_clause(s2_type1_636,axiom,
    [++p_5_15,--q_6_15,--q_5_14]).

input_clause(s2_type1_637,axiom,
    [++q_5_15,--p_6_15,--p_5_14]).

input_clause(s2_type1_638,axiom,
    [++q_5_15,--p_6_15,--q_5_14]).

input_clause(s2_type1_639,axiom,
    [++q_5_15,--q_6_15,--p_5_14]).

input_clause(s2_type1_640,axiom,
    [++q_5_15,--q_6_15,--q_5_14]).

input_clause(s2_type1_641,axiom,
    [++p_5_16,--p_6_16,--p_5_15]).

input_clause(s2_type1_642,axiom,
    [++p_5_16,--p_6_16,--q_5_15]).

input_clause(s2_type1_643,axiom,
    [++p_5_16,--q_6_16,--p_5_15]).

input_clause(s2_type1_644,axiom,
    [++p_5_16,--q_6_16,--q_5_15]).

input_clause(s2_type1_645,axiom,
    [++q_5_16,--p_6_16,--p_5_15]).

input_clause(s2_type1_646,axiom,
    [++q_5_16,--p_6_16,--q_5_15]).

input_clause(s2_type1_647,axiom,
    [++q_5_16,--q_6_16,--p_5_15]).

input_clause(s2_type1_648,axiom,
    [++q_5_16,--q_6_16,--q_5_15]).

input_clause(s2_type1_649,axiom,
    [++p_5_17,--p_6_17,--p_5_16]).

input_clause(s2_type1_650,axiom,
    [++p_5_17,--p_6_17,--q_5_16]).

input_clause(s2_type1_651,axiom,
    [++p_5_17,--q_6_17,--p_5_16]).

input_clause(s2_type1_652,axiom,
    [++p_5_17,--q_6_17,--q_5_16]).

input_clause(s2_type1_653,axiom,
    [++q_5_17,--p_6_17,--p_5_16]).

input_clause(s2_type1_654,axiom,
    [++q_5_17,--p_6_17,--q_5_16]).

input_clause(s2_type1_655,axiom,
    [++q_5_17,--q_6_17,--p_5_16]).

input_clause(s2_type1_656,axiom,
    [++q_5_17,--q_6_17,--q_5_16]).

input_clause(s2_type1_657,axiom,
    [++p_5_18,--p_6_18,--p_5_17]).

input_clause(s2_type1_658,axiom,
    [++p_5_18,--p_6_18,--q_5_17]).

input_clause(s2_type1_659,axiom,
    [++p_5_18,--q_6_18,--p_5_17]).

input_clause(s2_type1_660,axiom,
    [++p_5_18,--q_6_18,--q_5_17]).

input_clause(s2_type1_661,axiom,
    [++q_5_18,--p_6_18,--p_5_17]).

input_clause(s2_type1_662,axiom,
    [++q_5_18,--p_6_18,--q_5_17]).

input_clause(s2_type1_663,axiom,
    [++q_5_18,--q_6_18,--p_5_17]).

input_clause(s2_type1_664,axiom,
    [++q_5_18,--q_6_18,--q_5_17]).

input_clause(s2_type1_665,axiom,
    [++p_5_19,--p_6_19,--p_5_18]).

input_clause(s2_type1_666,axiom,
    [++p_5_19,--p_6_19,--q_5_18]).

input_clause(s2_type1_667,axiom,
    [++p_5_19,--q_6_19,--p_5_18]).

input_clause(s2_type1_668,axiom,
    [++p_5_19,--q_6_19,--q_5_18]).

input_clause(s2_type1_669,axiom,
    [++q_5_19,--p_6_19,--p_5_18]).

input_clause(s2_type1_670,axiom,
    [++q_5_19,--p_6_19,--q_5_18]).

input_clause(s2_type1_671,axiom,
    [++q_5_19,--q_6_19,--p_5_18]).

input_clause(s2_type1_672,axiom,
    [++q_5_19,--q_6_19,--q_5_18]).

input_clause(s2_type1_673,axiom,
    [++p_5_20,--p_6_20,--p_5_19]).

input_clause(s2_type1_674,axiom,
    [++p_5_20,--p_6_20,--q_5_19]).

input_clause(s2_type1_675,axiom,
    [++p_5_20,--q_6_20,--p_5_19]).

input_clause(s2_type1_676,axiom,
    [++p_5_20,--q_6_20,--q_5_19]).

input_clause(s2_type1_677,axiom,
    [++q_5_20,--p_6_20,--p_5_19]).

input_clause(s2_type1_678,axiom,
    [++q_5_20,--p_6_20,--q_5_19]).

input_clause(s2_type1_679,axiom,
    [++q_5_20,--q_6_20,--p_5_19]).

input_clause(s2_type1_680,axiom,
    [++q_5_20,--q_6_20,--q_5_19]).

input_clause(s2_type1_681,axiom,
    [++p_6_7,--p_7_7,--p_6_6]).

input_clause(s2_type1_682,axiom,
    [++p_6_7,--p_7_7,--q_6_6]).

input_clause(s2_type1_683,axiom,
    [++p_6_7,--q_7_7,--p_6_6]).

input_clause(s2_type1_684,axiom,
    [++p_6_7,--q_7_7,--q_6_6]).

input_clause(s2_type1_685,axiom,
    [++q_6_7,--p_7_7,--p_6_6]).

input_clause(s2_type1_686,axiom,
    [++q_6_7,--p_7_7,--q_6_6]).

input_clause(s2_type1_687,axiom,
    [++q_6_7,--q_7_7,--p_6_6]).

input_clause(s2_type1_688,axiom,
    [++q_6_7,--q_7_7,--q_6_6]).

input_clause(s2_type1_689,axiom,
    [++p_6_8,--p_7_8,--p_6_7]).

input_clause(s2_type1_690,axiom,
    [++p_6_8,--p_7_8,--q_6_7]).

input_clause(s2_type1_691,axiom,
    [++p_6_8,--q_7_8,--p_6_7]).

input_clause(s2_type1_692,axiom,
    [++p_6_8,--q_7_8,--q_6_7]).

input_clause(s2_type1_693,axiom,
    [++q_6_8,--p_7_8,--p_6_7]).

input_clause(s2_type1_694,axiom,
    [++q_6_8,--p_7_8,--q_6_7]).

input_clause(s2_type1_695,axiom,
    [++q_6_8,--q_7_8,--p_6_7]).

input_clause(s2_type1_696,axiom,
    [++q_6_8,--q_7_8,--q_6_7]).

input_clause(s2_type1_697,axiom,
    [++p_6_9,--p_7_9,--p_6_8]).

input_clause(s2_type1_698,axiom,
    [++p_6_9,--p_7_9,--q_6_8]).

input_clause(s2_type1_699,axiom,
    [++p_6_9,--q_7_9,--p_6_8]).

input_clause(s2_type1_700,axiom,
    [++p_6_9,--q_7_9,--q_6_8]).

input_clause(s2_type1_701,axiom,
    [++q_6_9,--p_7_9,--p_6_8]).

input_clause(s2_type1_702,axiom,
    [++q_6_9,--p_7_9,--q_6_8]).

input_clause(s2_type1_703,axiom,
    [++q_6_9,--q_7_9,--p_6_8]).

input_clause(s2_type1_704,axiom,
    [++q_6_9,--q_7_9,--q_6_8]).

input_clause(s2_type1_705,axiom,
    [++p_6_10,--p_7_10,--p_6_9]).

input_clause(s2_type1_706,axiom,
    [++p_6_10,--p_7_10,--q_6_9]).

input_clause(s2_type1_707,axiom,
    [++p_6_10,--q_7_10,--p_6_9]).

input_clause(s2_type1_708,axiom,
    [++p_6_10,--q_7_10,--q_6_9]).

input_clause(s2_type1_709,axiom,
    [++q_6_10,--p_7_10,--p_6_9]).

input_clause(s2_type1_710,axiom,
    [++q_6_10,--p_7_10,--q_6_9]).

input_clause(s2_type1_711,axiom,
    [++q_6_10,--q_7_10,--p_6_9]).

input_clause(s2_type1_712,axiom,
    [++q_6_10,--q_7_10,--q_6_9]).

input_clause(s2_type1_713,axiom,
    [++p_6_11,--p_7_11,--p_6_10]).

input_clause(s2_type1_714,axiom,
    [++p_6_11,--p_7_11,--q_6_10]).

input_clause(s2_type1_715,axiom,
    [++p_6_11,--q_7_11,--p_6_10]).

input_clause(s2_type1_716,axiom,
    [++p_6_11,--q_7_11,--q_6_10]).

input_clause(s2_type1_717,axiom,
    [++q_6_11,--p_7_11,--p_6_10]).

input_clause(s2_type1_718,axiom,
    [++q_6_11,--p_7_11,--q_6_10]).

input_clause(s2_type1_719,axiom,
    [++q_6_11,--q_7_11,--p_6_10]).

input_clause(s2_type1_720,axiom,
    [++q_6_11,--q_7_11,--q_6_10]).

input_clause(s2_type1_721,axiom,
    [++p_6_12,--p_7_12,--p_6_11]).

input_clause(s2_type1_722,axiom,
    [++p_6_12,--p_7_12,--q_6_11]).

input_clause(s2_type1_723,axiom,
    [++p_6_12,--q_7_12,--p_6_11]).

input_clause(s2_type1_724,axiom,
    [++p_6_12,--q_7_12,--q_6_11]).

input_clause(s2_type1_725,axiom,
    [++q_6_12,--p_7_12,--p_6_11]).

input_clause(s2_type1_726,axiom,
    [++q_6_12,--p_7_12,--q_6_11]).

input_clause(s2_type1_727,axiom,
    [++q_6_12,--q_7_12,--p_6_11]).

input_clause(s2_type1_728,axiom,
    [++q_6_12,--q_7_12,--q_6_11]).

input_clause(s2_type1_729,axiom,
    [++p_6_13,--p_7_13,--p_6_12]).

input_clause(s2_type1_730,axiom,
    [++p_6_13,--p_7_13,--q_6_12]).

input_clause(s2_type1_731,axiom,
    [++p_6_13,--q_7_13,--p_6_12]).

input_clause(s2_type1_732,axiom,
    [++p_6_13,--q_7_13,--q_6_12]).

input_clause(s2_type1_733,axiom,
    [++q_6_13,--p_7_13,--p_6_12]).

input_clause(s2_type1_734,axiom,
    [++q_6_13,--p_7_13,--q_6_12]).

input_clause(s2_type1_735,axiom,
    [++q_6_13,--q_7_13,--p_6_12]).

input_clause(s2_type1_736,axiom,
    [++q_6_13,--q_7_13,--q_6_12]).

input_clause(s2_type1_737,axiom,
    [++p_6_14,--p_7_14,--p_6_13]).

input_clause(s2_type1_738,axiom,
    [++p_6_14,--p_7_14,--q_6_13]).

input_clause(s2_type1_739,axiom,
    [++p_6_14,--q_7_14,--p_6_13]).

input_clause(s2_type1_740,axiom,
    [++p_6_14,--q_7_14,--q_6_13]).

input_clause(s2_type1_741,axiom,
    [++q_6_14,--p_7_14,--p_6_13]).

input_clause(s2_type1_742,axiom,
    [++q_6_14,--p_7_14,--q_6_13]).

input_clause(s2_type1_743,axiom,
    [++q_6_14,--q_7_14,--p_6_13]).

input_clause(s2_type1_744,axiom,
    [++q_6_14,--q_7_14,--q_6_13]).

input_clause(s2_type1_745,axiom,
    [++p_6_15,--p_7_15,--p_6_14]).

input_clause(s2_type1_746,axiom,
    [++p_6_15,--p_7_15,--q_6_14]).

input_clause(s2_type1_747,axiom,
    [++p_6_15,--q_7_15,--p_6_14]).

input_clause(s2_type1_748,axiom,
    [++p_6_15,--q_7_15,--q_6_14]).

input_clause(s2_type1_749,axiom,
    [++q_6_15,--p_7_15,--p_6_14]).

input_clause(s2_type1_750,axiom,
    [++q_6_15,--p_7_15,--q_6_14]).

input_clause(s2_type1_751,axiom,
    [++q_6_15,--q_7_15,--p_6_14]).

input_clause(s2_type1_752,axiom,
    [++q_6_15,--q_7_15,--q_6_14]).

input_clause(s2_type1_753,axiom,
    [++p_6_16,--p_7_16,--p_6_15]).

input_clause(s2_type1_754,axiom,
    [++p_6_16,--p_7_16,--q_6_15]).

input_clause(s2_type1_755,axiom,
    [++p_6_16,--q_7_16,--p_6_15]).

input_clause(s2_type1_756,axiom,
    [++p_6_16,--q_7_16,--q_6_15]).

input_clause(s2_type1_757,axiom,
    [++q_6_16,--p_7_16,--p_6_15]).

input_clause(s2_type1_758,axiom,
    [++q_6_16,--p_7_16,--q_6_15]).

input_clause(s2_type1_759,axiom,
    [++q_6_16,--q_7_16,--p_6_15]).

input_clause(s2_type1_760,axiom,
    [++q_6_16,--q_7_16,--q_6_15]).

input_clause(s2_type1_761,axiom,
    [++p_6_17,--p_7_17,--p_6_16]).

input_clause(s2_type1_762,axiom,
    [++p_6_17,--p_7_17,--q_6_16]).

input_clause(s2_type1_763,axiom,
    [++p_6_17,--q_7_17,--p_6_16]).

input_clause(s2_type1_764,axiom,
    [++p_6_17,--q_7_17,--q_6_16]).

input_clause(s2_type1_765,axiom,
    [++q_6_17,--p_7_17,--p_6_16]).

input_clause(s2_type1_766,axiom,
    [++q_6_17,--p_7_17,--q_6_16]).

input_clause(s2_type1_767,axiom,
    [++q_6_17,--q_7_17,--p_6_16]).

input_clause(s2_type1_768,axiom,
    [++q_6_17,--q_7_17,--q_6_16]).

input_clause(s2_type1_769,axiom,
    [++p_6_18,--p_7_18,--p_6_17]).

input_clause(s2_type1_770,axiom,
    [++p_6_18,--p_7_18,--q_6_17]).

input_clause(s2_type1_771,axiom,
    [++p_6_18,--q_7_18,--p_6_17]).

input_clause(s2_type1_772,axiom,
    [++p_6_18,--q_7_18,--q_6_17]).

input_clause(s2_type1_773,axiom,
    [++q_6_18,--p_7_18,--p_6_17]).

input_clause(s2_type1_774,axiom,
    [++q_6_18,--p_7_18,--q_6_17]).

input_clause(s2_type1_775,axiom,
    [++q_6_18,--q_7_18,--p_6_17]).

input_clause(s2_type1_776,axiom,
    [++q_6_18,--q_7_18,--q_6_17]).

input_clause(s2_type1_777,axiom,
    [++p_6_19,--p_7_19,--p_6_18]).

input_clause(s2_type1_778,axiom,
    [++p_6_19,--p_7_19,--q_6_18]).

input_clause(s2_type1_779,axiom,
    [++p_6_19,--q_7_19,--p_6_18]).

input_clause(s2_type1_780,axiom,
    [++p_6_19,--q_7_19,--q_6_18]).

input_clause(s2_type1_781,axiom,
    [++q_6_19,--p_7_19,--p_6_18]).

input_clause(s2_type1_782,axiom,
    [++q_6_19,--p_7_19,--q_6_18]).

input_clause(s2_type1_783,axiom,
    [++q_6_19,--q_7_19,--p_6_18]).

input_clause(s2_type1_784,axiom,
    [++q_6_19,--q_7_19,--q_6_18]).

input_clause(s2_type1_785,axiom,
    [++p_6_20,--p_7_20,--p_6_19]).

input_clause(s2_type1_786,axiom,
    [++p_6_20,--p_7_20,--q_6_19]).

input_clause(s2_type1_787,axiom,
    [++p_6_20,--q_7_20,--p_6_19]).

input_clause(s2_type1_788,axiom,
    [++p_6_20,--q_7_20,--q_6_19]).

input_clause(s2_type1_789,axiom,
    [++q_6_20,--p_7_20,--p_6_19]).

input_clause(s2_type1_790,axiom,
    [++q_6_20,--p_7_20,--q_6_19]).

input_clause(s2_type1_791,axiom,
    [++q_6_20,--q_7_20,--p_6_19]).

input_clause(s2_type1_792,axiom,
    [++q_6_20,--q_7_20,--q_6_19]).

input_clause(s2_type1_793,axiom,
    [++p_7_8,--p_8_8,--p_7_7]).

input_clause(s2_type1_794,axiom,
    [++p_7_8,--p_8_8,--q_7_7]).

input_clause(s2_type1_795,axiom,
    [++p_7_8,--q_8_8,--p_7_7]).

input_clause(s2_type1_796,axiom,
    [++p_7_8,--q_8_8,--q_7_7]).

input_clause(s2_type1_797,axiom,
    [++q_7_8,--p_8_8,--p_7_7]).

input_clause(s2_type1_798,axiom,
    [++q_7_8,--p_8_8,--q_7_7]).

input_clause(s2_type1_799,axiom,
    [++q_7_8,--q_8_8,--p_7_7]).

input_clause(s2_type1_800,axiom,
    [++q_7_8,--q_8_8,--q_7_7]).

input_clause(s2_type1_801,axiom,
    [++p_7_9,--p_8_9,--p_7_8]).

input_clause(s2_type1_802,axiom,
    [++p_7_9,--p_8_9,--q_7_8]).

input_clause(s2_type1_803,axiom,
    [++p_7_9,--q_8_9,--p_7_8]).

input_clause(s2_type1_804,axiom,
    [++p_7_9,--q_8_9,--q_7_8]).

input_clause(s2_type1_805,axiom,
    [++q_7_9,--p_8_9,--p_7_8]).

input_clause(s2_type1_806,axiom,
    [++q_7_9,--p_8_9,--q_7_8]).

input_clause(s2_type1_807,axiom,
    [++q_7_9,--q_8_9,--p_7_8]).

input_clause(s2_type1_808,axiom,
    [++q_7_9,--q_8_9,--q_7_8]).

input_clause(s2_type1_809,axiom,
    [++p_7_10,--p_8_10,--p_7_9]).

input_clause(s2_type1_810,axiom,
    [++p_7_10,--p_8_10,--q_7_9]).

input_clause(s2_type1_811,axiom,
    [++p_7_10,--q_8_10,--p_7_9]).

input_clause(s2_type1_812,axiom,
    [++p_7_10,--q_8_10,--q_7_9]).

input_clause(s2_type1_813,axiom,
    [++q_7_10,--p_8_10,--p_7_9]).

input_clause(s2_type1_814,axiom,
    [++q_7_10,--p_8_10,--q_7_9]).

input_clause(s2_type1_815,axiom,
    [++q_7_10,--q_8_10,--p_7_9]).

input_clause(s2_type1_816,axiom,
    [++q_7_10,--q_8_10,--q_7_9]).

input_clause(s2_type1_817,axiom,
    [++p_7_11,--p_8_11,--p_7_10]).

input_clause(s2_type1_818,axiom,
    [++p_7_11,--p_8_11,--q_7_10]).

input_clause(s2_type1_819,axiom,
    [++p_7_11,--q_8_11,--p_7_10]).

input_clause(s2_type1_820,axiom,
    [++p_7_11,--q_8_11,--q_7_10]).

input_clause(s2_type1_821,axiom,
    [++q_7_11,--p_8_11,--p_7_10]).

input_clause(s2_type1_822,axiom,
    [++q_7_11,--p_8_11,--q_7_10]).

input_clause(s2_type1_823,axiom,
    [++q_7_11,--q_8_11,--p_7_10]).

input_clause(s2_type1_824,axiom,
    [++q_7_11,--q_8_11,--q_7_10]).

input_clause(s2_type1_825,axiom,
    [++p_7_12,--p_8_12,--p_7_11]).

input_clause(s2_type1_826,axiom,
    [++p_7_12,--p_8_12,--q_7_11]).

input_clause(s2_type1_827,axiom,
    [++p_7_12,--q_8_12,--p_7_11]).

input_clause(s2_type1_828,axiom,
    [++p_7_12,--q_8_12,--q_7_11]).

input_clause(s2_type1_829,axiom,
    [++q_7_12,--p_8_12,--p_7_11]).

input_clause(s2_type1_830,axiom,
    [++q_7_12,--p_8_12,--q_7_11]).

input_clause(s2_type1_831,axiom,
    [++q_7_12,--q_8_12,--p_7_11]).

input_clause(s2_type1_832,axiom,
    [++q_7_12,--q_8_12,--q_7_11]).

input_clause(s2_type1_833,axiom,
    [++p_7_13,--p_8_13,--p_7_12]).

input_clause(s2_type1_834,axiom,
    [++p_7_13,--p_8_13,--q_7_12]).

input_clause(s2_type1_835,axiom,
    [++p_7_13,--q_8_13,--p_7_12]).

input_clause(s2_type1_836,axiom,
    [++p_7_13,--q_8_13,--q_7_12]).

input_clause(s2_type1_837,axiom,
    [++q_7_13,--p_8_13,--p_7_12]).

input_clause(s2_type1_838,axiom,
    [++q_7_13,--p_8_13,--q_7_12]).

input_clause(s2_type1_839,axiom,
    [++q_7_13,--q_8_13,--p_7_12]).

input_clause(s2_type1_840,axiom,
    [++q_7_13,--q_8_13,--q_7_12]).

input_clause(s2_type1_841,axiom,
    [++p_7_14,--p_8_14,--p_7_13]).

input_clause(s2_type1_842,axiom,
    [++p_7_14,--p_8_14,--q_7_13]).

input_clause(s2_type1_843,axiom,
    [++p_7_14,--q_8_14,--p_7_13]).

input_clause(s2_type1_844,axiom,
    [++p_7_14,--q_8_14,--q_7_13]).

input_clause(s2_type1_845,axiom,
    [++q_7_14,--p_8_14,--p_7_13]).

input_clause(s2_type1_846,axiom,
    [++q_7_14,--p_8_14,--q_7_13]).

input_clause(s2_type1_847,axiom,
    [++q_7_14,--q_8_14,--p_7_13]).

input_clause(s2_type1_848,axiom,
    [++q_7_14,--q_8_14,--q_7_13]).

input_clause(s2_type1_849,axiom,
    [++p_7_15,--p_8_15,--p_7_14]).

input_clause(s2_type1_850,axiom,
    [++p_7_15,--p_8_15,--q_7_14]).

input_clause(s2_type1_851,axiom,
    [++p_7_15,--q_8_15,--p_7_14]).

input_clause(s2_type1_852,axiom,
    [++p_7_15,--q_8_15,--q_7_14]).

input_clause(s2_type1_853,axiom,
    [++q_7_15,--p_8_15,--p_7_14]).

input_clause(s2_type1_854,axiom,
    [++q_7_15,--p_8_15,--q_7_14]).

input_clause(s2_type1_855,axiom,
    [++q_7_15,--q_8_15,--p_7_14]).

input_clause(s2_type1_856,axiom,
    [++q_7_15,--q_8_15,--q_7_14]).

input_clause(s2_type1_857,axiom,
    [++p_7_16,--p_8_16,--p_7_15]).

input_clause(s2_type1_858,axiom,
    [++p_7_16,--p_8_16,--q_7_15]).

input_clause(s2_type1_859,axiom,
    [++p_7_16,--q_8_16,--p_7_15]).

input_clause(s2_type1_860,axiom,
    [++p_7_16,--q_8_16,--q_7_15]).

input_clause(s2_type1_861,axiom,
    [++q_7_16,--p_8_16,--p_7_15]).

input_clause(s2_type1_862,axiom,
    [++q_7_16,--p_8_16,--q_7_15]).

input_clause(s2_type1_863,axiom,
    [++q_7_16,--q_8_16,--p_7_15]).

input_clause(s2_type1_864,axiom,
    [++q_7_16,--q_8_16,--q_7_15]).

input_clause(s2_type1_865,axiom,
    [++p_7_17,--p_8_17,--p_7_16]).

input_clause(s2_type1_866,axiom,
    [++p_7_17,--p_8_17,--q_7_16]).

input_clause(s2_type1_867,axiom,
    [++p_7_17,--q_8_17,--p_7_16]).

input_clause(s2_type1_868,axiom,
    [++p_7_17,--q_8_17,--q_7_16]).

input_clause(s2_type1_869,axiom,
    [++q_7_17,--p_8_17,--p_7_16]).

input_clause(s2_type1_870,axiom,
    [++q_7_17,--p_8_17,--q_7_16]).

input_clause(s2_type1_871,axiom,
    [++q_7_17,--q_8_17,--p_7_16]).

input_clause(s2_type1_872,axiom,
    [++q_7_17,--q_8_17,--q_7_16]).

input_clause(s2_type1_873,axiom,
    [++p_7_18,--p_8_18,--p_7_17]).

input_clause(s2_type1_874,axiom,
    [++p_7_18,--p_8_18,--q_7_17]).

input_clause(s2_type1_875,axiom,
    [++p_7_18,--q_8_18,--p_7_17]).

input_clause(s2_type1_876,axiom,
    [++p_7_18,--q_8_18,--q_7_17]).

input_clause(s2_type1_877,axiom,
    [++q_7_18,--p_8_18,--p_7_17]).

input_clause(s2_type1_878,axiom,
    [++q_7_18,--p_8_18,--q_7_17]).

input_clause(s2_type1_879,axiom,
    [++q_7_18,--q_8_18,--p_7_17]).

input_clause(s2_type1_880,axiom,
    [++q_7_18,--q_8_18,--q_7_17]).

input_clause(s2_type1_881,axiom,
    [++p_7_19,--p_8_19,--p_7_18]).

input_clause(s2_type1_882,axiom,
    [++p_7_19,--p_8_19,--q_7_18]).

input_clause(s2_type1_883,axiom,
    [++p_7_19,--q_8_19,--p_7_18]).

input_clause(s2_type1_884,axiom,
    [++p_7_19,--q_8_19,--q_7_18]).

input_clause(s2_type1_885,axiom,
    [++q_7_19,--p_8_19,--p_7_18]).

input_clause(s2_type1_886,axiom,
    [++q_7_19,--p_8_19,--q_7_18]).

input_clause(s2_type1_887,axiom,
    [++q_7_19,--q_8_19,--p_7_18]).

input_clause(s2_type1_888,axiom,
    [++q_7_19,--q_8_19,--q_7_18]).

input_clause(s2_type1_889,axiom,
    [++p_7_20,--p_8_20,--p_7_19]).

input_clause(s2_type1_890,axiom,
    [++p_7_20,--p_8_20,--q_7_19]).

input_clause(s2_type1_891,axiom,
    [++p_7_20,--q_8_20,--p_7_19]).

input_clause(s2_type1_892,axiom,
    [++p_7_20,--q_8_20,--q_7_19]).

input_clause(s2_type1_893,axiom,
    [++q_7_20,--p_8_20,--p_7_19]).

input_clause(s2_type1_894,axiom,
    [++q_7_20,--p_8_20,--q_7_19]).

input_clause(s2_type1_895,axiom,
    [++q_7_20,--q_8_20,--p_7_19]).

input_clause(s2_type1_896,axiom,
    [++q_7_20,--q_8_20,--q_7_19]).

input_clause(s2_type1_897,axiom,
    [++p_8_9,--p_9_9,--p_8_8]).

input_clause(s2_type1_898,axiom,
    [++p_8_9,--p_9_9,--q_8_8]).

input_clause(s2_type1_899,axiom,
    [++p_8_9,--q_9_9,--p_8_8]).

input_clause(s2_type1_900,axiom,
    [++p_8_9,--q_9_9,--q_8_8]).

input_clause(s2_type1_901,axiom,
    [++q_8_9,--p_9_9,--p_8_8]).

input_clause(s2_type1_902,axiom,
    [++q_8_9,--p_9_9,--q_8_8]).

input_clause(s2_type1_903,axiom,
    [++q_8_9,--q_9_9,--p_8_8]).

input_clause(s2_type1_904,axiom,
    [++q_8_9,--q_9_9,--q_8_8]).

input_clause(s2_type1_905,axiom,
    [++p_8_10,--p_9_10,--p_8_9]).

input_clause(s2_type1_906,axiom,
    [++p_8_10,--p_9_10,--q_8_9]).

input_clause(s2_type1_907,axiom,
    [++p_8_10,--q_9_10,--p_8_9]).

input_clause(s2_type1_908,axiom,
    [++p_8_10,--q_9_10,--q_8_9]).

input_clause(s2_type1_909,axiom,
    [++q_8_10,--p_9_10,--p_8_9]).

input_clause(s2_type1_910,axiom,
    [++q_8_10,--p_9_10,--q_8_9]).

input_clause(s2_type1_911,axiom,
    [++q_8_10,--q_9_10,--p_8_9]).

input_clause(s2_type1_912,axiom,
    [++q_8_10,--q_9_10,--q_8_9]).

input_clause(s2_type1_913,axiom,
    [++p_8_11,--p_9_11,--p_8_10]).

input_clause(s2_type1_914,axiom,
    [++p_8_11,--p_9_11,--q_8_10]).

input_clause(s2_type1_915,axiom,
    [++p_8_11,--q_9_11,--p_8_10]).

input_clause(s2_type1_916,axiom,
    [++p_8_11,--q_9_11,--q_8_10]).

input_clause(s2_type1_917,axiom,
    [++q_8_11,--p_9_11,--p_8_10]).

input_clause(s2_type1_918,axiom,
    [++q_8_11,--p_9_11,--q_8_10]).

input_clause(s2_type1_919,axiom,
    [++q_8_11,--q_9_11,--p_8_10]).

input_clause(s2_type1_920,axiom,
    [++q_8_11,--q_9_11,--q_8_10]).

input_clause(s2_type1_921,axiom,
    [++p_8_12,--p_9_12,--p_8_11]).

input_clause(s2_type1_922,axiom,
    [++p_8_12,--p_9_12,--q_8_11]).

input_clause(s2_type1_923,axiom,
    [++p_8_12,--q_9_12,--p_8_11]).

input_clause(s2_type1_924,axiom,
    [++p_8_12,--q_9_12,--q_8_11]).

input_clause(s2_type1_925,axiom,
    [++q_8_12,--p_9_12,--p_8_11]).

input_clause(s2_type1_926,axiom,
    [++q_8_12,--p_9_12,--q_8_11]).

input_clause(s2_type1_927,axiom,
    [++q_8_12,--q_9_12,--p_8_11]).

input_clause(s2_type1_928,axiom,
    [++q_8_12,--q_9_12,--q_8_11]).

input_clause(s2_type1_929,axiom,
    [++p_8_13,--p_9_13,--p_8_12]).

input_clause(s2_type1_930,axiom,
    [++p_8_13,--p_9_13,--q_8_12]).

input_clause(s2_type1_931,axiom,
    [++p_8_13,--q_9_13,--p_8_12]).

input_clause(s2_type1_932,axiom,
    [++p_8_13,--q_9_13,--q_8_12]).

input_clause(s2_type1_933,axiom,
    [++q_8_13,--p_9_13,--p_8_12]).

input_clause(s2_type1_934,axiom,
    [++q_8_13,--p_9_13,--q_8_12]).

input_clause(s2_type1_935,axiom,
    [++q_8_13,--q_9_13,--p_8_12]).

input_clause(s2_type1_936,axiom,
    [++q_8_13,--q_9_13,--q_8_12]).

input_clause(s2_type1_937,axiom,
    [++p_8_14,--p_9_14,--p_8_13]).

input_clause(s2_type1_938,axiom,
    [++p_8_14,--p_9_14,--q_8_13]).

input_clause(s2_type1_939,axiom,
    [++p_8_14,--q_9_14,--p_8_13]).

input_clause(s2_type1_940,axiom,
    [++p_8_14,--q_9_14,--q_8_13]).

input_clause(s2_type1_941,axiom,
    [++q_8_14,--p_9_14,--p_8_13]).

input_clause(s2_type1_942,axiom,
    [++q_8_14,--p_9_14,--q_8_13]).

input_clause(s2_type1_943,axiom,
    [++q_8_14,--q_9_14,--p_8_13]).

input_clause(s2_type1_944,axiom,
    [++q_8_14,--q_9_14,--q_8_13]).

input_clause(s2_type1_945,axiom,
    [++p_8_15,--p_9_15,--p_8_14]).

input_clause(s2_type1_946,axiom,
    [++p_8_15,--p_9_15,--q_8_14]).

input_clause(s2_type1_947,axiom,
    [++p_8_15,--q_9_15,--p_8_14]).

input_clause(s2_type1_948,axiom,
    [++p_8_15,--q_9_15,--q_8_14]).

input_clause(s2_type1_949,axiom,
    [++q_8_15,--p_9_15,--p_8_14]).

input_clause(s2_type1_950,axiom,
    [++q_8_15,--p_9_15,--q_8_14]).

input_clause(s2_type1_951,axiom,
    [++q_8_15,--q_9_15,--p_8_14]).

input_clause(s2_type1_952,axiom,
    [++q_8_15,--q_9_15,--q_8_14]).

input_clause(s2_type1_953,axiom,
    [++p_8_16,--p_9_16,--p_8_15]).

input_clause(s2_type1_954,axiom,
    [++p_8_16,--p_9_16,--q_8_15]).

input_clause(s2_type1_955,axiom,
    [++p_8_16,--q_9_16,--p_8_15]).

input_clause(s2_type1_956,axiom,
    [++p_8_16,--q_9_16,--q_8_15]).

input_clause(s2_type1_957,axiom,
    [++q_8_16,--p_9_16,--p_8_15]).

input_clause(s2_type1_958,axiom,
    [++q_8_16,--p_9_16,--q_8_15]).

input_clause(s2_type1_959,axiom,
    [++q_8_16,--q_9_16,--p_8_15]).

input_clause(s2_type1_960,axiom,
    [++q_8_16,--q_9_16,--q_8_15]).

input_clause(s2_type1_961,axiom,
    [++p_8_17,--p_9_17,--p_8_16]).

input_clause(s2_type1_962,axiom,
    [++p_8_17,--p_9_17,--q_8_16]).

input_clause(s2_type1_963,axiom,
    [++p_8_17,--q_9_17,--p_8_16]).

input_clause(s2_type1_964,axiom,
    [++p_8_17,--q_9_17,--q_8_16]).

input_clause(s2_type1_965,axiom,
    [++q_8_17,--p_9_17,--p_8_16]).

input_clause(s2_type1_966,axiom,
    [++q_8_17,--p_9_17,--q_8_16]).

input_clause(s2_type1_967,axiom,
    [++q_8_17,--q_9_17,--p_8_16]).

input_clause(s2_type1_968,axiom,
    [++q_8_17,--q_9_17,--q_8_16]).

input_clause(s2_type1_969,axiom,
    [++p_8_18,--p_9_18,--p_8_17]).

input_clause(s2_type1_970,axiom,
    [++p_8_18,--p_9_18,--q_8_17]).

input_clause(s2_type1_971,axiom,
    [++p_8_18,--q_9_18,--p_8_17]).

input_clause(s2_type1_972,axiom,
    [++p_8_18,--q_9_18,--q_8_17]).

input_clause(s2_type1_973,axiom,
    [++q_8_18,--p_9_18,--p_8_17]).

input_clause(s2_type1_974,axiom,
    [++q_8_18,--p_9_18,--q_8_17]).

input_clause(s2_type1_975,axiom,
    [++q_8_18,--q_9_18,--p_8_17]).

input_clause(s2_type1_976,axiom,
    [++q_8_18,--q_9_18,--q_8_17]).

input_clause(s2_type1_977,axiom,
    [++p_8_19,--p_9_19,--p_8_18]).

input_clause(s2_type1_978,axiom,
    [++p_8_19,--p_9_19,--q_8_18]).

input_clause(s2_type1_979,axiom,
    [++p_8_19,--q_9_19,--p_8_18]).

input_clause(s2_type1_980,axiom,
    [++p_8_19,--q_9_19,--q_8_18]).

input_clause(s2_type1_981,axiom,
    [++q_8_19,--p_9_19,--p_8_18]).

input_clause(s2_type1_982,axiom,
    [++q_8_19,--p_9_19,--q_8_18]).

input_clause(s2_type1_983,axiom,
    [++q_8_19,--q_9_19,--p_8_18]).

input_clause(s2_type1_984,axiom,
    [++q_8_19,--q_9_19,--q_8_18]).

input_clause(s2_type1_985,axiom,
    [++p_8_20,--p_9_20,--p_8_19]).

input_clause(s2_type1_986,axiom,
    [++p_8_20,--p_9_20,--q_8_19]).

input_clause(s2_type1_987,axiom,
    [++p_8_20,--q_9_20,--p_8_19]).

input_clause(s2_type1_988,axiom,
    [++p_8_20,--q_9_20,--q_8_19]).

input_clause(s2_type1_989,axiom,
    [++q_8_20,--p_9_20,--p_8_19]).

input_clause(s2_type1_990,axiom,
    [++q_8_20,--p_9_20,--q_8_19]).

input_clause(s2_type1_991,axiom,
    [++q_8_20,--q_9_20,--p_8_19]).

input_clause(s2_type1_992,axiom,
    [++q_8_20,--q_9_20,--q_8_19]).

input_clause(s2_type1_993,axiom,
    [++p_9_10,--p_10_10,--p_9_9]).

input_clause(s2_type1_994,axiom,
    [++p_9_10,--p_10_10,--q_9_9]).

input_clause(s2_type1_995,axiom,
    [++p_9_10,--q_10_10,--p_9_9]).

input_clause(s2_type1_996,axiom,
    [++p_9_10,--q_10_10,--q_9_9]).

input_clause(s2_type1_997,axiom,
    [++q_9_10,--p_10_10,--p_9_9]).

input_clause(s2_type1_998,axiom,
    [++q_9_10,--p_10_10,--q_9_9]).

input_clause(s2_type1_999,axiom,
    [++q_9_10,--q_10_10,--p_9_9]).

input_clause(s2_type1_1000,axiom,
    [++q_9_10,--q_10_10,--q_9_9]).

input_clause(s2_type1_1001,axiom,
    [++p_9_11,--p_10_11,--p_9_10]).

input_clause(s2_type1_1002,axiom,
    [++p_9_11,--p_10_11,--q_9_10]).

input_clause(s2_type1_1003,axiom,
    [++p_9_11,--q_10_11,--p_9_10]).

input_clause(s2_type1_1004,axiom,
    [++p_9_11,--q_10_11,--q_9_10]).

input_clause(s2_type1_1005,axiom,
    [++q_9_11,--p_10_11,--p_9_10]).

input_clause(s2_type1_1006,axiom,
    [++q_9_11,--p_10_11,--q_9_10]).

input_clause(s2_type1_1007,axiom,
    [++q_9_11,--q_10_11,--p_9_10]).

input_clause(s2_type1_1008,axiom,
    [++q_9_11,--q_10_11,--q_9_10]).

input_clause(s2_type1_1009,axiom,
    [++p_9_12,--p_10_12,--p_9_11]).

input_clause(s2_type1_1010,axiom,
    [++p_9_12,--p_10_12,--q_9_11]).

input_clause(s2_type1_1011,axiom,
    [++p_9_12,--q_10_12,--p_9_11]).

input_clause(s2_type1_1012,axiom,
    [++p_9_12,--q_10_12,--q_9_11]).

input_clause(s2_type1_1013,axiom,
    [++q_9_12,--p_10_12,--p_9_11]).

input_clause(s2_type1_1014,axiom,
    [++q_9_12,--p_10_12,--q_9_11]).

input_clause(s2_type1_1015,axiom,
    [++q_9_12,--q_10_12,--p_9_11]).

input_clause(s2_type1_1016,axiom,
    [++q_9_12,--q_10_12,--q_9_11]).

input_clause(s2_type1_1017,axiom,
    [++p_9_13,--p_10_13,--p_9_12]).

input_clause(s2_type1_1018,axiom,
    [++p_9_13,--p_10_13,--q_9_12]).

input_clause(s2_type1_1019,axiom,
    [++p_9_13,--q_10_13,--p_9_12]).

input_clause(s2_type1_1020,axiom,
    [++p_9_13,--q_10_13,--q_9_12]).

input_clause(s2_type1_1021,axiom,
    [++q_9_13,--p_10_13,--p_9_12]).

input_clause(s2_type1_1022,axiom,
    [++q_9_13,--p_10_13,--q_9_12]).

input_clause(s2_type1_1023,axiom,
    [++q_9_13,--q_10_13,--p_9_12]).

input_clause(s2_type1_1024,axiom,
    [++q_9_13,--q_10_13,--q_9_12]).

input_clause(s2_type1_1025,axiom,
    [++p_9_14,--p_10_14,--p_9_13]).

input_clause(s2_type1_1026,axiom,
    [++p_9_14,--p_10_14,--q_9_13]).

input_clause(s2_type1_1027,axiom,
    [++p_9_14,--q_10_14,--p_9_13]).

input_clause(s2_type1_1028,axiom,
    [++p_9_14,--q_10_14,--q_9_13]).

input_clause(s2_type1_1029,axiom,
    [++q_9_14,--p_10_14,--p_9_13]).

input_clause(s2_type1_1030,axiom,
    [++q_9_14,--p_10_14,--q_9_13]).

input_clause(s2_type1_1031,axiom,
    [++q_9_14,--q_10_14,--p_9_13]).

input_clause(s2_type1_1032,axiom,
    [++q_9_14,--q_10_14,--q_9_13]).

input_clause(s2_type1_1033,axiom,
    [++p_9_15,--p_10_15,--p_9_14]).

input_clause(s2_type1_1034,axiom,
    [++p_9_15,--p_10_15,--q_9_14]).

input_clause(s2_type1_1035,axiom,
    [++p_9_15,--q_10_15,--p_9_14]).

input_clause(s2_type1_1036,axiom,
    [++p_9_15,--q_10_15,--q_9_14]).

input_clause(s2_type1_1037,axiom,
    [++q_9_15,--p_10_15,--p_9_14]).

input_clause(s2_type1_1038,axiom,
    [++q_9_15,--p_10_15,--q_9_14]).

input_clause(s2_type1_1039,axiom,
    [++q_9_15,--q_10_15,--p_9_14]).

input_clause(s2_type1_1040,axiom,
    [++q_9_15,--q_10_15,--q_9_14]).

input_clause(s2_type1_1041,axiom,
    [++p_9_16,--p_10_16,--p_9_15]).

input_clause(s2_type1_1042,axiom,
    [++p_9_16,--p_10_16,--q_9_15]).

input_clause(s2_type1_1043,axiom,
    [++p_9_16,--q_10_16,--p_9_15]).

input_clause(s2_type1_1044,axiom,
    [++p_9_16,--q_10_16,--q_9_15]).

input_clause(s2_type1_1045,axiom,
    [++q_9_16,--p_10_16,--p_9_15]).

input_clause(s2_type1_1046,axiom,
    [++q_9_16,--p_10_16,--q_9_15]).

input_clause(s2_type1_1047,axiom,
    [++q_9_16,--q_10_16,--p_9_15]).

input_clause(s2_type1_1048,axiom,
    [++q_9_16,--q_10_16,--q_9_15]).

input_clause(s2_type1_1049,axiom,
    [++p_9_17,--p_10_17,--p_9_16]).

input_clause(s2_type1_1050,axiom,
    [++p_9_17,--p_10_17,--q_9_16]).

input_clause(s2_type1_1051,axiom,
    [++p_9_17,--q_10_17,--p_9_16]).

input_clause(s2_type1_1052,axiom,
    [++p_9_17,--q_10_17,--q_9_16]).

input_clause(s2_type1_1053,axiom,
    [++q_9_17,--p_10_17,--p_9_16]).

input_clause(s2_type1_1054,axiom,
    [++q_9_17,--p_10_17,--q_9_16]).

input_clause(s2_type1_1055,axiom,
    [++q_9_17,--q_10_17,--p_9_16]).

input_clause(s2_type1_1056,axiom,
    [++q_9_17,--q_10_17,--q_9_16]).

input_clause(s2_type1_1057,axiom,
    [++p_9_18,--p_10_18,--p_9_17]).

input_clause(s2_type1_1058,axiom,
    [++p_9_18,--p_10_18,--q_9_17]).

input_clause(s2_type1_1059,axiom,
    [++p_9_18,--q_10_18,--p_9_17]).

input_clause(s2_type1_1060,axiom,
    [++p_9_18,--q_10_18,--q_9_17]).

input_clause(s2_type1_1061,axiom,
    [++q_9_18,--p_10_18,--p_9_17]).

input_clause(s2_type1_1062,axiom,
    [++q_9_18,--p_10_18,--q_9_17]).

input_clause(s2_type1_1063,axiom,
    [++q_9_18,--q_10_18,--p_9_17]).

input_clause(s2_type1_1064,axiom,
    [++q_9_18,--q_10_18,--q_9_17]).

input_clause(s2_type1_1065,axiom,
    [++p_9_19,--p_10_19,--p_9_18]).

input_clause(s2_type1_1066,axiom,
    [++p_9_19,--p_10_19,--q_9_18]).

input_clause(s2_type1_1067,axiom,
    [++p_9_19,--q_10_19,--p_9_18]).

input_clause(s2_type1_1068,axiom,
    [++p_9_19,--q_10_19,--q_9_18]).

input_clause(s2_type1_1069,axiom,
    [++q_9_19,--p_10_19,--p_9_18]).

input_clause(s2_type1_1070,axiom,
    [++q_9_19,--p_10_19,--q_9_18]).

input_clause(s2_type1_1071,axiom,
    [++q_9_19,--q_10_19,--p_9_18]).

input_clause(s2_type1_1072,axiom,
    [++q_9_19,--q_10_19,--q_9_18]).

input_clause(s2_type1_1073,axiom,
    [++p_9_20,--p_10_20,--p_9_19]).

input_clause(s2_type1_1074,axiom,
    [++p_9_20,--p_10_20,--q_9_19]).

input_clause(s2_type1_1075,axiom,
    [++p_9_20,--q_10_20,--p_9_19]).

input_clause(s2_type1_1076,axiom,
    [++p_9_20,--q_10_20,--q_9_19]).

input_clause(s2_type1_1077,axiom,
    [++q_9_20,--p_10_20,--p_9_19]).

input_clause(s2_type1_1078,axiom,
    [++q_9_20,--p_10_20,--q_9_19]).

input_clause(s2_type1_1079,axiom,
    [++q_9_20,--q_10_20,--p_9_19]).

input_clause(s2_type1_1080,axiom,
    [++q_9_20,--q_10_20,--q_9_19]).

input_clause(s2_type1_1081,axiom,
    [++p_10_11,--p_11_11,--p_10_10]).

input_clause(s2_type1_1082,axiom,
    [++p_10_11,--p_11_11,--q_10_10]).

input_clause(s2_type1_1083,axiom,
    [++p_10_11,--q_11_11,--p_10_10]).

input_clause(s2_type1_1084,axiom,
    [++p_10_11,--q_11_11,--q_10_10]).

input_clause(s2_type1_1085,axiom,
    [++q_10_11,--p_11_11,--p_10_10]).

input_clause(s2_type1_1086,axiom,
    [++q_10_11,--p_11_11,--q_10_10]).

input_clause(s2_type1_1087,axiom,
    [++q_10_11,--q_11_11,--p_10_10]).

input_clause(s2_type1_1088,axiom,
    [++q_10_11,--q_11_11,--q_10_10]).

input_clause(s2_type1_1089,axiom,
    [++p_10_12,--p_11_12,--p_10_11]).

input_clause(s2_type1_1090,axiom,
    [++p_10_12,--p_11_12,--q_10_11]).

input_clause(s2_type1_1091,axiom,
    [++p_10_12,--q_11_12,--p_10_11]).

input_clause(s2_type1_1092,axiom,
    [++p_10_12,--q_11_12,--q_10_11]).

input_clause(s2_type1_1093,axiom,
    [++q_10_12,--p_11_12,--p_10_11]).

input_clause(s2_type1_1094,axiom,
    [++q_10_12,--p_11_12,--q_10_11]).

input_clause(s2_type1_1095,axiom,
    [++q_10_12,--q_11_12,--p_10_11]).

input_clause(s2_type1_1096,axiom,
    [++q_10_12,--q_11_12,--q_10_11]).

input_clause(s2_type1_1097,axiom,
    [++p_10_13,--p_11_13,--p_10_12]).

input_clause(s2_type1_1098,axiom,
    [++p_10_13,--p_11_13,--q_10_12]).

input_clause(s2_type1_1099,axiom,
    [++p_10_13,--q_11_13,--p_10_12]).

input_clause(s2_type1_1100,axiom,
    [++p_10_13,--q_11_13,--q_10_12]).

input_clause(s2_type1_1101,axiom,
    [++q_10_13,--p_11_13,--p_10_12]).

input_clause(s2_type1_1102,axiom,
    [++q_10_13,--p_11_13,--q_10_12]).

input_clause(s2_type1_1103,axiom,
    [++q_10_13,--q_11_13,--p_10_12]).

input_clause(s2_type1_1104,axiom,
    [++q_10_13,--q_11_13,--q_10_12]).

input_clause(s2_type1_1105,axiom,
    [++p_10_14,--p_11_14,--p_10_13]).

input_clause(s2_type1_1106,axiom,
    [++p_10_14,--p_11_14,--q_10_13]).

input_clause(s2_type1_1107,axiom,
    [++p_10_14,--q_11_14,--p_10_13]).

input_clause(s2_type1_1108,axiom,
    [++p_10_14,--q_11_14,--q_10_13]).

input_clause(s2_type1_1109,axiom,
    [++q_10_14,--p_11_14,--p_10_13]).

input_clause(s2_type1_1110,axiom,
    [++q_10_14,--p_11_14,--q_10_13]).

input_clause(s2_type1_1111,axiom,
    [++q_10_14,--q_11_14,--p_10_13]).

input_clause(s2_type1_1112,axiom,
    [++q_10_14,--q_11_14,--q_10_13]).

input_clause(s2_type1_1113,axiom,
    [++p_10_15,--p_11_15,--p_10_14]).

input_clause(s2_type1_1114,axiom,
    [++p_10_15,--p_11_15,--q_10_14]).

input_clause(s2_type1_1115,axiom,
    [++p_10_15,--q_11_15,--p_10_14]).

input_clause(s2_type1_1116,axiom,
    [++p_10_15,--q_11_15,--q_10_14]).

input_clause(s2_type1_1117,axiom,
    [++q_10_15,--p_11_15,--p_10_14]).

input_clause(s2_type1_1118,axiom,
    [++q_10_15,--p_11_15,--q_10_14]).

input_clause(s2_type1_1119,axiom,
    [++q_10_15,--q_11_15,--p_10_14]).

input_clause(s2_type1_1120,axiom,
    [++q_10_15,--q_11_15,--q_10_14]).

input_clause(s2_type1_1121,axiom,
    [++p_10_16,--p_11_16,--p_10_15]).

input_clause(s2_type1_1122,axiom,
    [++p_10_16,--p_11_16,--q_10_15]).

input_clause(s2_type1_1123,axiom,
    [++p_10_16,--q_11_16,--p_10_15]).

input_clause(s2_type1_1124,axiom,
    [++p_10_16,--q_11_16,--q_10_15]).

input_clause(s2_type1_1125,axiom,
    [++q_10_16,--p_11_16,--p_10_15]).

input_clause(s2_type1_1126,axiom,
    [++q_10_16,--p_11_16,--q_10_15]).

input_clause(s2_type1_1127,axiom,
    [++q_10_16,--q_11_16,--p_10_15]).

input_clause(s2_type1_1128,axiom,
    [++q_10_16,--q_11_16,--q_10_15]).

input_clause(s2_type1_1129,axiom,
    [++p_10_17,--p_11_17,--p_10_16]).

input_clause(s2_type1_1130,axiom,
    [++p_10_17,--p_11_17,--q_10_16]).

input_clause(s2_type1_1131,axiom,
    [++p_10_17,--q_11_17,--p_10_16]).

input_clause(s2_type1_1132,axiom,
    [++p_10_17,--q_11_17,--q_10_16]).

input_clause(s2_type1_1133,axiom,
    [++q_10_17,--p_11_17,--p_10_16]).

input_clause(s2_type1_1134,axiom,
    [++q_10_17,--p_11_17,--q_10_16]).

input_clause(s2_type1_1135,axiom,
    [++q_10_17,--q_11_17,--p_10_16]).

input_clause(s2_type1_1136,axiom,
    [++q_10_17,--q_11_17,--q_10_16]).

input_clause(s2_type1_1137,axiom,
    [++p_10_18,--p_11_18,--p_10_17]).

input_clause(s2_type1_1138,axiom,
    [++p_10_18,--p_11_18,--q_10_17]).

input_clause(s2_type1_1139,axiom,
    [++p_10_18,--q_11_18,--p_10_17]).

input_clause(s2_type1_1140,axiom,
    [++p_10_18,--q_11_18,--q_10_17]).

input_clause(s2_type1_1141,axiom,
    [++q_10_18,--p_11_18,--p_10_17]).

input_clause(s2_type1_1142,axiom,
    [++q_10_18,--p_11_18,--q_10_17]).

input_clause(s2_type1_1143,axiom,
    [++q_10_18,--q_11_18,--p_10_17]).

input_clause(s2_type1_1144,axiom,
    [++q_10_18,--q_11_18,--q_10_17]).

input_clause(s2_type1_1145,axiom,
    [++p_10_19,--p_11_19,--p_10_18]).

input_clause(s2_type1_1146,axiom,
    [++p_10_19,--p_11_19,--q_10_18]).

input_clause(s2_type1_1147,axiom,
    [++p_10_19,--q_11_19,--p_10_18]).

input_clause(s2_type1_1148,axiom,
    [++p_10_19,--q_11_19,--q_10_18]).

input_clause(s2_type1_1149,axiom,
    [++q_10_19,--p_11_19,--p_10_18]).

input_clause(s2_type1_1150,axiom,
    [++q_10_19,--p_11_19,--q_10_18]).

input_clause(s2_type1_1151,axiom,
    [++q_10_19,--q_11_19,--p_10_18]).

input_clause(s2_type1_1152,axiom,
    [++q_10_19,--q_11_19,--q_10_18]).

input_clause(s2_type1_1153,axiom,
    [++p_10_20,--p_11_20,--p_10_19]).

input_clause(s2_type1_1154,axiom,
    [++p_10_20,--p_11_20,--q_10_19]).

input_clause(s2_type1_1155,axiom,
    [++p_10_20,--q_11_20,--p_10_19]).

input_clause(s2_type1_1156,axiom,
    [++p_10_20,--q_11_20,--q_10_19]).

input_clause(s2_type1_1157,axiom,
    [++q_10_20,--p_11_20,--p_10_19]).

input_clause(s2_type1_1158,axiom,
    [++q_10_20,--p_11_20,--q_10_19]).

input_clause(s2_type1_1159,axiom,
    [++q_10_20,--q_11_20,--p_10_19]).

input_clause(s2_type1_1160,axiom,
    [++q_10_20,--q_11_20,--q_10_19]).

input_clause(s2_type1_1161,axiom,
    [++p_11_12,--p_12_12,--p_11_11]).

input_clause(s2_type1_1162,axiom,
    [++p_11_12,--p_12_12,--q_11_11]).

input_clause(s2_type1_1163,axiom,
    [++p_11_12,--q_12_12,--p_11_11]).

input_clause(s2_type1_1164,axiom,
    [++p_11_12,--q_12_12,--q_11_11]).

input_clause(s2_type1_1165,axiom,
    [++q_11_12,--p_12_12,--p_11_11]).

input_clause(s2_type1_1166,axiom,
    [++q_11_12,--p_12_12,--q_11_11]).

input_clause(s2_type1_1167,axiom,
    [++q_11_12,--q_12_12,--p_11_11]).

input_clause(s2_type1_1168,axiom,
    [++q_11_12,--q_12_12,--q_11_11]).

input_clause(s2_type1_1169,axiom,
    [++p_11_13,--p_12_13,--p_11_12]).

input_clause(s2_type1_1170,axiom,
    [++p_11_13,--p_12_13,--q_11_12]).

input_clause(s2_type1_1171,axiom,
    [++p_11_13,--q_12_13,--p_11_12]).

input_clause(s2_type1_1172,axiom,
    [++p_11_13,--q_12_13,--q_11_12]).

input_clause(s2_type1_1173,axiom,
    [++q_11_13,--p_12_13,--p_11_12]).

input_clause(s2_type1_1174,axiom,
    [++q_11_13,--p_12_13,--q_11_12]).

input_clause(s2_type1_1175,axiom,
    [++q_11_13,--q_12_13,--p_11_12]).

input_clause(s2_type1_1176,axiom,
    [++q_11_13,--q_12_13,--q_11_12]).

input_clause(s2_type1_1177,axiom,
    [++p_11_14,--p_12_14,--p_11_13]).

input_clause(s2_type1_1178,axiom,
    [++p_11_14,--p_12_14,--q_11_13]).

input_clause(s2_type1_1179,axiom,
    [++p_11_14,--q_12_14,--p_11_13]).

input_clause(s2_type1_1180,axiom,
    [++p_11_14,--q_12_14,--q_11_13]).

input_clause(s2_type1_1181,axiom,
    [++q_11_14,--p_12_14,--p_11_13]).

input_clause(s2_type1_1182,axiom,
    [++q_11_14,--p_12_14,--q_11_13]).

input_clause(s2_type1_1183,axiom,
    [++q_11_14,--q_12_14,--p_11_13]).

input_clause(s2_type1_1184,axiom,
    [++q_11_14,--q_12_14,--q_11_13]).

input_clause(s2_type1_1185,axiom,
    [++p_11_15,--p_12_15,--p_11_14]).

input_clause(s2_type1_1186,axiom,
    [++p_11_15,--p_12_15,--q_11_14]).

input_clause(s2_type1_1187,axiom,
    [++p_11_15,--q_12_15,--p_11_14]).

input_clause(s2_type1_1188,axiom,
    [++p_11_15,--q_12_15,--q_11_14]).

input_clause(s2_type1_1189,axiom,
    [++q_11_15,--p_12_15,--p_11_14]).

input_clause(s2_type1_1190,axiom,
    [++q_11_15,--p_12_15,--q_11_14]).

input_clause(s2_type1_1191,axiom,
    [++q_11_15,--q_12_15,--p_11_14]).

input_clause(s2_type1_1192,axiom,
    [++q_11_15,--q_12_15,--q_11_14]).

input_clause(s2_type1_1193,axiom,
    [++p_11_16,--p_12_16,--p_11_15]).

input_clause(s2_type1_1194,axiom,
    [++p_11_16,--p_12_16,--q_11_15]).

input_clause(s2_type1_1195,axiom,
    [++p_11_16,--q_12_16,--p_11_15]).

input_clause(s2_type1_1196,axiom,
    [++p_11_16,--q_12_16,--q_11_15]).

input_clause(s2_type1_1197,axiom,
    [++q_11_16,--p_12_16,--p_11_15]).

input_clause(s2_type1_1198,axiom,
    [++q_11_16,--p_12_16,--q_11_15]).

input_clause(s2_type1_1199,axiom,
    [++q_11_16,--q_12_16,--p_11_15]).

input_clause(s2_type1_1200,axiom,
    [++q_11_16,--q_12_16,--q_11_15]).

input_clause(s2_type1_1201,axiom,
    [++p_11_17,--p_12_17,--p_11_16]).

input_clause(s2_type1_1202,axiom,
    [++p_11_17,--p_12_17,--q_11_16]).

input_clause(s2_type1_1203,axiom,
    [++p_11_17,--q_12_17,--p_11_16]).

input_clause(s2_type1_1204,axiom,
    [++p_11_17,--q_12_17,--q_11_16]).

input_clause(s2_type1_1205,axiom,
    [++q_11_17,--p_12_17,--p_11_16]).

input_clause(s2_type1_1206,axiom,
    [++q_11_17,--p_12_17,--q_11_16]).

input_clause(s2_type1_1207,axiom,
    [++q_11_17,--q_12_17,--p_11_16]).

input_clause(s2_type1_1208,axiom,
    [++q_11_17,--q_12_17,--q_11_16]).

input_clause(s2_type1_1209,axiom,
    [++p_11_18,--p_12_18,--p_11_17]).

input_clause(s2_type1_1210,axiom,
    [++p_11_18,--p_12_18,--q_11_17]).

input_clause(s2_type1_1211,axiom,
    [++p_11_18,--q_12_18,--p_11_17]).

input_clause(s2_type1_1212,axiom,
    [++p_11_18,--q_12_18,--q_11_17]).

input_clause(s2_type1_1213,axiom,
    [++q_11_18,--p_12_18,--p_11_17]).

input_clause(s2_type1_1214,axiom,
    [++q_11_18,--p_12_18,--q_11_17]).

input_clause(s2_type1_1215,axiom,
    [++q_11_18,--q_12_18,--p_11_17]).

input_clause(s2_type1_1216,axiom,
    [++q_11_18,--q_12_18,--q_11_17]).

input_clause(s2_type1_1217,axiom,
    [++p_11_19,--p_12_19,--p_11_18]).

input_clause(s2_type1_1218,axiom,
    [++p_11_19,--p_12_19,--q_11_18]).

input_clause(s2_type1_1219,axiom,
    [++p_11_19,--q_12_19,--p_11_18]).

input_clause(s2_type1_1220,axiom,
    [++p_11_19,--q_12_19,--q_11_18]).

input_clause(s2_type1_1221,axiom,
    [++q_11_19,--p_12_19,--p_11_18]).

input_clause(s2_type1_1222,axiom,
    [++q_11_19,--p_12_19,--q_11_18]).

input_clause(s2_type1_1223,axiom,
    [++q_11_19,--q_12_19,--p_11_18]).

input_clause(s2_type1_1224,axiom,
    [++q_11_19,--q_12_19,--q_11_18]).

input_clause(s2_type1_1225,axiom,
    [++p_11_20,--p_12_20,--p_11_19]).

input_clause(s2_type1_1226,axiom,
    [++p_11_20,--p_12_20,--q_11_19]).

input_clause(s2_type1_1227,axiom,
    [++p_11_20,--q_12_20,--p_11_19]).

input_clause(s2_type1_1228,axiom,
    [++p_11_20,--q_12_20,--q_11_19]).

input_clause(s2_type1_1229,axiom,
    [++q_11_20,--p_12_20,--p_11_19]).

input_clause(s2_type1_1230,axiom,
    [++q_11_20,--p_12_20,--q_11_19]).

input_clause(s2_type1_1231,axiom,
    [++q_11_20,--q_12_20,--p_11_19]).

input_clause(s2_type1_1232,axiom,
    [++q_11_20,--q_12_20,--q_11_19]).

input_clause(s2_type1_1233,axiom,
    [++p_12_13,--p_13_13,--p_12_12]).

input_clause(s2_type1_1234,axiom,
    [++p_12_13,--p_13_13,--q_12_12]).

input_clause(s2_type1_1235,axiom,
    [++p_12_13,--q_13_13,--p_12_12]).

input_clause(s2_type1_1236,axiom,
    [++p_12_13,--q_13_13,--q_12_12]).

input_clause(s2_type1_1237,axiom,
    [++q_12_13,--p_13_13,--p_12_12]).

input_clause(s2_type1_1238,axiom,
    [++q_12_13,--p_13_13,--q_12_12]).

input_clause(s2_type1_1239,axiom,
    [++q_12_13,--q_13_13,--p_12_12]).

input_clause(s2_type1_1240,axiom,
    [++q_12_13,--q_13_13,--q_12_12]).

input_clause(s2_type1_1241,axiom,
    [++p_12_14,--p_13_14,--p_12_13]).

input_clause(s2_type1_1242,axiom,
    [++p_12_14,--p_13_14,--q_12_13]).

input_clause(s2_type1_1243,axiom,
    [++p_12_14,--q_13_14,--p_12_13]).

input_clause(s2_type1_1244,axiom,
    [++p_12_14,--q_13_14,--q_12_13]).

input_clause(s2_type1_1245,axiom,
    [++q_12_14,--p_13_14,--p_12_13]).

input_clause(s2_type1_1246,axiom,
    [++q_12_14,--p_13_14,--q_12_13]).

input_clause(s2_type1_1247,axiom,
    [++q_12_14,--q_13_14,--p_12_13]).

input_clause(s2_type1_1248,axiom,
    [++q_12_14,--q_13_14,--q_12_13]).

input_clause(s2_type1_1249,axiom,
    [++p_12_15,--p_13_15,--p_12_14]).

input_clause(s2_type1_1250,axiom,
    [++p_12_15,--p_13_15,--q_12_14]).

input_clause(s2_type1_1251,axiom,
    [++p_12_15,--q_13_15,--p_12_14]).

input_clause(s2_type1_1252,axiom,
    [++p_12_15,--q_13_15,--q_12_14]).

input_clause(s2_type1_1253,axiom,
    [++q_12_15,--p_13_15,--p_12_14]).

input_clause(s2_type1_1254,axiom,
    [++q_12_15,--p_13_15,--q_12_14]).

input_clause(s2_type1_1255,axiom,
    [++q_12_15,--q_13_15,--p_12_14]).

input_clause(s2_type1_1256,axiom,
    [++q_12_15,--q_13_15,--q_12_14]).

input_clause(s2_type1_1257,axiom,
    [++p_12_16,--p_13_16,--p_12_15]).

input_clause(s2_type1_1258,axiom,
    [++p_12_16,--p_13_16,--q_12_15]).

input_clause(s2_type1_1259,axiom,
    [++p_12_16,--q_13_16,--p_12_15]).

input_clause(s2_type1_1260,axiom,
    [++p_12_16,--q_13_16,--q_12_15]).

input_clause(s2_type1_1261,axiom,
    [++q_12_16,--p_13_16,--p_12_15]).

input_clause(s2_type1_1262,axiom,
    [++q_12_16,--p_13_16,--q_12_15]).

input_clause(s2_type1_1263,axiom,
    [++q_12_16,--q_13_16,--p_12_15]).

input_clause(s2_type1_1264,axiom,
    [++q_12_16,--q_13_16,--q_12_15]).

input_clause(s2_type1_1265,axiom,
    [++p_12_17,--p_13_17,--p_12_16]).

input_clause(s2_type1_1266,axiom,
    [++p_12_17,--p_13_17,--q_12_16]).

input_clause(s2_type1_1267,axiom,
    [++p_12_17,--q_13_17,--p_12_16]).

input_clause(s2_type1_1268,axiom,
    [++p_12_17,--q_13_17,--q_12_16]).

input_clause(s2_type1_1269,axiom,
    [++q_12_17,--p_13_17,--p_12_16]).

input_clause(s2_type1_1270,axiom,
    [++q_12_17,--p_13_17,--q_12_16]).

input_clause(s2_type1_1271,axiom,
    [++q_12_17,--q_13_17,--p_12_16]).

input_clause(s2_type1_1272,axiom,
    [++q_12_17,--q_13_17,--q_12_16]).

input_clause(s2_type1_1273,axiom,
    [++p_12_18,--p_13_18,--p_12_17]).

input_clause(s2_type1_1274,axiom,
    [++p_12_18,--p_13_18,--q_12_17]).

input_clause(s2_type1_1275,axiom,
    [++p_12_18,--q_13_18,--p_12_17]).

input_clause(s2_type1_1276,axiom,
    [++p_12_18,--q_13_18,--q_12_17]).

input_clause(s2_type1_1277,axiom,
    [++q_12_18,--p_13_18,--p_12_17]).

input_clause(s2_type1_1278,axiom,
    [++q_12_18,--p_13_18,--q_12_17]).

input_clause(s2_type1_1279,axiom,
    [++q_12_18,--q_13_18,--p_12_17]).

input_clause(s2_type1_1280,axiom,
    [++q_12_18,--q_13_18,--q_12_17]).

input_clause(s2_type1_1281,axiom,
    [++p_12_19,--p_13_19,--p_12_18]).

input_clause(s2_type1_1282,axiom,
    [++p_12_19,--p_13_19,--q_12_18]).

input_clause(s2_type1_1283,axiom,
    [++p_12_19,--q_13_19,--p_12_18]).

input_clause(s2_type1_1284,axiom,
    [++p_12_19,--q_13_19,--q_12_18]).

input_clause(s2_type1_1285,axiom,
    [++q_12_19,--p_13_19,--p_12_18]).

input_clause(s2_type1_1286,axiom,
    [++q_12_19,--p_13_19,--q_12_18]).

input_clause(s2_type1_1287,axiom,
    [++q_12_19,--q_13_19,--p_12_18]).

input_clause(s2_type1_1288,axiom,
    [++q_12_19,--q_13_19,--q_12_18]).

input_clause(s2_type1_1289,axiom,
    [++p_12_20,--p_13_20,--p_12_19]).

input_clause(s2_type1_1290,axiom,
    [++p_12_20,--p_13_20,--q_12_19]).

input_clause(s2_type1_1291,axiom,
    [++p_12_20,--q_13_20,--p_12_19]).

input_clause(s2_type1_1292,axiom,
    [++p_12_20,--q_13_20,--q_12_19]).

input_clause(s2_type1_1293,axiom,
    [++q_12_20,--p_13_20,--p_12_19]).

input_clause(s2_type1_1294,axiom,
    [++q_12_20,--p_13_20,--q_12_19]).

input_clause(s2_type1_1295,axiom,
    [++q_12_20,--q_13_20,--p_12_19]).

input_clause(s2_type1_1296,axiom,
    [++q_12_20,--q_13_20,--q_12_19]).

input_clause(s2_type1_1297,axiom,
    [++p_13_14,--p_14_14,--p_13_13]).

input_clause(s2_type1_1298,axiom,
    [++p_13_14,--p_14_14,--q_13_13]).

input_clause(s2_type1_1299,axiom,
    [++p_13_14,--q_14_14,--p_13_13]).

input_clause(s2_type1_1300,axiom,
    [++p_13_14,--q_14_14,--q_13_13]).

input_clause(s2_type1_1301,axiom,
    [++q_13_14,--p_14_14,--p_13_13]).

input_clause(s2_type1_1302,axiom,
    [++q_13_14,--p_14_14,--q_13_13]).

input_clause(s2_type1_1303,axiom,
    [++q_13_14,--q_14_14,--p_13_13]).

input_clause(s2_type1_1304,axiom,
    [++q_13_14,--q_14_14,--q_13_13]).

input_clause(s2_type1_1305,axiom,
    [++p_13_15,--p_14_15,--p_13_14]).

input_clause(s2_type1_1306,axiom,
    [++p_13_15,--p_14_15,--q_13_14]).

input_clause(s2_type1_1307,axiom,
    [++p_13_15,--q_14_15,--p_13_14]).

input_clause(s2_type1_1308,axiom,
    [++p_13_15,--q_14_15,--q_13_14]).

input_clause(s2_type1_1309,axiom,
    [++q_13_15,--p_14_15,--p_13_14]).

input_clause(s2_type1_1310,axiom,
    [++q_13_15,--p_14_15,--q_13_14]).

input_clause(s2_type1_1311,axiom,
    [++q_13_15,--q_14_15,--p_13_14]).

input_clause(s2_type1_1312,axiom,
    [++q_13_15,--q_14_15,--q_13_14]).

input_clause(s2_type1_1313,axiom,
    [++p_13_16,--p_14_16,--p_13_15]).

input_clause(s2_type1_1314,axiom,
    [++p_13_16,--p_14_16,--q_13_15]).

input_clause(s2_type1_1315,axiom,
    [++p_13_16,--q_14_16,--p_13_15]).

input_clause(s2_type1_1316,axiom,
    [++p_13_16,--q_14_16,--q_13_15]).

input_clause(s2_type1_1317,axiom,
    [++q_13_16,--p_14_16,--p_13_15]).

input_clause(s2_type1_1318,axiom,
    [++q_13_16,--p_14_16,--q_13_15]).

input_clause(s2_type1_1319,axiom,
    [++q_13_16,--q_14_16,--p_13_15]).

input_clause(s2_type1_1320,axiom,
    [++q_13_16,--q_14_16,--q_13_15]).

input_clause(s2_type1_1321,axiom,
    [++p_13_17,--p_14_17,--p_13_16]).

input_clause(s2_type1_1322,axiom,
    [++p_13_17,--p_14_17,--q_13_16]).

input_clause(s2_type1_1323,axiom,
    [++p_13_17,--q_14_17,--p_13_16]).

input_clause(s2_type1_1324,axiom,
    [++p_13_17,--q_14_17,--q_13_16]).

input_clause(s2_type1_1325,axiom,
    [++q_13_17,--p_14_17,--p_13_16]).

input_clause(s2_type1_1326,axiom,
    [++q_13_17,--p_14_17,--q_13_16]).

input_clause(s2_type1_1327,axiom,
    [++q_13_17,--q_14_17,--p_13_16]).

input_clause(s2_type1_1328,axiom,
    [++q_13_17,--q_14_17,--q_13_16]).

input_clause(s2_type1_1329,axiom,
    [++p_13_18,--p_14_18,--p_13_17]).

input_clause(s2_type1_1330,axiom,
    [++p_13_18,--p_14_18,--q_13_17]).

input_clause(s2_type1_1331,axiom,
    [++p_13_18,--q_14_18,--p_13_17]).

input_clause(s2_type1_1332,axiom,
    [++p_13_18,--q_14_18,--q_13_17]).

input_clause(s2_type1_1333,axiom,
    [++q_13_18,--p_14_18,--p_13_17]).

input_clause(s2_type1_1334,axiom,
    [++q_13_18,--p_14_18,--q_13_17]).

input_clause(s2_type1_1335,axiom,
    [++q_13_18,--q_14_18,--p_13_17]).

input_clause(s2_type1_1336,axiom,
    [++q_13_18,--q_14_18,--q_13_17]).

input_clause(s2_type1_1337,axiom,
    [++p_13_19,--p_14_19,--p_13_18]).

input_clause(s2_type1_1338,axiom,
    [++p_13_19,--p_14_19,--q_13_18]).

input_clause(s2_type1_1339,axiom,
    [++p_13_19,--q_14_19,--p_13_18]).

input_clause(s2_type1_1340,axiom,
    [++p_13_19,--q_14_19,--q_13_18]).

input_clause(s2_type1_1341,axiom,
    [++q_13_19,--p_14_19,--p_13_18]).

input_clause(s2_type1_1342,axiom,
    [++q_13_19,--p_14_19,--q_13_18]).

input_clause(s2_type1_1343,axiom,
    [++q_13_19,--q_14_19,--p_13_18]).

input_clause(s2_type1_1344,axiom,
    [++q_13_19,--q_14_19,--q_13_18]).

input_clause(s2_type1_1345,axiom,
    [++p_13_20,--p_14_20,--p_13_19]).

input_clause(s2_type1_1346,axiom,
    [++p_13_20,--p_14_20,--q_13_19]).

input_clause(s2_type1_1347,axiom,
    [++p_13_20,--q_14_20,--p_13_19]).

input_clause(s2_type1_1348,axiom,
    [++p_13_20,--q_14_20,--q_13_19]).

input_clause(s2_type1_1349,axiom,
    [++q_13_20,--p_14_20,--p_13_19]).

input_clause(s2_type1_1350,axiom,
    [++q_13_20,--p_14_20,--q_13_19]).

input_clause(s2_type1_1351,axiom,
    [++q_13_20,--q_14_20,--p_13_19]).

input_clause(s2_type1_1352,axiom,
    [++q_13_20,--q_14_20,--q_13_19]).

input_clause(s2_type1_1353,axiom,
    [++p_14_15,--p_15_15,--p_14_14]).

input_clause(s2_type1_1354,axiom,
    [++p_14_15,--p_15_15,--q_14_14]).

input_clause(s2_type1_1355,axiom,
    [++p_14_15,--q_15_15,--p_14_14]).

input_clause(s2_type1_1356,axiom,
    [++p_14_15,--q_15_15,--q_14_14]).

input_clause(s2_type1_1357,axiom,
    [++q_14_15,--p_15_15,--p_14_14]).

input_clause(s2_type1_1358,axiom,
    [++q_14_15,--p_15_15,--q_14_14]).

input_clause(s2_type1_1359,axiom,
    [++q_14_15,--q_15_15,--p_14_14]).

input_clause(s2_type1_1360,axiom,
    [++q_14_15,--q_15_15,--q_14_14]).

input_clause(s2_type1_1361,axiom,
    [++p_14_16,--p_15_16,--p_14_15]).

input_clause(s2_type1_1362,axiom,
    [++p_14_16,--p_15_16,--q_14_15]).

input_clause(s2_type1_1363,axiom,
    [++p_14_16,--q_15_16,--p_14_15]).

input_clause(s2_type1_1364,axiom,
    [++p_14_16,--q_15_16,--q_14_15]).

input_clause(s2_type1_1365,axiom,
    [++q_14_16,--p_15_16,--p_14_15]).

input_clause(s2_type1_1366,axiom,
    [++q_14_16,--p_15_16,--q_14_15]).

input_clause(s2_type1_1367,axiom,
    [++q_14_16,--q_15_16,--p_14_15]).

input_clause(s2_type1_1368,axiom,
    [++q_14_16,--q_15_16,--q_14_15]).

input_clause(s2_type1_1369,axiom,
    [++p_14_17,--p_15_17,--p_14_16]).

input_clause(s2_type1_1370,axiom,
    [++p_14_17,--p_15_17,--q_14_16]).

input_clause(s2_type1_1371,axiom,
    [++p_14_17,--q_15_17,--p_14_16]).

input_clause(s2_type1_1372,axiom,
    [++p_14_17,--q_15_17,--q_14_16]).

input_clause(s2_type1_1373,axiom,
    [++q_14_17,--p_15_17,--p_14_16]).

input_clause(s2_type1_1374,axiom,
    [++q_14_17,--p_15_17,--q_14_16]).

input_clause(s2_type1_1375,axiom,
    [++q_14_17,--q_15_17,--p_14_16]).

input_clause(s2_type1_1376,axiom,
    [++q_14_17,--q_15_17,--q_14_16]).

input_clause(s2_type1_1377,axiom,
    [++p_14_18,--p_15_18,--p_14_17]).

input_clause(s2_type1_1378,axiom,
    [++p_14_18,--p_15_18,--q_14_17]).

input_clause(s2_type1_1379,axiom,
    [++p_14_18,--q_15_18,--p_14_17]).

input_clause(s2_type1_1380,axiom,
    [++p_14_18,--q_15_18,--q_14_17]).

input_clause(s2_type1_1381,axiom,
    [++q_14_18,--p_15_18,--p_14_17]).

input_clause(s2_type1_1382,axiom,
    [++q_14_18,--p_15_18,--q_14_17]).

input_clause(s2_type1_1383,axiom,
    [++q_14_18,--q_15_18,--p_14_17]).

input_clause(s2_type1_1384,axiom,
    [++q_14_18,--q_15_18,--q_14_17]).

input_clause(s2_type1_1385,axiom,
    [++p_14_19,--p_15_19,--p_14_18]).

input_clause(s2_type1_1386,axiom,
    [++p_14_19,--p_15_19,--q_14_18]).

input_clause(s2_type1_1387,axiom,
    [++p_14_19,--q_15_19,--p_14_18]).

input_clause(s2_type1_1388,axiom,
    [++p_14_19,--q_15_19,--q_14_18]).

input_clause(s2_type1_1389,axiom,
    [++q_14_19,--p_15_19,--p_14_18]).

input_clause(s2_type1_1390,axiom,
    [++q_14_19,--p_15_19,--q_14_18]).

input_clause(s2_type1_1391,axiom,
    [++q_14_19,--q_15_19,--p_14_18]).

input_clause(s2_type1_1392,axiom,
    [++q_14_19,--q_15_19,--q_14_18]).

input_clause(s2_type1_1393,axiom,
    [++p_14_20,--p_15_20,--p_14_19]).

input_clause(s2_type1_1394,axiom,
    [++p_14_20,--p_15_20,--q_14_19]).

input_clause(s2_type1_1395,axiom,
    [++p_14_20,--q_15_20,--p_14_19]).

input_clause(s2_type1_1396,axiom,
    [++p_14_20,--q_15_20,--q_14_19]).

input_clause(s2_type1_1397,axiom,
    [++q_14_20,--p_15_20,--p_14_19]).

input_clause(s2_type1_1398,axiom,
    [++q_14_20,--p_15_20,--q_14_19]).

input_clause(s2_type1_1399,axiom,
    [++q_14_20,--q_15_20,--p_14_19]).

input_clause(s2_type1_1400,axiom,
    [++q_14_20,--q_15_20,--q_14_19]).

input_clause(s2_type1_1401,axiom,
    [++p_15_16,--p_16_16,--p_15_15]).

input_clause(s2_type1_1402,axiom,
    [++p_15_16,--p_16_16,--q_15_15]).

input_clause(s2_type1_1403,axiom,
    [++p_15_16,--q_16_16,--p_15_15]).

input_clause(s2_type1_1404,axiom,
    [++p_15_16,--q_16_16,--q_15_15]).

input_clause(s2_type1_1405,axiom,
    [++q_15_16,--p_16_16,--p_15_15]).

input_clause(s2_type1_1406,axiom,
    [++q_15_16,--p_16_16,--q_15_15]).

input_clause(s2_type1_1407,axiom,
    [++q_15_16,--q_16_16,--p_15_15]).

input_clause(s2_type1_1408,axiom,
    [++q_15_16,--q_16_16,--q_15_15]).

input_clause(s2_type1_1409,axiom,
    [++p_15_17,--p_16_17,--p_15_16]).

input_clause(s2_type1_1410,axiom,
    [++p_15_17,--p_16_17,--q_15_16]).

input_clause(s2_type1_1411,axiom,
    [++p_15_17,--q_16_17,--p_15_16]).

input_clause(s2_type1_1412,axiom,
    [++p_15_17,--q_16_17,--q_15_16]).

input_clause(s2_type1_1413,axiom,
    [++q_15_17,--p_16_17,--p_15_16]).

input_clause(s2_type1_1414,axiom,
    [++q_15_17,--p_16_17,--q_15_16]).

input_clause(s2_type1_1415,axiom,
    [++q_15_17,--q_16_17,--p_15_16]).

input_clause(s2_type1_1416,axiom,
    [++q_15_17,--q_16_17,--q_15_16]).

input_clause(s2_type1_1417,axiom,
    [++p_15_18,--p_16_18,--p_15_17]).

input_clause(s2_type1_1418,axiom,
    [++p_15_18,--p_16_18,--q_15_17]).

input_clause(s2_type1_1419,axiom,
    [++p_15_18,--q_16_18,--p_15_17]).

input_clause(s2_type1_1420,axiom,
    [++p_15_18,--q_16_18,--q_15_17]).

input_clause(s2_type1_1421,axiom,
    [++q_15_18,--p_16_18,--p_15_17]).

input_clause(s2_type1_1422,axiom,
    [++q_15_18,--p_16_18,--q_15_17]).

input_clause(s2_type1_1423,axiom,
    [++q_15_18,--q_16_18,--p_15_17]).

input_clause(s2_type1_1424,axiom,
    [++q_15_18,--q_16_18,--q_15_17]).

input_clause(s2_type1_1425,axiom,
    [++p_15_19,--p_16_19,--p_15_18]).

input_clause(s2_type1_1426,axiom,
    [++p_15_19,--p_16_19,--q_15_18]).

input_clause(s2_type1_1427,axiom,
    [++p_15_19,--q_16_19,--p_15_18]).

input_clause(s2_type1_1428,axiom,
    [++p_15_19,--q_16_19,--q_15_18]).

input_clause(s2_type1_1429,axiom,
    [++q_15_19,--p_16_19,--p_15_18]).

input_clause(s2_type1_1430,axiom,
    [++q_15_19,--p_16_19,--q_15_18]).

input_clause(s2_type1_1431,axiom,
    [++q_15_19,--q_16_19,--p_15_18]).

input_clause(s2_type1_1432,axiom,
    [++q_15_19,--q_16_19,--q_15_18]).

input_clause(s2_type1_1433,axiom,
    [++p_15_20,--p_16_20,--p_15_19]).

input_clause(s2_type1_1434,axiom,
    [++p_15_20,--p_16_20,--q_15_19]).

input_clause(s2_type1_1435,axiom,
    [++p_15_20,--q_16_20,--p_15_19]).

input_clause(s2_type1_1436,axiom,
    [++p_15_20,--q_16_20,--q_15_19]).

input_clause(s2_type1_1437,axiom,
    [++q_15_20,--p_16_20,--p_15_19]).

input_clause(s2_type1_1438,axiom,
    [++q_15_20,--p_16_20,--q_15_19]).

input_clause(s2_type1_1439,axiom,
    [++q_15_20,--q_16_20,--p_15_19]).

input_clause(s2_type1_1440,axiom,
    [++q_15_20,--q_16_20,--q_15_19]).

input_clause(s2_type1_1441,axiom,
    [++p_16_17,--p_17_17,--p_16_16]).

input_clause(s2_type1_1442,axiom,
    [++p_16_17,--p_17_17,--q_16_16]).

input_clause(s2_type1_1443,axiom,
    [++p_16_17,--q_17_17,--p_16_16]).

input_clause(s2_type1_1444,axiom,
    [++p_16_17,--q_17_17,--q_16_16]).

input_clause(s2_type1_1445,axiom,
    [++q_16_17,--p_17_17,--p_16_16]).

input_clause(s2_type1_1446,axiom,
    [++q_16_17,--p_17_17,--q_16_16]).

input_clause(s2_type1_1447,axiom,
    [++q_16_17,--q_17_17,--p_16_16]).

input_clause(s2_type1_1448,axiom,
    [++q_16_17,--q_17_17,--q_16_16]).

input_clause(s2_type1_1449,axiom,
    [++p_16_18,--p_17_18,--p_16_17]).

input_clause(s2_type1_1450,axiom,
    [++p_16_18,--p_17_18,--q_16_17]).

input_clause(s2_type1_1451,axiom,
    [++p_16_18,--q_17_18,--p_16_17]).

input_clause(s2_type1_1452,axiom,
    [++p_16_18,--q_17_18,--q_16_17]).

input_clause(s2_type1_1453,axiom,
    [++q_16_18,--p_17_18,--p_16_17]).

input_clause(s2_type1_1454,axiom,
    [++q_16_18,--p_17_18,--q_16_17]).

input_clause(s2_type1_1455,axiom,
    [++q_16_18,--q_17_18,--p_16_17]).

input_clause(s2_type1_1456,axiom,
    [++q_16_18,--q_17_18,--q_16_17]).

input_clause(s2_type1_1457,axiom,
    [++p_16_19,--p_17_19,--p_16_18]).

input_clause(s2_type1_1458,axiom,
    [++p_16_19,--p_17_19,--q_16_18]).

input_clause(s2_type1_1459,axiom,
    [++p_16_19,--q_17_19,--p_16_18]).

input_clause(s2_type1_1460,axiom,
    [++p_16_19,--q_17_19,--q_16_18]).

input_clause(s2_type1_1461,axiom,
    [++q_16_19,--p_17_19,--p_16_18]).

input_clause(s2_type1_1462,axiom,
    [++q_16_19,--p_17_19,--q_16_18]).

input_clause(s2_type1_1463,axiom,
    [++q_16_19,--q_17_19,--p_16_18]).

input_clause(s2_type1_1464,axiom,
    [++q_16_19,--q_17_19,--q_16_18]).

input_clause(s2_type1_1465,axiom,
    [++p_16_20,--p_17_20,--p_16_19]).

input_clause(s2_type1_1466,axiom,
    [++p_16_20,--p_17_20,--q_16_19]).

input_clause(s2_type1_1467,axiom,
    [++p_16_20,--q_17_20,--p_16_19]).

input_clause(s2_type1_1468,axiom,
    [++p_16_20,--q_17_20,--q_16_19]).

input_clause(s2_type1_1469,axiom,
    [++q_16_20,--p_17_20,--p_16_19]).

input_clause(s2_type1_1470,axiom,
    [++q_16_20,--p_17_20,--q_16_19]).

input_clause(s2_type1_1471,axiom,
    [++q_16_20,--q_17_20,--p_16_19]).

input_clause(s2_type1_1472,axiom,
    [++q_16_20,--q_17_20,--q_16_19]).

input_clause(s2_type1_1473,axiom,
    [++p_17_18,--p_18_18,--p_17_17]).

input_clause(s2_type1_1474,axiom,
    [++p_17_18,--p_18_18,--q_17_17]).

input_clause(s2_type1_1475,axiom,
    [++p_17_18,--q_18_18,--p_17_17]).

input_clause(s2_type1_1476,axiom,
    [++p_17_18,--q_18_18,--q_17_17]).

input_clause(s2_type1_1477,axiom,
    [++q_17_18,--p_18_18,--p_17_17]).

input_clause(s2_type1_1478,axiom,
    [++q_17_18,--p_18_18,--q_17_17]).

input_clause(s2_type1_1479,axiom,
    [++q_17_18,--q_18_18,--p_17_17]).

input_clause(s2_type1_1480,axiom,
    [++q_17_18,--q_18_18,--q_17_17]).

input_clause(s2_type1_1481,axiom,
    [++p_17_19,--p_18_19,--p_17_18]).

input_clause(s2_type1_1482,axiom,
    [++p_17_19,--p_18_19,--q_17_18]).

input_clause(s2_type1_1483,axiom,
    [++p_17_19,--q_18_19,--p_17_18]).

input_clause(s2_type1_1484,axiom,
    [++p_17_19,--q_18_19,--q_17_18]).

input_clause(s2_type1_1485,axiom,
    [++q_17_19,--p_18_19,--p_17_18]).

input_clause(s2_type1_1486,axiom,
    [++q_17_19,--p_18_19,--q_17_18]).

input_clause(s2_type1_1487,axiom,
    [++q_17_19,--q_18_19,--p_17_18]).

input_clause(s2_type1_1488,axiom,
    [++q_17_19,--q_18_19,--q_17_18]).

input_clause(s2_type1_1489,axiom,
    [++p_17_20,--p_18_20,--p_17_19]).

input_clause(s2_type1_1490,axiom,
    [++p_17_20,--p_18_20,--q_17_19]).

input_clause(s2_type1_1491,axiom,
    [++p_17_20,--q_18_20,--p_17_19]).

input_clause(s2_type1_1492,axiom,
    [++p_17_20,--q_18_20,--q_17_19]).

input_clause(s2_type1_1493,axiom,
    [++q_17_20,--p_18_20,--p_17_19]).

input_clause(s2_type1_1494,axiom,
    [++q_17_20,--p_18_20,--q_17_19]).

input_clause(s2_type1_1495,axiom,
    [++q_17_20,--q_18_20,--p_17_19]).

input_clause(s2_type1_1496,axiom,
    [++q_17_20,--q_18_20,--q_17_19]).

input_clause(s2_type1_1497,axiom,
    [++p_18_19,--p_19_19,--p_18_18]).

input_clause(s2_type1_1498,axiom,
    [++p_18_19,--p_19_19,--q_18_18]).

input_clause(s2_type1_1499,axiom,
    [++p_18_19,--q_19_19,--p_18_18]).

input_clause(s2_type1_1500,axiom,
    [++p_18_19,--q_19_19,--q_18_18]).

input_clause(s2_type1_1501,axiom,
    [++q_18_19,--p_19_19,--p_18_18]).

input_clause(s2_type1_1502,axiom,
    [++q_18_19,--p_19_19,--q_18_18]).

input_clause(s2_type1_1503,axiom,
    [++q_18_19,--q_19_19,--p_18_18]).

input_clause(s2_type1_1504,axiom,
    [++q_18_19,--q_19_19,--q_18_18]).

input_clause(s2_type1_1505,axiom,
    [++p_18_20,--p_19_20,--p_18_19]).

input_clause(s2_type1_1506,axiom,
    [++p_18_20,--p_19_20,--q_18_19]).

input_clause(s2_type1_1507,axiom,
    [++p_18_20,--q_19_20,--p_18_19]).

input_clause(s2_type1_1508,axiom,
    [++p_18_20,--q_19_20,--q_18_19]).

input_clause(s2_type1_1509,axiom,
    [++q_18_20,--p_19_20,--p_18_19]).

input_clause(s2_type1_1510,axiom,
    [++q_18_20,--p_19_20,--q_18_19]).

input_clause(s2_type1_1511,axiom,
    [++q_18_20,--q_19_20,--p_18_19]).

input_clause(s2_type1_1512,axiom,
    [++q_18_20,--q_19_20,--q_18_19]).

input_clause(s2_type1_1513,axiom,
    [++p_19_20,--p_20_20,--p_19_19]).

input_clause(s2_type1_1514,axiom,
    [++p_19_20,--p_20_20,--q_19_19]).

input_clause(s2_type1_1515,axiom,
    [++p_19_20,--q_20_20,--p_19_19]).

input_clause(s2_type1_1516,axiom,
    [++p_19_20,--q_20_20,--q_19_19]).

input_clause(s2_type1_1517,axiom,
    [++q_19_20,--p_20_20,--p_19_19]).

input_clause(s2_type1_1518,axiom,
    [++q_19_20,--p_20_20,--q_19_19]).

input_clause(s2_type1_1519,axiom,
    [++q_19_20,--q_20_20,--p_19_19]).

input_clause(s2_type1_1520,axiom,
    [++q_19_20,--q_20_20,--q_19_19]).

input_clause(s2_type21_1,axiom,
    [++p_1_1,--p_1_11]).

input_clause(s2_type21_2,axiom,
    [++p_2_2,--p_2_12]).

input_clause(s2_type21_3,axiom,
    [++p_3_3,--p_3_13]).

input_clause(s2_type21_4,axiom,
    [++p_4_4,--p_4_14]).

input_clause(s2_type21_5,axiom,
    [++p_5_5,--p_5_15]).

input_clause(s2_type21_6,axiom,
    [++p_6_6,--p_6_16]).

input_clause(s2_type21_7,axiom,
    [++p_7_7,--p_7_17]).

input_clause(s2_type21_8,axiom,
    [++p_8_8,--p_8_18]).

input_clause(s2_type21_9,axiom,
    [++p_9_9,--p_9_19]).

input_clause(s2_type21_10,axiom,
    [++p_10_10,--p_10_20]).

input_clause(s2_type21_11,axiom,
    [++q_1_1,--q_1_11]).

input_clause(s2_type21_12,axiom,
    [++q_2_2,--q_2_12]).

input_clause(s2_type21_13,axiom,
    [++q_3_3,--q_3_13]).

input_clause(s2_type21_14,axiom,
    [++q_4_4,--q_4_14]).

input_clause(s2_type21_15,axiom,
    [++q_5_5,--q_5_15]).

input_clause(s2_type21_16,axiom,
    [++q_6_6,--q_6_16]).

input_clause(s2_type21_17,axiom,
    [++q_7_7,--q_7_17]).

input_clause(s2_type21_18,axiom,
    [++q_8_8,--q_8_18]).

input_clause(s2_type21_19,axiom,
    [++q_9_9,--q_9_19]).

input_clause(s2_type21_20,axiom,
    [++q_10_10,--q_10_20]).

input_clause(s2_type22_1,axiom,
    [++p_11_11,--p_1_11]).

input_clause(s2_type22_2,axiom,
    [++p_12_12,--p_2_12]).

input_clause(s2_type22_3,axiom,
    [++p_13_13,--p_3_13]).

input_clause(s2_type22_4,axiom,
    [++p_14_14,--p_4_14]).

input_clause(s2_type22_5,axiom,
    [++p_15_15,--p_5_15]).

input_clause(s2_type22_6,axiom,
    [++p_16_16,--p_6_16]).

input_clause(s2_type22_7,axiom,
    [++p_17_17,--p_7_17]).

input_clause(s2_type22_8,axiom,
    [++p_18_18,--p_8_18]).

input_clause(s2_type22_9,axiom,
    [++p_19_19,--p_9_19]).

input_clause(s2_type22_10,axiom,
    [++p_20_20,--p_10_20]).

input_clause(s2_type22_11,axiom,
    [++q_11_11,--q_1_11]).

input_clause(s2_type22_12,axiom,
    [++q_12_12,--q_2_12]).

input_clause(s2_type22_13,axiom,
    [++q_13_13,--q_3_13]).

input_clause(s2_type22_14,axiom,
    [++q_14_14,--q_4_14]).

input_clause(s2_type22_15,axiom,
    [++q_15_15,--q_5_15]).

input_clause(s2_type22_16,axiom,
    [++q_16_16,--q_6_16]).

input_clause(s2_type22_17,axiom,
    [++q_17_17,--q_7_17]).

input_clause(s2_type22_18,axiom,
    [++q_18_18,--q_8_18]).

input_clause(s2_type22_19,axiom,
    [++q_19_19,--q_9_19]).

input_clause(s2_type22_20,axiom,
    [++q_20_20,--q_10_20]).

input_clause(t2_1,axiom,
    [++p_1_1]).

input_clause(t2_2,axiom,
    [++q_1_1]).

input_clause(t2_3,axiom,
    [++p_2_2]).

input_clause(t2_4,axiom,
    [++q_2_2]).

input_clause(t2_5,axiom,
    [++p_3_3]).

input_clause(t2_6,axiom,
    [++q_3_3]).

input_clause(t2_7,axiom,
    [++p_4_4]).

input_clause(t2_8,axiom,
    [++q_4_4]).

input_clause(t2_9,axiom,
    [++p_5_5]).

input_clause(t2_10,axiom,
    [++q_5_5]).

input_clause(t2_11,axiom,
    [++p_6_6]).

input_clause(t2_12,axiom,
    [++q_6_6]).

input_clause(t2_13,axiom,
    [++p_7_7]).

input_clause(t2_14,axiom,
    [++q_7_7]).

input_clause(t2_15,axiom,
    [++p_8_8]).

input_clause(t2_16,axiom,
    [++q_8_8]).

input_clause(t2_17,axiom,
    [++p_9_9]).

input_clause(t2_18,axiom,
    [++q_9_9]).

input_clause(t2_19,axiom,
    [++p_10_10]).

input_clause(t2_20,axiom,
    [++q_10_10]).

input_clause(t2_21,axiom,
    [++p_11_11]).

input_clause(t2_22,axiom,
    [++q_11_11]).

input_clause(t2_23,axiom,
    [++p_12_12]).

input_clause(t2_24,axiom,
    [++q_12_12]).

input_clause(t2_25,axiom,
    [++p_13_13]).

input_clause(t2_26,axiom,
    [++q_13_13]).

input_clause(t2_27,axiom,
    [++p_14_14]).

input_clause(t2_28,axiom,
    [++q_14_14]).

input_clause(t2_29,axiom,
    [++p_15_15]).

input_clause(t2_30,axiom,
    [++q_15_15]).

input_clause(t2_31,axiom,
    [++p_16_16]).

input_clause(t2_32,axiom,
    [++q_16_16]).

input_clause(t2_33,axiom,
    [++p_17_17]).

input_clause(t2_34,axiom,
    [++q_17_17]).

input_clause(t2_35,axiom,
    [++p_18_18]).

input_clause(t2_36,axiom,
    [++q_18_18]).

input_clause(t2_37,axiom,
    [++p_19_19]).

input_clause(t2_38,axiom,
    [++q_19_19]).

input_clause(t2_39,axiom,
    [++p_20_20]).

input_clause(t2_40,axiom,
    [++q_20_20]).
%--------------------------------------------------------------------------
