%--------------------------------------------------------------------------
% File     : SYN300=RPT63_SK_85-1 : TPTP v1.1.3. Bugfixed v1.1.0.
% Domain   : Syntactic (Random Prolog Theory)
% Problem  : RPT63 synthetic problem 85 (skewed distribution)
% Version  : [Segre & Elkan, 1994] axioms.
% English  : 

% Refs     : Segre A.M., Elkan C. (1994), A High Performance 
%            Explanation-Based Learning Algorithm, Artificial Intelligence 
%            (to appear).
% Source   : [Segre & Elkan, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  369 (   0 non-Horn)(  39 unit)
%            Number of literals          : 1060 (   0 equality)
%            Number of predicate symbols :   48 (   0 propositional)
%            Number of function symbols  :    5 (   5 constant)
%            Number of variables         :  626 ( 160 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    1

% Comments : This theory has a finite deductive closure.
%--------------------------------------------------------------------------
%----Include Synthetic domain theory for EBL 
include('Axioms/SYN001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_this,theorem,
    [--s3(b,d)]).
%--------------------------------------------------------------------------
