%--------------------------------------------------------------------------
% File     : CID001=LogicSubs-0 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Circuit Design and Validation
% Axioms   : Substitution axioms for AND, OR and NOT
% Version  : 
% English  : 

% Refs     : Wos L.A., Overbeek R., Lusk E., Boyle J. (1992), Automated 
%            Reasoning, Prentice-Hall.
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    5 (   0 non-Horn)(   0 units)
%            Number of literals          :   10 (  10 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    3 (   0 constants)
%            Number of variables         :   14 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Substitution axioms 
input_clause(and_substitution1,axiom,
    [--equal(D,E),
     ++equal(and(D,F),and(E,F))]).

input_clause(and_substitution2,axiom,
    [--equal(G,H),
     ++equal(and(I,G),and(I,H))]).

input_clause(or_substitution1,axiom,
    [--equal(V,W),
     ++equal(or(V,X),or(W,X))]).

input_clause(or_substitution2,axiom,
    [--equal(Y,Z),
     ++equal(or(A1,Y),or(A1,Z))]).

input_clause(not_substitution,axiom,
    [--equal(T,U),
     ++equal(not(T),not(U))]).
%--------------------------------------------------------------------------
