%--------------------------------------------------------------------------
% File     : NUM283=Factorial-1.004 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Number Theory
% Problem  : Calculation of factorial
% Version  : Theorem formulation : 4 factorial.
% English  : 

% Refs     : 
% Source   : [SETHEO]
% Names    : fac4.lop [SETHEO]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    7 (   0 non-Horn)(   4 unit)
%            Number of literals          :   12 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    2 (   1 constant)
%            Number of variables         :   13 (   1 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(add_0,axiom,
    [++sum(X,0,X)]).

input_clause(add,axiom,
    [--sum(X,Y,Z),
     ++sum(X,successor(Y),successor(Z))]).

input_clause(times1,axiom,
    [++product(successor(0),X,X)]).

input_clause(times,axiom,
    [--sum(R,Y,Z),
     --product(X,Y,R),
     ++product(successor(X),Y,Z)]).

input_clause(factorial_0,axiom,
    [++factorial(0,successor(0))]).

input_clause(factorial,axiom,
    [--factorial(X,Z),
     --product(successor(X),Z,Y),
     ++factorial(successor(X),Y)]).

input_clause(prove_factorial,theorem,
    [--factorial(successor(successor(successor(successor(0)))),Result)]).
%--------------------------------------------------------------------------
