%--------------------------------------------------------------------------
% File     : SYN001=Allways-1.003 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions
% Version  : Theorem formulation : 3 propositions.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [TPTP]
% Names    : Pelletier 12 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    8 (   4 non-Horn)(   0 unit)
%            Number of literals          :   24 (   0 equality)
%            Number of predicate symbols :    3 (   3 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(ppp,theorem,
    [++p1,++p2,++p3]).

input_clause(ppn,theorem,
    [++p1,++p2,--p3]).

input_clause(pnp,theorem,
    [++p1,--p2,++p3]).

input_clause(pnn,theorem,
    [++p1,--p2,--p3]).

input_clause(npp,theorem,
    [--p1,++p2,++p3]).

input_clause(npn,theorem,
    [--p1,++p2,--p3]).

input_clause(nnp,theorem,
    [--p1,--p2,++p3]).

input_clause(nnn,theorem,
    [--p1,--p2,--p3]).
%--------------------------------------------------------------------------
