%--------------------------------------------------------------------------
% File     : SYN030=EW3-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : EW3
% Version  : 
% English  : 

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press, 141-165.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : EW3 [Michie, et al., 1972]
%          : EW3 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    9 (   1 non-Horn)(   0 unit)
%            Number of literals          :   22 (   0 equality)
%            Number of predicate symbols :    5 (   5 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [--t,--s,++p]).

input_clause(clause2,axiom,
    [--r,++s]).

input_clause(clause3,axiom,
    [--t,++r]).

input_clause(clause4,axiom,
    [--r,--q,++t]).

input_clause(clause5,axiom,
    [--q,++r]).

input_clause(clause6,axiom,
    [++q,++r]).

input_clause(clause7,axiom,
    [--r,++q]).

input_clause(clause8,axiom,
    [--s,--p,++q]).

input_clause(theorem,theorem,
    [--p,--q,--r]).
%--------------------------------------------------------------------------
