%--------------------------------------------------------------------------
% File     : SYN048=FPell18-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 18
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 18 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    2 (   0 non-Horn)(   2 unit)
%            Number of literals          :    2 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    1 (   0 constant)
%            Number of variables         :    2 (   2 singleton)
%            Maximal clause size         :    1
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++big_f(X)]).

input_clause(clause_2,theorem,
    [--big_f(f(X))]).
%--------------------------------------------------------------------------
