%--------------------------------------------------------------------------
% File     : SYN066=FPell37-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 37
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 37 [Pelletier, 1986]
%          : p37.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :    6 (   1 non-Horn)(   2 unit)
%            Number of literals          :   10 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    5 (   1 constant)
%            Number of variables         :   12 (   4 singleton)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_p(Y,X),
     ++big_p(f(X,Y),g(X))]).

input_clause(clause_2,axiom,
    [++big_p(f(X,Y),X)]).

input_clause(clause_3,axiom,
    [--big_p(f(X,Y),g(X)),
     ++big_q(h(X,Y),g(X))]).

input_clause(clause_4,axiom,
    [++big_p(X,Y),
     ++big_q(i(X,Y),X)]).

input_clause(clause_5,axiom,
    [--big_q(X,Y),
     ++big_r(Z,Z)]).

input_clause(clause_6,theorem,
    [--big_r(a,Z)]).
%--------------------------------------------------------------------------
