%--------------------------------------------------------------------------
% File     : SYN090=DAPt3-1.010 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem t(3,10)
% Version  : Theorem formulation : Size 10.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  153 (   0 non-Horn)(   4 unit)
%            Number of literals          :  446 (   0 equality)
%            Number of predicate symbols :   42 (  42 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(s3_goal_1,theorem,
    [--p_0,--q_0]).

input_clause(s3_type1_1,axiom,
    [++p_0,--p_1,--p_2]).

input_clause(s3_type1_2,axiom,
    [++p_0,--p_1,--q_2]).

input_clause(s3_type1_3,axiom,
    [++p_0,--q_1,--p_2]).

input_clause(s3_type1_4,axiom,
    [++p_0,--q_1,--q_2]).

input_clause(s3_type1_5,axiom,
    [++q_0,--p_1,--p_2]).

input_clause(s3_type1_6,axiom,
    [++q_0,--p_1,--q_2]).

input_clause(s3_type1_7,axiom,
    [++q_0,--q_1,--p_2]).

input_clause(s3_type1_8,axiom,
    [++q_0,--q_1,--q_2]).

input_clause(s3_type1_9,axiom,
    [++p_1,--p_2,--p_3]).

input_clause(s3_type1_10,axiom,
    [++p_1,--p_2,--q_3]).

input_clause(s3_type1_11,axiom,
    [++p_1,--q_2,--p_3]).

input_clause(s3_type1_12,axiom,
    [++p_1,--q_2,--q_3]).

input_clause(s3_type1_13,axiom,
    [++q_1,--p_2,--p_3]).

input_clause(s3_type1_14,axiom,
    [++q_1,--p_2,--q_3]).

input_clause(s3_type1_15,axiom,
    [++q_1,--q_2,--p_3]).

input_clause(s3_type1_16,axiom,
    [++q_1,--q_2,--q_3]).

input_clause(s3_type1_17,axiom,
    [++p_2,--p_3,--p_4]).

input_clause(s3_type1_18,axiom,
    [++p_2,--p_3,--q_4]).

input_clause(s3_type1_19,axiom,
    [++p_2,--q_3,--p_4]).

input_clause(s3_type1_20,axiom,
    [++p_2,--q_3,--q_4]).

input_clause(s3_type1_21,axiom,
    [++q_2,--p_3,--p_4]).

input_clause(s3_type1_22,axiom,
    [++q_2,--p_3,--q_4]).

input_clause(s3_type1_23,axiom,
    [++q_2,--q_3,--p_4]).

input_clause(s3_type1_24,axiom,
    [++q_2,--q_3,--q_4]).

input_clause(s3_type1_25,axiom,
    [++p_3,--p_4,--p_5]).

input_clause(s3_type1_26,axiom,
    [++p_3,--p_4,--q_5]).

input_clause(s3_type1_27,axiom,
    [++p_3,--q_4,--p_5]).

input_clause(s3_type1_28,axiom,
    [++p_3,--q_4,--q_5]).

input_clause(s3_type1_29,axiom,
    [++q_3,--p_4,--p_5]).

input_clause(s3_type1_30,axiom,
    [++q_3,--p_4,--q_5]).

input_clause(s3_type1_31,axiom,
    [++q_3,--q_4,--p_5]).

input_clause(s3_type1_32,axiom,
    [++q_3,--q_4,--q_5]).

input_clause(s3_type1_33,axiom,
    [++p_4,--p_5,--p_6]).

input_clause(s3_type1_34,axiom,
    [++p_4,--p_5,--q_6]).

input_clause(s3_type1_35,axiom,
    [++p_4,--q_5,--p_6]).

input_clause(s3_type1_36,axiom,
    [++p_4,--q_5,--q_6]).

input_clause(s3_type1_37,axiom,
    [++q_4,--p_5,--p_6]).

input_clause(s3_type1_38,axiom,
    [++q_4,--p_5,--q_6]).

input_clause(s3_type1_39,axiom,
    [++q_4,--q_5,--p_6]).

input_clause(s3_type1_40,axiom,
    [++q_4,--q_5,--q_6]).

input_clause(s3_type1_41,axiom,
    [++p_5,--p_6,--p_7]).

input_clause(s3_type1_42,axiom,
    [++p_5,--p_6,--q_7]).

input_clause(s3_type1_43,axiom,
    [++p_5,--q_6,--p_7]).

input_clause(s3_type1_44,axiom,
    [++p_5,--q_6,--q_7]).

input_clause(s3_type1_45,axiom,
    [++q_5,--p_6,--p_7]).

input_clause(s3_type1_46,axiom,
    [++q_5,--p_6,--q_7]).

input_clause(s3_type1_47,axiom,
    [++q_5,--q_6,--p_7]).

input_clause(s3_type1_48,axiom,
    [++q_5,--q_6,--q_7]).

input_clause(s3_type1_49,axiom,
    [++p_6,--p_7,--p_8]).

input_clause(s3_type1_50,axiom,
    [++p_6,--p_7,--q_8]).

input_clause(s3_type1_51,axiom,
    [++p_6,--q_7,--p_8]).

input_clause(s3_type1_52,axiom,
    [++p_6,--q_7,--q_8]).

input_clause(s3_type1_53,axiom,
    [++q_6,--p_7,--p_8]).

input_clause(s3_type1_54,axiom,
    [++q_6,--p_7,--q_8]).

input_clause(s3_type1_55,axiom,
    [++q_6,--q_7,--p_8]).

input_clause(s3_type1_56,axiom,
    [++q_6,--q_7,--q_8]).

input_clause(s3_type1_57,axiom,
    [++p_7,--p_8,--p_9]).

input_clause(s3_type1_58,axiom,
    [++p_7,--p_8,--q_9]).

input_clause(s3_type1_59,axiom,
    [++p_7,--q_8,--p_9]).

input_clause(s3_type1_60,axiom,
    [++p_7,--q_8,--q_9]).

input_clause(s3_type1_61,axiom,
    [++q_7,--p_8,--p_9]).

input_clause(s3_type1_62,axiom,
    [++q_7,--p_8,--q_9]).

input_clause(s3_type1_63,axiom,
    [++q_7,--q_8,--p_9]).

input_clause(s3_type1_64,axiom,
    [++q_7,--q_8,--q_9]).

input_clause(s3_type1_65,axiom,
    [++p_8,--p_9,--p_10]).

input_clause(s3_type1_66,axiom,
    [++p_8,--p_9,--q_10]).

input_clause(s3_type1_67,axiom,
    [++p_8,--q_9,--p_10]).

input_clause(s3_type1_68,axiom,
    [++p_8,--q_9,--q_10]).

input_clause(s3_type1_69,axiom,
    [++q_8,--p_9,--p_10]).

input_clause(s3_type1_70,axiom,
    [++q_8,--p_9,--q_10]).

input_clause(s3_type1_71,axiom,
    [++q_8,--q_9,--p_10]).

input_clause(s3_type1_72,axiom,
    [++q_8,--q_9,--q_10]).

input_clause(s3_type1_73,axiom,
    [++p_9,--p_10,--p_11]).

input_clause(s3_type1_74,axiom,
    [++p_9,--p_10,--q_11]).

input_clause(s3_type1_75,axiom,
    [++p_9,--q_10,--p_11]).

input_clause(s3_type1_76,axiom,
    [++p_9,--q_10,--q_11]).

input_clause(s3_type1_77,axiom,
    [++q_9,--p_10,--p_11]).

input_clause(s3_type1_78,axiom,
    [++q_9,--p_10,--q_11]).

input_clause(s3_type1_79,axiom,
    [++q_9,--q_10,--p_11]).

input_clause(s3_type1_80,axiom,
    [++q_9,--q_10,--q_11]).

input_clause(s3_type1_81,axiom,
    [++p_10,--p_11,--p_12]).

input_clause(s3_type1_82,axiom,
    [++p_10,--p_11,--q_12]).

input_clause(s3_type1_83,axiom,
    [++p_10,--q_11,--p_12]).

input_clause(s3_type1_84,axiom,
    [++p_10,--q_11,--q_12]).

input_clause(s3_type1_85,axiom,
    [++q_10,--p_11,--p_12]).

input_clause(s3_type1_86,axiom,
    [++q_10,--p_11,--q_12]).

input_clause(s3_type1_87,axiom,
    [++q_10,--q_11,--p_12]).

input_clause(s3_type1_88,axiom,
    [++q_10,--q_11,--q_12]).

input_clause(s3_type1_89,axiom,
    [++p_11,--p_12,--p_13]).

input_clause(s3_type1_90,axiom,
    [++p_11,--p_12,--q_13]).

input_clause(s3_type1_91,axiom,
    [++p_11,--q_12,--p_13]).

input_clause(s3_type1_92,axiom,
    [++p_11,--q_12,--q_13]).

input_clause(s3_type1_93,axiom,
    [++q_11,--p_12,--p_13]).

input_clause(s3_type1_94,axiom,
    [++q_11,--p_12,--q_13]).

input_clause(s3_type1_95,axiom,
    [++q_11,--q_12,--p_13]).

input_clause(s3_type1_96,axiom,
    [++q_11,--q_12,--q_13]).

input_clause(s3_type1_97,axiom,
    [++p_12,--p_13,--p_14]).

input_clause(s3_type1_98,axiom,
    [++p_12,--p_13,--q_14]).

input_clause(s3_type1_99,axiom,
    [++p_12,--q_13,--p_14]).

input_clause(s3_type1_100,axiom,
    [++p_12,--q_13,--q_14]).

input_clause(s3_type1_101,axiom,
    [++q_12,--p_13,--p_14]).

input_clause(s3_type1_102,axiom,
    [++q_12,--p_13,--q_14]).

input_clause(s3_type1_103,axiom,
    [++q_12,--q_13,--p_14]).

input_clause(s3_type1_104,axiom,
    [++q_12,--q_13,--q_14]).

input_clause(s3_type1_105,axiom,
    [++p_13,--p_14,--p_15]).

input_clause(s3_type1_106,axiom,
    [++p_13,--p_14,--q_15]).

input_clause(s3_type1_107,axiom,
    [++p_13,--q_14,--p_15]).

input_clause(s3_type1_108,axiom,
    [++p_13,--q_14,--q_15]).

input_clause(s3_type1_109,axiom,
    [++q_13,--p_14,--p_15]).

input_clause(s3_type1_110,axiom,
    [++q_13,--p_14,--q_15]).

input_clause(s3_type1_111,axiom,
    [++q_13,--q_14,--p_15]).

input_clause(s3_type1_112,axiom,
    [++q_13,--q_14,--q_15]).

input_clause(s3_type1_113,axiom,
    [++p_14,--p_15,--p_16]).

input_clause(s3_type1_114,axiom,
    [++p_14,--p_15,--q_16]).

input_clause(s3_type1_115,axiom,
    [++p_14,--q_15,--p_16]).

input_clause(s3_type1_116,axiom,
    [++p_14,--q_15,--q_16]).

input_clause(s3_type1_117,axiom,
    [++q_14,--p_15,--p_16]).

input_clause(s3_type1_118,axiom,
    [++q_14,--p_15,--q_16]).

input_clause(s3_type1_119,axiom,
    [++q_14,--q_15,--p_16]).

input_clause(s3_type1_120,axiom,
    [++q_14,--q_15,--q_16]).

input_clause(s3_type1_121,axiom,
    [++p_15,--p_16,--p_17]).

input_clause(s3_type1_122,axiom,
    [++p_15,--p_16,--q_17]).

input_clause(s3_type1_123,axiom,
    [++p_15,--q_16,--p_17]).

input_clause(s3_type1_124,axiom,
    [++p_15,--q_16,--q_17]).

input_clause(s3_type1_125,axiom,
    [++q_15,--p_16,--p_17]).

input_clause(s3_type1_126,axiom,
    [++q_15,--p_16,--q_17]).

input_clause(s3_type1_127,axiom,
    [++q_15,--q_16,--p_17]).

input_clause(s3_type1_128,axiom,
    [++q_15,--q_16,--q_17]).

input_clause(s3_type1_129,axiom,
    [++p_16,--p_17,--p_18]).

input_clause(s3_type1_130,axiom,
    [++p_16,--p_17,--q_18]).

input_clause(s3_type1_131,axiom,
    [++p_16,--q_17,--p_18]).

input_clause(s3_type1_132,axiom,
    [++p_16,--q_17,--q_18]).

input_clause(s3_type1_133,axiom,
    [++q_16,--p_17,--p_18]).

input_clause(s3_type1_134,axiom,
    [++q_16,--p_17,--q_18]).

input_clause(s3_type1_135,axiom,
    [++q_16,--q_17,--p_18]).

input_clause(s3_type1_136,axiom,
    [++q_16,--q_17,--q_18]).

input_clause(s3_type1_137,axiom,
    [++p_17,--p_18,--p_19]).

input_clause(s3_type1_138,axiom,
    [++p_17,--p_18,--q_19]).

input_clause(s3_type1_139,axiom,
    [++p_17,--q_18,--p_19]).

input_clause(s3_type1_140,axiom,
    [++p_17,--q_18,--q_19]).

input_clause(s3_type1_141,axiom,
    [++q_17,--p_18,--p_19]).

input_clause(s3_type1_142,axiom,
    [++q_17,--p_18,--q_19]).

input_clause(s3_type1_143,axiom,
    [++q_17,--q_18,--p_19]).

input_clause(s3_type1_144,axiom,
    [++q_17,--q_18,--q_19]).

input_clause(s3_type2_1,axiom,
    [++p_19,--p_9]).

input_clause(s3_type2_2,axiom,
    [++p_20,--p_10]).

input_clause(s3_type2_3,axiom,
    [++q_19,--q_9]).

input_clause(s3_type2_4,axiom,
    [++q_20,--q_10]).

input_clause(t3_1,axiom,
    [++p_18]).

input_clause(t3_2,axiom,
    [++p_19]).

input_clause(t3_3,axiom,
    [++q_18]).

input_clause(t3_4,axiom,
    [++q_19]).
%--------------------------------------------------------------------------
