%--------------------------------------------------------------------------
% File     : SYN093=DAPut2-1.010 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem u(t(2,10))
% Version  : Theorem formulation : Size 10.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  802 ( 400 non-Horn)(   1 unit)
%            Number of literals          : 2343 (   0 equality)
%            Number of predicate symbols :  511 ( 511 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(u_s2_goal_1,theorem,
    [++u_1,--p_1_10]).

input_clause(u_1_s2_goal_1,axiom,
    [--u_1]).

input_clause(u_s2_type1_1,axiom,
    [++u_2,++p_1_2,--p_2_2,--p_1_1]).

input_clause(u_2_s2_type1_1,axiom,
    [++p_1_2,--u_2]).

input_clause(u_s2_type1_2,axiom,
    [++u_3,++p_1_2,--p_2_2,--q_1_1]).

input_clause(u_3_s2_type1_2,axiom,
    [++p_1_2,--u_3]).

input_clause(u_s2_type1_3,axiom,
    [++u_4,++p_1_2,--q_2_2,--p_1_1]).

input_clause(u_4_s2_type1_3,axiom,
    [++p_1_2,--u_4]).

input_clause(u_s2_type1_4,axiom,
    [++u_5,++p_1_2,--q_2_2,--q_1_1]).

input_clause(u_5_s2_type1_4,axiom,
    [++p_1_2,--u_5]).

input_clause(u_s2_type1_5,axiom,
    [++u_6,++q_1_2,--p_2_2,--p_1_1]).

input_clause(u_6_s2_type1_5,axiom,
    [++q_1_2,--u_6]).

input_clause(u_s2_type1_6,axiom,
    [++u_7,++q_1_2,--p_2_2,--q_1_1]).

input_clause(u_7_s2_type1_6,axiom,
    [++q_1_2,--u_7]).

input_clause(u_s2_type1_7,axiom,
    [++u_8,++q_1_2,--q_2_2,--p_1_1]).

input_clause(u_8_s2_type1_7,axiom,
    [++q_1_2,--u_8]).

input_clause(u_s2_type1_8,axiom,
    [++u_9,++q_1_2,--q_2_2,--q_1_1]).

input_clause(u_9_s2_type1_8,axiom,
    [++q_1_2,--u_9]).

input_clause(u_s2_type1_9,axiom,
    [++u_10,++p_1_3,--p_2_3,--p_1_2]).

input_clause(u_10_s2_type1_9,axiom,
    [++p_1_3,--u_10]).

input_clause(u_s2_type1_10,axiom,
    [++u_11,++p_1_3,--p_2_3,--q_1_2]).

input_clause(u_11_s2_type1_10,axiom,
    [++p_1_3,--u_11]).

input_clause(u_s2_type1_11,axiom,
    [++u_12,++p_1_3,--q_2_3,--p_1_2]).

input_clause(u_12_s2_type1_11,axiom,
    [++p_1_3,--u_12]).

input_clause(u_s2_type1_12,axiom,
    [++u_13,++p_1_3,--q_2_3,--q_1_2]).

input_clause(u_13_s2_type1_12,axiom,
    [++p_1_3,--u_13]).

input_clause(u_s2_type1_13,axiom,
    [++u_14,++q_1_3,--p_2_3,--p_1_2]).

input_clause(u_14_s2_type1_13,axiom,
    [++q_1_3,--u_14]).

input_clause(u_s2_type1_14,axiom,
    [++u_15,++q_1_3,--p_2_3,--q_1_2]).

input_clause(u_15_s2_type1_14,axiom,
    [++q_1_3,--u_15]).

input_clause(u_s2_type1_15,axiom,
    [++u_16,++q_1_3,--q_2_3,--p_1_2]).

input_clause(u_16_s2_type1_15,axiom,
    [++q_1_3,--u_16]).

input_clause(u_s2_type1_16,axiom,
    [++u_17,++q_1_3,--q_2_3,--q_1_2]).

input_clause(u_17_s2_type1_16,axiom,
    [++q_1_3,--u_17]).

input_clause(u_s2_type1_17,axiom,
    [++u_18,++p_1_4,--p_2_4,--p_1_3]).

input_clause(u_18_s2_type1_17,axiom,
    [++p_1_4,--u_18]).

input_clause(u_s2_type1_18,axiom,
    [++u_19,++p_1_4,--p_2_4,--q_1_3]).

input_clause(u_19_s2_type1_18,axiom,
    [++p_1_4,--u_19]).

input_clause(u_s2_type1_19,axiom,
    [++u_20,++p_1_4,--q_2_4,--p_1_3]).

input_clause(u_20_s2_type1_19,axiom,
    [++p_1_4,--u_20]).

input_clause(u_s2_type1_20,axiom,
    [++u_21,++p_1_4,--q_2_4,--q_1_3]).

input_clause(u_21_s2_type1_20,axiom,
    [++p_1_4,--u_21]).

input_clause(u_s2_type1_21,axiom,
    [++u_22,++q_1_4,--p_2_4,--p_1_3]).

input_clause(u_22_s2_type1_21,axiom,
    [++q_1_4,--u_22]).

input_clause(u_s2_type1_22,axiom,
    [++u_23,++q_1_4,--p_2_4,--q_1_3]).

input_clause(u_23_s2_type1_22,axiom,
    [++q_1_4,--u_23]).

input_clause(u_s2_type1_23,axiom,
    [++u_24,++q_1_4,--q_2_4,--p_1_3]).

input_clause(u_24_s2_type1_23,axiom,
    [++q_1_4,--u_24]).

input_clause(u_s2_type1_24,axiom,
    [++u_25,++q_1_4,--q_2_4,--q_1_3]).

input_clause(u_25_s2_type1_24,axiom,
    [++q_1_4,--u_25]).

input_clause(u_s2_type1_25,axiom,
    [++u_26,++p_1_5,--p_2_5,--p_1_4]).

input_clause(u_26_s2_type1_25,axiom,
    [++p_1_5,--u_26]).

input_clause(u_s2_type1_26,axiom,
    [++u_27,++p_1_5,--p_2_5,--q_1_4]).

input_clause(u_27_s2_type1_26,axiom,
    [++p_1_5,--u_27]).

input_clause(u_s2_type1_27,axiom,
    [++u_28,++p_1_5,--q_2_5,--p_1_4]).

input_clause(u_28_s2_type1_27,axiom,
    [++p_1_5,--u_28]).

input_clause(u_s2_type1_28,axiom,
    [++u_29,++p_1_5,--q_2_5,--q_1_4]).

input_clause(u_29_s2_type1_28,axiom,
    [++p_1_5,--u_29]).

input_clause(u_s2_type1_29,axiom,
    [++u_30,++q_1_5,--p_2_5,--p_1_4]).

input_clause(u_30_s2_type1_29,axiom,
    [++q_1_5,--u_30]).

input_clause(u_s2_type1_30,axiom,
    [++u_31,++q_1_5,--p_2_5,--q_1_4]).

input_clause(u_31_s2_type1_30,axiom,
    [++q_1_5,--u_31]).

input_clause(u_s2_type1_31,axiom,
    [++u_32,++q_1_5,--q_2_5,--p_1_4]).

input_clause(u_32_s2_type1_31,axiom,
    [++q_1_5,--u_32]).

input_clause(u_s2_type1_32,axiom,
    [++u_33,++q_1_5,--q_2_5,--q_1_4]).

input_clause(u_33_s2_type1_32,axiom,
    [++q_1_5,--u_33]).

input_clause(u_s2_type1_33,axiom,
    [++u_34,++p_1_6,--p_2_6,--p_1_5]).

input_clause(u_34_s2_type1_33,axiom,
    [++p_1_6,--u_34]).

input_clause(u_s2_type1_34,axiom,
    [++u_35,++p_1_6,--p_2_6,--q_1_5]).

input_clause(u_35_s2_type1_34,axiom,
    [++p_1_6,--u_35]).

input_clause(u_s2_type1_35,axiom,
    [++u_36,++p_1_6,--q_2_6,--p_1_5]).

input_clause(u_36_s2_type1_35,axiom,
    [++p_1_6,--u_36]).

input_clause(u_s2_type1_36,axiom,
    [++u_37,++p_1_6,--q_2_6,--q_1_5]).

input_clause(u_37_s2_type1_36,axiom,
    [++p_1_6,--u_37]).

input_clause(u_s2_type1_37,axiom,
    [++u_38,++q_1_6,--p_2_6,--p_1_5]).

input_clause(u_38_s2_type1_37,axiom,
    [++q_1_6,--u_38]).

input_clause(u_s2_type1_38,axiom,
    [++u_39,++q_1_6,--p_2_6,--q_1_5]).

input_clause(u_39_s2_type1_38,axiom,
    [++q_1_6,--u_39]).

input_clause(u_s2_type1_39,axiom,
    [++u_40,++q_1_6,--q_2_6,--p_1_5]).

input_clause(u_40_s2_type1_39,axiom,
    [++q_1_6,--u_40]).

input_clause(u_s2_type1_40,axiom,
    [++u_41,++q_1_6,--q_2_6,--q_1_5]).

input_clause(u_41_s2_type1_40,axiom,
    [++q_1_6,--u_41]).

input_clause(u_s2_type1_41,axiom,
    [++u_42,++p_1_7,--p_2_7,--p_1_6]).

input_clause(u_42_s2_type1_41,axiom,
    [++p_1_7,--u_42]).

input_clause(u_s2_type1_42,axiom,
    [++u_43,++p_1_7,--p_2_7,--q_1_6]).

input_clause(u_43_s2_type1_42,axiom,
    [++p_1_7,--u_43]).

input_clause(u_s2_type1_43,axiom,
    [++u_44,++p_1_7,--q_2_7,--p_1_6]).

input_clause(u_44_s2_type1_43,axiom,
    [++p_1_7,--u_44]).

input_clause(u_s2_type1_44,axiom,
    [++u_45,++p_1_7,--q_2_7,--q_1_6]).

input_clause(u_45_s2_type1_44,axiom,
    [++p_1_7,--u_45]).

input_clause(u_s2_type1_45,axiom,
    [++u_46,++q_1_7,--p_2_7,--p_1_6]).

input_clause(u_46_s2_type1_45,axiom,
    [++q_1_7,--u_46]).

input_clause(u_s2_type1_46,axiom,
    [++u_47,++q_1_7,--p_2_7,--q_1_6]).

input_clause(u_47_s2_type1_46,axiom,
    [++q_1_7,--u_47]).

input_clause(u_s2_type1_47,axiom,
    [++u_48,++q_1_7,--q_2_7,--p_1_6]).

input_clause(u_48_s2_type1_47,axiom,
    [++q_1_7,--u_48]).

input_clause(u_s2_type1_48,axiom,
    [++u_49,++q_1_7,--q_2_7,--q_1_6]).

input_clause(u_49_s2_type1_48,axiom,
    [++q_1_7,--u_49]).

input_clause(u_s2_type1_49,axiom,
    [++u_50,++p_1_8,--p_2_8,--p_1_7]).

input_clause(u_50_s2_type1_49,axiom,
    [++p_1_8,--u_50]).

input_clause(u_s2_type1_50,axiom,
    [++u_51,++p_1_8,--p_2_8,--q_1_7]).

input_clause(u_51_s2_type1_50,axiom,
    [++p_1_8,--u_51]).

input_clause(u_s2_type1_51,axiom,
    [++u_52,++p_1_8,--q_2_8,--p_1_7]).

input_clause(u_52_s2_type1_51,axiom,
    [++p_1_8,--u_52]).

input_clause(u_s2_type1_52,axiom,
    [++u_53,++p_1_8,--q_2_8,--q_1_7]).

input_clause(u_53_s2_type1_52,axiom,
    [++p_1_8,--u_53]).

input_clause(u_s2_type1_53,axiom,
    [++u_54,++q_1_8,--p_2_8,--p_1_7]).

input_clause(u_54_s2_type1_53,axiom,
    [++q_1_8,--u_54]).

input_clause(u_s2_type1_54,axiom,
    [++u_55,++q_1_8,--p_2_8,--q_1_7]).

input_clause(u_55_s2_type1_54,axiom,
    [++q_1_8,--u_55]).

input_clause(u_s2_type1_55,axiom,
    [++u_56,++q_1_8,--q_2_8,--p_1_7]).

input_clause(u_56_s2_type1_55,axiom,
    [++q_1_8,--u_56]).

input_clause(u_s2_type1_56,axiom,
    [++u_57,++q_1_8,--q_2_8,--q_1_7]).

input_clause(u_57_s2_type1_56,axiom,
    [++q_1_8,--u_57]).

input_clause(u_s2_type1_57,axiom,
    [++u_58,++p_1_9,--p_2_9,--p_1_8]).

input_clause(u_58_s2_type1_57,axiom,
    [++p_1_9,--u_58]).

input_clause(u_s2_type1_58,axiom,
    [++u_59,++p_1_9,--p_2_9,--q_1_8]).

input_clause(u_59_s2_type1_58,axiom,
    [++p_1_9,--u_59]).

input_clause(u_s2_type1_59,axiom,
    [++u_60,++p_1_9,--q_2_9,--p_1_8]).

input_clause(u_60_s2_type1_59,axiom,
    [++p_1_9,--u_60]).

input_clause(u_s2_type1_60,axiom,
    [++u_61,++p_1_9,--q_2_9,--q_1_8]).

input_clause(u_61_s2_type1_60,axiom,
    [++p_1_9,--u_61]).

input_clause(u_s2_type1_61,axiom,
    [++u_62,++q_1_9,--p_2_9,--p_1_8]).

input_clause(u_62_s2_type1_61,axiom,
    [++q_1_9,--u_62]).

input_clause(u_s2_type1_62,axiom,
    [++u_63,++q_1_9,--p_2_9,--q_1_8]).

input_clause(u_63_s2_type1_62,axiom,
    [++q_1_9,--u_63]).

input_clause(u_s2_type1_63,axiom,
    [++u_64,++q_1_9,--q_2_9,--p_1_8]).

input_clause(u_64_s2_type1_63,axiom,
    [++q_1_9,--u_64]).

input_clause(u_s2_type1_64,axiom,
    [++u_65,++q_1_9,--q_2_9,--q_1_8]).

input_clause(u_65_s2_type1_64,axiom,
    [++q_1_9,--u_65]).

input_clause(u_s2_type1_65,axiom,
    [++u_66,++p_1_10,--p_2_10,--p_1_9]).

input_clause(u_66_s2_type1_65,axiom,
    [++p_1_10,--u_66]).

input_clause(u_s2_type1_66,axiom,
    [++u_67,++p_1_10,--p_2_10,--q_1_9]).

input_clause(u_67_s2_type1_66,axiom,
    [++p_1_10,--u_67]).

input_clause(u_s2_type1_67,axiom,
    [++u_68,++p_1_10,--q_2_10,--p_1_9]).

input_clause(u_68_s2_type1_67,axiom,
    [++p_1_10,--u_68]).

input_clause(u_s2_type1_68,axiom,
    [++u_69,++p_1_10,--q_2_10,--q_1_9]).

input_clause(u_69_s2_type1_68,axiom,
    [++p_1_10,--u_69]).

input_clause(u_s2_type1_69,axiom,
    [++u_70,++q_1_10,--p_2_10,--p_1_9]).

input_clause(u_70_s2_type1_69,axiom,
    [++q_1_10,--u_70]).

input_clause(u_s2_type1_70,axiom,
    [++u_71,++q_1_10,--p_2_10,--q_1_9]).

input_clause(u_71_s2_type1_70,axiom,
    [++q_1_10,--u_71]).

input_clause(u_s2_type1_71,axiom,
    [++u_72,++q_1_10,--q_2_10,--p_1_9]).

input_clause(u_72_s2_type1_71,axiom,
    [++q_1_10,--u_72]).

input_clause(u_s2_type1_72,axiom,
    [++u_73,++q_1_10,--q_2_10,--q_1_9]).

input_clause(u_73_s2_type1_72,axiom,
    [++q_1_10,--u_73]).

input_clause(u_s2_type1_73,axiom,
    [++u_74,++p_2_3,--p_3_3,--p_2_2]).

input_clause(u_74_s2_type1_73,axiom,
    [++p_2_3,--u_74]).

input_clause(u_s2_type1_74,axiom,
    [++u_75,++p_2_3,--p_3_3,--q_2_2]).

input_clause(u_75_s2_type1_74,axiom,
    [++p_2_3,--u_75]).

input_clause(u_s2_type1_75,axiom,
    [++u_76,++p_2_3,--q_3_3,--p_2_2]).

input_clause(u_76_s2_type1_75,axiom,
    [++p_2_3,--u_76]).

input_clause(u_s2_type1_76,axiom,
    [++u_77,++p_2_3,--q_3_3,--q_2_2]).

input_clause(u_77_s2_type1_76,axiom,
    [++p_2_3,--u_77]).

input_clause(u_s2_type1_77,axiom,
    [++u_78,++q_2_3,--p_3_3,--p_2_2]).

input_clause(u_78_s2_type1_77,axiom,
    [++q_2_3,--u_78]).

input_clause(u_s2_type1_78,axiom,
    [++u_79,++q_2_3,--p_3_3,--q_2_2]).

input_clause(u_79_s2_type1_78,axiom,
    [++q_2_3,--u_79]).

input_clause(u_s2_type1_79,axiom,
    [++u_80,++q_2_3,--q_3_3,--p_2_2]).

input_clause(u_80_s2_type1_79,axiom,
    [++q_2_3,--u_80]).

input_clause(u_s2_type1_80,axiom,
    [++u_81,++q_2_3,--q_3_3,--q_2_2]).

input_clause(u_81_s2_type1_80,axiom,
    [++q_2_3,--u_81]).

input_clause(u_s2_type1_81,axiom,
    [++u_82,++p_2_4,--p_3_4,--p_2_3]).

input_clause(u_82_s2_type1_81,axiom,
    [++p_2_4,--u_82]).

input_clause(u_s2_type1_82,axiom,
    [++u_83,++p_2_4,--p_3_4,--q_2_3]).

input_clause(u_83_s2_type1_82,axiom,
    [++p_2_4,--u_83]).

input_clause(u_s2_type1_83,axiom,
    [++u_84,++p_2_4,--q_3_4,--p_2_3]).

input_clause(u_84_s2_type1_83,axiom,
    [++p_2_4,--u_84]).

input_clause(u_s2_type1_84,axiom,
    [++u_85,++p_2_4,--q_3_4,--q_2_3]).

input_clause(u_85_s2_type1_84,axiom,
    [++p_2_4,--u_85]).

input_clause(u_s2_type1_85,axiom,
    [++u_86,++q_2_4,--p_3_4,--p_2_3]).

input_clause(u_86_s2_type1_85,axiom,
    [++q_2_4,--u_86]).

input_clause(u_s2_type1_86,axiom,
    [++u_87,++q_2_4,--p_3_4,--q_2_3]).

input_clause(u_87_s2_type1_86,axiom,
    [++q_2_4,--u_87]).

input_clause(u_s2_type1_87,axiom,
    [++u_88,++q_2_4,--q_3_4,--p_2_3]).

input_clause(u_88_s2_type1_87,axiom,
    [++q_2_4,--u_88]).

input_clause(u_s2_type1_88,axiom,
    [++u_89,++q_2_4,--q_3_4,--q_2_3]).

input_clause(u_89_s2_type1_88,axiom,
    [++q_2_4,--u_89]).

input_clause(u_s2_type1_89,axiom,
    [++u_90,++p_2_5,--p_3_5,--p_2_4]).

input_clause(u_90_s2_type1_89,axiom,
    [++p_2_5,--u_90]).

input_clause(u_s2_type1_90,axiom,
    [++u_91,++p_2_5,--p_3_5,--q_2_4]).

input_clause(u_91_s2_type1_90,axiom,
    [++p_2_5,--u_91]).

input_clause(u_s2_type1_91,axiom,
    [++u_92,++p_2_5,--q_3_5,--p_2_4]).

input_clause(u_92_s2_type1_91,axiom,
    [++p_2_5,--u_92]).

input_clause(u_s2_type1_92,axiom,
    [++u_93,++p_2_5,--q_3_5,--q_2_4]).

input_clause(u_93_s2_type1_92,axiom,
    [++p_2_5,--u_93]).

input_clause(u_s2_type1_93,axiom,
    [++u_94,++q_2_5,--p_3_5,--p_2_4]).

input_clause(u_94_s2_type1_93,axiom,
    [++q_2_5,--u_94]).

input_clause(u_s2_type1_94,axiom,
    [++u_95,++q_2_5,--p_3_5,--q_2_4]).

input_clause(u_95_s2_type1_94,axiom,
    [++q_2_5,--u_95]).

input_clause(u_s2_type1_95,axiom,
    [++u_96,++q_2_5,--q_3_5,--p_2_4]).

input_clause(u_96_s2_type1_95,axiom,
    [++q_2_5,--u_96]).

input_clause(u_s2_type1_96,axiom,
    [++u_97,++q_2_5,--q_3_5,--q_2_4]).

input_clause(u_97_s2_type1_96,axiom,
    [++q_2_5,--u_97]).

input_clause(u_s2_type1_97,axiom,
    [++u_98,++p_2_6,--p_3_6,--p_2_5]).

input_clause(u_98_s2_type1_97,axiom,
    [++p_2_6,--u_98]).

input_clause(u_s2_type1_98,axiom,
    [++u_99,++p_2_6,--p_3_6,--q_2_5]).

input_clause(u_99_s2_type1_98,axiom,
    [++p_2_6,--u_99]).

input_clause(u_s2_type1_99,axiom,
    [++u_100,++p_2_6,--q_3_6,--p_2_5]).

input_clause(u_100_s2_type1_99,axiom,
    [++p_2_6,--u_100]).

input_clause(u_s2_type1_100,axiom,
    [++u_101,++p_2_6,--q_3_6,--q_2_5]).

input_clause(u_101_s2_type1_100,axiom,
    [++p_2_6,--u_101]).

input_clause(u_s2_type1_101,axiom,
    [++u_102,++q_2_6,--p_3_6,--p_2_5]).

input_clause(u_102_s2_type1_101,axiom,
    [++q_2_6,--u_102]).

input_clause(u_s2_type1_102,axiom,
    [++u_103,++q_2_6,--p_3_6,--q_2_5]).

input_clause(u_103_s2_type1_102,axiom,
    [++q_2_6,--u_103]).

input_clause(u_s2_type1_103,axiom,
    [++u_104,++q_2_6,--q_3_6,--p_2_5]).

input_clause(u_104_s2_type1_103,axiom,
    [++q_2_6,--u_104]).

input_clause(u_s2_type1_104,axiom,
    [++u_105,++q_2_6,--q_3_6,--q_2_5]).

input_clause(u_105_s2_type1_104,axiom,
    [++q_2_6,--u_105]).

input_clause(u_s2_type1_105,axiom,
    [++u_106,++p_2_7,--p_3_7,--p_2_6]).

input_clause(u_106_s2_type1_105,axiom,
    [++p_2_7,--u_106]).

input_clause(u_s2_type1_106,axiom,
    [++u_107,++p_2_7,--p_3_7,--q_2_6]).

input_clause(u_107_s2_type1_106,axiom,
    [++p_2_7,--u_107]).

input_clause(u_s2_type1_107,axiom,
    [++u_108,++p_2_7,--q_3_7,--p_2_6]).

input_clause(u_108_s2_type1_107,axiom,
    [++p_2_7,--u_108]).

input_clause(u_s2_type1_108,axiom,
    [++u_109,++p_2_7,--q_3_7,--q_2_6]).

input_clause(u_109_s2_type1_108,axiom,
    [++p_2_7,--u_109]).

input_clause(u_s2_type1_109,axiom,
    [++u_110,++q_2_7,--p_3_7,--p_2_6]).

input_clause(u_110_s2_type1_109,axiom,
    [++q_2_7,--u_110]).

input_clause(u_s2_type1_110,axiom,
    [++u_111,++q_2_7,--p_3_7,--q_2_6]).

input_clause(u_111_s2_type1_110,axiom,
    [++q_2_7,--u_111]).

input_clause(u_s2_type1_111,axiom,
    [++u_112,++q_2_7,--q_3_7,--p_2_6]).

input_clause(u_112_s2_type1_111,axiom,
    [++q_2_7,--u_112]).

input_clause(u_s2_type1_112,axiom,
    [++u_113,++q_2_7,--q_3_7,--q_2_6]).

input_clause(u_113_s2_type1_112,axiom,
    [++q_2_7,--u_113]).

input_clause(u_s2_type1_113,axiom,
    [++u_114,++p_2_8,--p_3_8,--p_2_7]).

input_clause(u_114_s2_type1_113,axiom,
    [++p_2_8,--u_114]).

input_clause(u_s2_type1_114,axiom,
    [++u_115,++p_2_8,--p_3_8,--q_2_7]).

input_clause(u_115_s2_type1_114,axiom,
    [++p_2_8,--u_115]).

input_clause(u_s2_type1_115,axiom,
    [++u_116,++p_2_8,--q_3_8,--p_2_7]).

input_clause(u_116_s2_type1_115,axiom,
    [++p_2_8,--u_116]).

input_clause(u_s2_type1_116,axiom,
    [++u_117,++p_2_8,--q_3_8,--q_2_7]).

input_clause(u_117_s2_type1_116,axiom,
    [++p_2_8,--u_117]).

input_clause(u_s2_type1_117,axiom,
    [++u_118,++q_2_8,--p_3_8,--p_2_7]).

input_clause(u_118_s2_type1_117,axiom,
    [++q_2_8,--u_118]).

input_clause(u_s2_type1_118,axiom,
    [++u_119,++q_2_8,--p_3_8,--q_2_7]).

input_clause(u_119_s2_type1_118,axiom,
    [++q_2_8,--u_119]).

input_clause(u_s2_type1_119,axiom,
    [++u_120,++q_2_8,--q_3_8,--p_2_7]).

input_clause(u_120_s2_type1_119,axiom,
    [++q_2_8,--u_120]).

input_clause(u_s2_type1_120,axiom,
    [++u_121,++q_2_8,--q_3_8,--q_2_7]).

input_clause(u_121_s2_type1_120,axiom,
    [++q_2_8,--u_121]).

input_clause(u_s2_type1_121,axiom,
    [++u_122,++p_2_9,--p_3_9,--p_2_8]).

input_clause(u_122_s2_type1_121,axiom,
    [++p_2_9,--u_122]).

input_clause(u_s2_type1_122,axiom,
    [++u_123,++p_2_9,--p_3_9,--q_2_8]).

input_clause(u_123_s2_type1_122,axiom,
    [++p_2_9,--u_123]).

input_clause(u_s2_type1_123,axiom,
    [++u_124,++p_2_9,--q_3_9,--p_2_8]).

input_clause(u_124_s2_type1_123,axiom,
    [++p_2_9,--u_124]).

input_clause(u_s2_type1_124,axiom,
    [++u_125,++p_2_9,--q_3_9,--q_2_8]).

input_clause(u_125_s2_type1_124,axiom,
    [++p_2_9,--u_125]).

input_clause(u_s2_type1_125,axiom,
    [++u_126,++q_2_9,--p_3_9,--p_2_8]).

input_clause(u_126_s2_type1_125,axiom,
    [++q_2_9,--u_126]).

input_clause(u_s2_type1_126,axiom,
    [++u_127,++q_2_9,--p_3_9,--q_2_8]).

input_clause(u_127_s2_type1_126,axiom,
    [++q_2_9,--u_127]).

input_clause(u_s2_type1_127,axiom,
    [++u_128,++q_2_9,--q_3_9,--p_2_8]).

input_clause(u_128_s2_type1_127,axiom,
    [++q_2_9,--u_128]).

input_clause(u_s2_type1_128,axiom,
    [++u_129,++q_2_9,--q_3_9,--q_2_8]).

input_clause(u_129_s2_type1_128,axiom,
    [++q_2_9,--u_129]).

input_clause(u_s2_type1_129,axiom,
    [++u_130,++p_2_10,--p_3_10,--p_2_9]).

input_clause(u_130_s2_type1_129,axiom,
    [++p_2_10,--u_130]).

input_clause(u_s2_type1_130,axiom,
    [++u_131,++p_2_10,--p_3_10,--q_2_9]).

input_clause(u_131_s2_type1_130,axiom,
    [++p_2_10,--u_131]).

input_clause(u_s2_type1_131,axiom,
    [++u_132,++p_2_10,--q_3_10,--p_2_9]).

input_clause(u_132_s2_type1_131,axiom,
    [++p_2_10,--u_132]).

input_clause(u_s2_type1_132,axiom,
    [++u_133,++p_2_10,--q_3_10,--q_2_9]).

input_clause(u_133_s2_type1_132,axiom,
    [++p_2_10,--u_133]).

input_clause(u_s2_type1_133,axiom,
    [++u_134,++q_2_10,--p_3_10,--p_2_9]).

input_clause(u_134_s2_type1_133,axiom,
    [++q_2_10,--u_134]).

input_clause(u_s2_type1_134,axiom,
    [++u_135,++q_2_10,--p_3_10,--q_2_9]).

input_clause(u_135_s2_type1_134,axiom,
    [++q_2_10,--u_135]).

input_clause(u_s2_type1_135,axiom,
    [++u_136,++q_2_10,--q_3_10,--p_2_9]).

input_clause(u_136_s2_type1_135,axiom,
    [++q_2_10,--u_136]).

input_clause(u_s2_type1_136,axiom,
    [++u_137,++q_2_10,--q_3_10,--q_2_9]).

input_clause(u_137_s2_type1_136,axiom,
    [++q_2_10,--u_137]).

input_clause(u_s2_type1_137,axiom,
    [++u_138,++p_3_4,--p_4_4,--p_3_3]).

input_clause(u_138_s2_type1_137,axiom,
    [++p_3_4,--u_138]).

input_clause(u_s2_type1_138,axiom,
    [++u_139,++p_3_4,--p_4_4,--q_3_3]).

input_clause(u_139_s2_type1_138,axiom,
    [++p_3_4,--u_139]).

input_clause(u_s2_type1_139,axiom,
    [++u_140,++p_3_4,--q_4_4,--p_3_3]).

input_clause(u_140_s2_type1_139,axiom,
    [++p_3_4,--u_140]).

input_clause(u_s2_type1_140,axiom,
    [++u_141,++p_3_4,--q_4_4,--q_3_3]).

input_clause(u_141_s2_type1_140,axiom,
    [++p_3_4,--u_141]).

input_clause(u_s2_type1_141,axiom,
    [++u_142,++q_3_4,--p_4_4,--p_3_3]).

input_clause(u_142_s2_type1_141,axiom,
    [++q_3_4,--u_142]).

input_clause(u_s2_type1_142,axiom,
    [++u_143,++q_3_4,--p_4_4,--q_3_3]).

input_clause(u_143_s2_type1_142,axiom,
    [++q_3_4,--u_143]).

input_clause(u_s2_type1_143,axiom,
    [++u_144,++q_3_4,--q_4_4,--p_3_3]).

input_clause(u_144_s2_type1_143,axiom,
    [++q_3_4,--u_144]).

input_clause(u_s2_type1_144,axiom,
    [++u_145,++q_3_4,--q_4_4,--q_3_3]).

input_clause(u_145_s2_type1_144,axiom,
    [++q_3_4,--u_145]).

input_clause(u_s2_type1_145,axiom,
    [++u_146,++p_3_5,--p_4_5,--p_3_4]).

input_clause(u_146_s2_type1_145,axiom,
    [++p_3_5,--u_146]).

input_clause(u_s2_type1_146,axiom,
    [++u_147,++p_3_5,--p_4_5,--q_3_4]).

input_clause(u_147_s2_type1_146,axiom,
    [++p_3_5,--u_147]).

input_clause(u_s2_type1_147,axiom,
    [++u_148,++p_3_5,--q_4_5,--p_3_4]).

input_clause(u_148_s2_type1_147,axiom,
    [++p_3_5,--u_148]).

input_clause(u_s2_type1_148,axiom,
    [++u_149,++p_3_5,--q_4_5,--q_3_4]).

input_clause(u_149_s2_type1_148,axiom,
    [++p_3_5,--u_149]).

input_clause(u_s2_type1_149,axiom,
    [++u_150,++q_3_5,--p_4_5,--p_3_4]).

input_clause(u_150_s2_type1_149,axiom,
    [++q_3_5,--u_150]).

input_clause(u_s2_type1_150,axiom,
    [++u_151,++q_3_5,--p_4_5,--q_3_4]).

input_clause(u_151_s2_type1_150,axiom,
    [++q_3_5,--u_151]).

input_clause(u_s2_type1_151,axiom,
    [++u_152,++q_3_5,--q_4_5,--p_3_4]).

input_clause(u_152_s2_type1_151,axiom,
    [++q_3_5,--u_152]).

input_clause(u_s2_type1_152,axiom,
    [++u_153,++q_3_5,--q_4_5,--q_3_4]).

input_clause(u_153_s2_type1_152,axiom,
    [++q_3_5,--u_153]).

input_clause(u_s2_type1_153,axiom,
    [++u_154,++p_3_6,--p_4_6,--p_3_5]).

input_clause(u_154_s2_type1_153,axiom,
    [++p_3_6,--u_154]).

input_clause(u_s2_type1_154,axiom,
    [++u_155,++p_3_6,--p_4_6,--q_3_5]).

input_clause(u_155_s2_type1_154,axiom,
    [++p_3_6,--u_155]).

input_clause(u_s2_type1_155,axiom,
    [++u_156,++p_3_6,--q_4_6,--p_3_5]).

input_clause(u_156_s2_type1_155,axiom,
    [++p_3_6,--u_156]).

input_clause(u_s2_type1_156,axiom,
    [++u_157,++p_3_6,--q_4_6,--q_3_5]).

input_clause(u_157_s2_type1_156,axiom,
    [++p_3_6,--u_157]).

input_clause(u_s2_type1_157,axiom,
    [++u_158,++q_3_6,--p_4_6,--p_3_5]).

input_clause(u_158_s2_type1_157,axiom,
    [++q_3_6,--u_158]).

input_clause(u_s2_type1_158,axiom,
    [++u_159,++q_3_6,--p_4_6,--q_3_5]).

input_clause(u_159_s2_type1_158,axiom,
    [++q_3_6,--u_159]).

input_clause(u_s2_type1_159,axiom,
    [++u_160,++q_3_6,--q_4_6,--p_3_5]).

input_clause(u_160_s2_type1_159,axiom,
    [++q_3_6,--u_160]).

input_clause(u_s2_type1_160,axiom,
    [++u_161,++q_3_6,--q_4_6,--q_3_5]).

input_clause(u_161_s2_type1_160,axiom,
    [++q_3_6,--u_161]).

input_clause(u_s2_type1_161,axiom,
    [++u_162,++p_3_7,--p_4_7,--p_3_6]).

input_clause(u_162_s2_type1_161,axiom,
    [++p_3_7,--u_162]).

input_clause(u_s2_type1_162,axiom,
    [++u_163,++p_3_7,--p_4_7,--q_3_6]).

input_clause(u_163_s2_type1_162,axiom,
    [++p_3_7,--u_163]).

input_clause(u_s2_type1_163,axiom,
    [++u_164,++p_3_7,--q_4_7,--p_3_6]).

input_clause(u_164_s2_type1_163,axiom,
    [++p_3_7,--u_164]).

input_clause(u_s2_type1_164,axiom,
    [++u_165,++p_3_7,--q_4_7,--q_3_6]).

input_clause(u_165_s2_type1_164,axiom,
    [++p_3_7,--u_165]).

input_clause(u_s2_type1_165,axiom,
    [++u_166,++q_3_7,--p_4_7,--p_3_6]).

input_clause(u_166_s2_type1_165,axiom,
    [++q_3_7,--u_166]).

input_clause(u_s2_type1_166,axiom,
    [++u_167,++q_3_7,--p_4_7,--q_3_6]).

input_clause(u_167_s2_type1_166,axiom,
    [++q_3_7,--u_167]).

input_clause(u_s2_type1_167,axiom,
    [++u_168,++q_3_7,--q_4_7,--p_3_6]).

input_clause(u_168_s2_type1_167,axiom,
    [++q_3_7,--u_168]).

input_clause(u_s2_type1_168,axiom,
    [++u_169,++q_3_7,--q_4_7,--q_3_6]).

input_clause(u_169_s2_type1_168,axiom,
    [++q_3_7,--u_169]).

input_clause(u_s2_type1_169,axiom,
    [++u_170,++p_3_8,--p_4_8,--p_3_7]).

input_clause(u_170_s2_type1_169,axiom,
    [++p_3_8,--u_170]).

input_clause(u_s2_type1_170,axiom,
    [++u_171,++p_3_8,--p_4_8,--q_3_7]).

input_clause(u_171_s2_type1_170,axiom,
    [++p_3_8,--u_171]).

input_clause(u_s2_type1_171,axiom,
    [++u_172,++p_3_8,--q_4_8,--p_3_7]).

input_clause(u_172_s2_type1_171,axiom,
    [++p_3_8,--u_172]).

input_clause(u_s2_type1_172,axiom,
    [++u_173,++p_3_8,--q_4_8,--q_3_7]).

input_clause(u_173_s2_type1_172,axiom,
    [++p_3_8,--u_173]).

input_clause(u_s2_type1_173,axiom,
    [++u_174,++q_3_8,--p_4_8,--p_3_7]).

input_clause(u_174_s2_type1_173,axiom,
    [++q_3_8,--u_174]).

input_clause(u_s2_type1_174,axiom,
    [++u_175,++q_3_8,--p_4_8,--q_3_7]).

input_clause(u_175_s2_type1_174,axiom,
    [++q_3_8,--u_175]).

input_clause(u_s2_type1_175,axiom,
    [++u_176,++q_3_8,--q_4_8,--p_3_7]).

input_clause(u_176_s2_type1_175,axiom,
    [++q_3_8,--u_176]).

input_clause(u_s2_type1_176,axiom,
    [++u_177,++q_3_8,--q_4_8,--q_3_7]).

input_clause(u_177_s2_type1_176,axiom,
    [++q_3_8,--u_177]).

input_clause(u_s2_type1_177,axiom,
    [++u_178,++p_3_9,--p_4_9,--p_3_8]).

input_clause(u_178_s2_type1_177,axiom,
    [++p_3_9,--u_178]).

input_clause(u_s2_type1_178,axiom,
    [++u_179,++p_3_9,--p_4_9,--q_3_8]).

input_clause(u_179_s2_type1_178,axiom,
    [++p_3_9,--u_179]).

input_clause(u_s2_type1_179,axiom,
    [++u_180,++p_3_9,--q_4_9,--p_3_8]).

input_clause(u_180_s2_type1_179,axiom,
    [++p_3_9,--u_180]).

input_clause(u_s2_type1_180,axiom,
    [++u_181,++p_3_9,--q_4_9,--q_3_8]).

input_clause(u_181_s2_type1_180,axiom,
    [++p_3_9,--u_181]).

input_clause(u_s2_type1_181,axiom,
    [++u_182,++q_3_9,--p_4_9,--p_3_8]).

input_clause(u_182_s2_type1_181,axiom,
    [++q_3_9,--u_182]).

input_clause(u_s2_type1_182,axiom,
    [++u_183,++q_3_9,--p_4_9,--q_3_8]).

input_clause(u_183_s2_type1_182,axiom,
    [++q_3_9,--u_183]).

input_clause(u_s2_type1_183,axiom,
    [++u_184,++q_3_9,--q_4_9,--p_3_8]).

input_clause(u_184_s2_type1_183,axiom,
    [++q_3_9,--u_184]).

input_clause(u_s2_type1_184,axiom,
    [++u_185,++q_3_9,--q_4_9,--q_3_8]).

input_clause(u_185_s2_type1_184,axiom,
    [++q_3_9,--u_185]).

input_clause(u_s2_type1_185,axiom,
    [++u_186,++p_3_10,--p_4_10,--p_3_9]).

input_clause(u_186_s2_type1_185,axiom,
    [++p_3_10,--u_186]).

input_clause(u_s2_type1_186,axiom,
    [++u_187,++p_3_10,--p_4_10,--q_3_9]).

input_clause(u_187_s2_type1_186,axiom,
    [++p_3_10,--u_187]).

input_clause(u_s2_type1_187,axiom,
    [++u_188,++p_3_10,--q_4_10,--p_3_9]).

input_clause(u_188_s2_type1_187,axiom,
    [++p_3_10,--u_188]).

input_clause(u_s2_type1_188,axiom,
    [++u_189,++p_3_10,--q_4_10,--q_3_9]).

input_clause(u_189_s2_type1_188,axiom,
    [++p_3_10,--u_189]).

input_clause(u_s2_type1_189,axiom,
    [++u_190,++q_3_10,--p_4_10,--p_3_9]).

input_clause(u_190_s2_type1_189,axiom,
    [++q_3_10,--u_190]).

input_clause(u_s2_type1_190,axiom,
    [++u_191,++q_3_10,--p_4_10,--q_3_9]).

input_clause(u_191_s2_type1_190,axiom,
    [++q_3_10,--u_191]).

input_clause(u_s2_type1_191,axiom,
    [++u_192,++q_3_10,--q_4_10,--p_3_9]).

input_clause(u_192_s2_type1_191,axiom,
    [++q_3_10,--u_192]).

input_clause(u_s2_type1_192,axiom,
    [++u_193,++q_3_10,--q_4_10,--q_3_9]).

input_clause(u_193_s2_type1_192,axiom,
    [++q_3_10,--u_193]).

input_clause(u_s2_type1_193,axiom,
    [++u_194,++p_4_5,--p_5_5,--p_4_4]).

input_clause(u_194_s2_type1_193,axiom,
    [++p_4_5,--u_194]).

input_clause(u_s2_type1_194,axiom,
    [++u_195,++p_4_5,--p_5_5,--q_4_4]).

input_clause(u_195_s2_type1_194,axiom,
    [++p_4_5,--u_195]).

input_clause(u_s2_type1_195,axiom,
    [++u_196,++p_4_5,--q_5_5,--p_4_4]).

input_clause(u_196_s2_type1_195,axiom,
    [++p_4_5,--u_196]).

input_clause(u_s2_type1_196,axiom,
    [++u_197,++p_4_5,--q_5_5,--q_4_4]).

input_clause(u_197_s2_type1_196,axiom,
    [++p_4_5,--u_197]).

input_clause(u_s2_type1_197,axiom,
    [++u_198,++q_4_5,--p_5_5,--p_4_4]).

input_clause(u_198_s2_type1_197,axiom,
    [++q_4_5,--u_198]).

input_clause(u_s2_type1_198,axiom,
    [++u_199,++q_4_5,--p_5_5,--q_4_4]).

input_clause(u_199_s2_type1_198,axiom,
    [++q_4_5,--u_199]).

input_clause(u_s2_type1_199,axiom,
    [++u_200,++q_4_5,--q_5_5,--p_4_4]).

input_clause(u_200_s2_type1_199,axiom,
    [++q_4_5,--u_200]).

input_clause(u_s2_type1_200,axiom,
    [++u_201,++q_4_5,--q_5_5,--q_4_4]).

input_clause(u_201_s2_type1_200,axiom,
    [++q_4_5,--u_201]).

input_clause(u_s2_type1_201,axiom,
    [++u_202,++p_4_6,--p_5_6,--p_4_5]).

input_clause(u_202_s2_type1_201,axiom,
    [++p_4_6,--u_202]).

input_clause(u_s2_type1_202,axiom,
    [++u_203,++p_4_6,--p_5_6,--q_4_5]).

input_clause(u_203_s2_type1_202,axiom,
    [++p_4_6,--u_203]).

input_clause(u_s2_type1_203,axiom,
    [++u_204,++p_4_6,--q_5_6,--p_4_5]).

input_clause(u_204_s2_type1_203,axiom,
    [++p_4_6,--u_204]).

input_clause(u_s2_type1_204,axiom,
    [++u_205,++p_4_6,--q_5_6,--q_4_5]).

input_clause(u_205_s2_type1_204,axiom,
    [++p_4_6,--u_205]).

input_clause(u_s2_type1_205,axiom,
    [++u_206,++q_4_6,--p_5_6,--p_4_5]).

input_clause(u_206_s2_type1_205,axiom,
    [++q_4_6,--u_206]).

input_clause(u_s2_type1_206,axiom,
    [++u_207,++q_4_6,--p_5_6,--q_4_5]).

input_clause(u_207_s2_type1_206,axiom,
    [++q_4_6,--u_207]).

input_clause(u_s2_type1_207,axiom,
    [++u_208,++q_4_6,--q_5_6,--p_4_5]).

input_clause(u_208_s2_type1_207,axiom,
    [++q_4_6,--u_208]).

input_clause(u_s2_type1_208,axiom,
    [++u_209,++q_4_6,--q_5_6,--q_4_5]).

input_clause(u_209_s2_type1_208,axiom,
    [++q_4_6,--u_209]).

input_clause(u_s2_type1_209,axiom,
    [++u_210,++p_4_7,--p_5_7,--p_4_6]).

input_clause(u_210_s2_type1_209,axiom,
    [++p_4_7,--u_210]).

input_clause(u_s2_type1_210,axiom,
    [++u_211,++p_4_7,--p_5_7,--q_4_6]).

input_clause(u_211_s2_type1_210,axiom,
    [++p_4_7,--u_211]).

input_clause(u_s2_type1_211,axiom,
    [++u_212,++p_4_7,--q_5_7,--p_4_6]).

input_clause(u_212_s2_type1_211,axiom,
    [++p_4_7,--u_212]).

input_clause(u_s2_type1_212,axiom,
    [++u_213,++p_4_7,--q_5_7,--q_4_6]).

input_clause(u_213_s2_type1_212,axiom,
    [++p_4_7,--u_213]).

input_clause(u_s2_type1_213,axiom,
    [++u_214,++q_4_7,--p_5_7,--p_4_6]).

input_clause(u_214_s2_type1_213,axiom,
    [++q_4_7,--u_214]).

input_clause(u_s2_type1_214,axiom,
    [++u_215,++q_4_7,--p_5_7,--q_4_6]).

input_clause(u_215_s2_type1_214,axiom,
    [++q_4_7,--u_215]).

input_clause(u_s2_type1_215,axiom,
    [++u_216,++q_4_7,--q_5_7,--p_4_6]).

input_clause(u_216_s2_type1_215,axiom,
    [++q_4_7,--u_216]).

input_clause(u_s2_type1_216,axiom,
    [++u_217,++q_4_7,--q_5_7,--q_4_6]).

input_clause(u_217_s2_type1_216,axiom,
    [++q_4_7,--u_217]).

input_clause(u_s2_type1_217,axiom,
    [++u_218,++p_4_8,--p_5_8,--p_4_7]).

input_clause(u_218_s2_type1_217,axiom,
    [++p_4_8,--u_218]).

input_clause(u_s2_type1_218,axiom,
    [++u_219,++p_4_8,--p_5_8,--q_4_7]).

input_clause(u_219_s2_type1_218,axiom,
    [++p_4_8,--u_219]).

input_clause(u_s2_type1_219,axiom,
    [++u_220,++p_4_8,--q_5_8,--p_4_7]).

input_clause(u_220_s2_type1_219,axiom,
    [++p_4_8,--u_220]).

input_clause(u_s2_type1_220,axiom,
    [++u_221,++p_4_8,--q_5_8,--q_4_7]).

input_clause(u_221_s2_type1_220,axiom,
    [++p_4_8,--u_221]).

input_clause(u_s2_type1_221,axiom,
    [++u_222,++q_4_8,--p_5_8,--p_4_7]).

input_clause(u_222_s2_type1_221,axiom,
    [++q_4_8,--u_222]).

input_clause(u_s2_type1_222,axiom,
    [++u_223,++q_4_8,--p_5_8,--q_4_7]).

input_clause(u_223_s2_type1_222,axiom,
    [++q_4_8,--u_223]).

input_clause(u_s2_type1_223,axiom,
    [++u_224,++q_4_8,--q_5_8,--p_4_7]).

input_clause(u_224_s2_type1_223,axiom,
    [++q_4_8,--u_224]).

input_clause(u_s2_type1_224,axiom,
    [++u_225,++q_4_8,--q_5_8,--q_4_7]).

input_clause(u_225_s2_type1_224,axiom,
    [++q_4_8,--u_225]).

input_clause(u_s2_type1_225,axiom,
    [++u_226,++p_4_9,--p_5_9,--p_4_8]).

input_clause(u_226_s2_type1_225,axiom,
    [++p_4_9,--u_226]).

input_clause(u_s2_type1_226,axiom,
    [++u_227,++p_4_9,--p_5_9,--q_4_8]).

input_clause(u_227_s2_type1_226,axiom,
    [++p_4_9,--u_227]).

input_clause(u_s2_type1_227,axiom,
    [++u_228,++p_4_9,--q_5_9,--p_4_8]).

input_clause(u_228_s2_type1_227,axiom,
    [++p_4_9,--u_228]).

input_clause(u_s2_type1_228,axiom,
    [++u_229,++p_4_9,--q_5_9,--q_4_8]).

input_clause(u_229_s2_type1_228,axiom,
    [++p_4_9,--u_229]).

input_clause(u_s2_type1_229,axiom,
    [++u_230,++q_4_9,--p_5_9,--p_4_8]).

input_clause(u_230_s2_type1_229,axiom,
    [++q_4_9,--u_230]).

input_clause(u_s2_type1_230,axiom,
    [++u_231,++q_4_9,--p_5_9,--q_4_8]).

input_clause(u_231_s2_type1_230,axiom,
    [++q_4_9,--u_231]).

input_clause(u_s2_type1_231,axiom,
    [++u_232,++q_4_9,--q_5_9,--p_4_8]).

input_clause(u_232_s2_type1_231,axiom,
    [++q_4_9,--u_232]).

input_clause(u_s2_type1_232,axiom,
    [++u_233,++q_4_9,--q_5_9,--q_4_8]).

input_clause(u_233_s2_type1_232,axiom,
    [++q_4_9,--u_233]).

input_clause(u_s2_type1_233,axiom,
    [++u_234,++p_4_10,--p_5_10,--p_4_9]).

input_clause(u_234_s2_type1_233,axiom,
    [++p_4_10,--u_234]).

input_clause(u_s2_type1_234,axiom,
    [++u_235,++p_4_10,--p_5_10,--q_4_9]).

input_clause(u_235_s2_type1_234,axiom,
    [++p_4_10,--u_235]).

input_clause(u_s2_type1_235,axiom,
    [++u_236,++p_4_10,--q_5_10,--p_4_9]).

input_clause(u_236_s2_type1_235,axiom,
    [++p_4_10,--u_236]).

input_clause(u_s2_type1_236,axiom,
    [++u_237,++p_4_10,--q_5_10,--q_4_9]).

input_clause(u_237_s2_type1_236,axiom,
    [++p_4_10,--u_237]).

input_clause(u_s2_type1_237,axiom,
    [++u_238,++q_4_10,--p_5_10,--p_4_9]).

input_clause(u_238_s2_type1_237,axiom,
    [++q_4_10,--u_238]).

input_clause(u_s2_type1_238,axiom,
    [++u_239,++q_4_10,--p_5_10,--q_4_9]).

input_clause(u_239_s2_type1_238,axiom,
    [++q_4_10,--u_239]).

input_clause(u_s2_type1_239,axiom,
    [++u_240,++q_4_10,--q_5_10,--p_4_9]).

input_clause(u_240_s2_type1_239,axiom,
    [++q_4_10,--u_240]).

input_clause(u_s2_type1_240,axiom,
    [++u_241,++q_4_10,--q_5_10,--q_4_9]).

input_clause(u_241_s2_type1_240,axiom,
    [++q_4_10,--u_241]).

input_clause(u_s2_type1_241,axiom,
    [++u_242,++p_5_6,--p_6_6,--p_5_5]).

input_clause(u_242_s2_type1_241,axiom,
    [++p_5_6,--u_242]).

input_clause(u_s2_type1_242,axiom,
    [++u_243,++p_5_6,--p_6_6,--q_5_5]).

input_clause(u_243_s2_type1_242,axiom,
    [++p_5_6,--u_243]).

input_clause(u_s2_type1_243,axiom,
    [++u_244,++p_5_6,--q_6_6,--p_5_5]).

input_clause(u_244_s2_type1_243,axiom,
    [++p_5_6,--u_244]).

input_clause(u_s2_type1_244,axiom,
    [++u_245,++p_5_6,--q_6_6,--q_5_5]).

input_clause(u_245_s2_type1_244,axiom,
    [++p_5_6,--u_245]).

input_clause(u_s2_type1_245,axiom,
    [++u_246,++q_5_6,--p_6_6,--p_5_5]).

input_clause(u_246_s2_type1_245,axiom,
    [++q_5_6,--u_246]).

input_clause(u_s2_type1_246,axiom,
    [++u_247,++q_5_6,--p_6_6,--q_5_5]).

input_clause(u_247_s2_type1_246,axiom,
    [++q_5_6,--u_247]).

input_clause(u_s2_type1_247,axiom,
    [++u_248,++q_5_6,--q_6_6,--p_5_5]).

input_clause(u_248_s2_type1_247,axiom,
    [++q_5_6,--u_248]).

input_clause(u_s2_type1_248,axiom,
    [++u_249,++q_5_6,--q_6_6,--q_5_5]).

input_clause(u_249_s2_type1_248,axiom,
    [++q_5_6,--u_249]).

input_clause(u_s2_type1_249,axiom,
    [++u_250,++p_5_7,--p_6_7,--p_5_6]).

input_clause(u_250_s2_type1_249,axiom,
    [++p_5_7,--u_250]).

input_clause(u_s2_type1_250,axiom,
    [++u_251,++p_5_7,--p_6_7,--q_5_6]).

input_clause(u_251_s2_type1_250,axiom,
    [++p_5_7,--u_251]).

input_clause(u_s2_type1_251,axiom,
    [++u_252,++p_5_7,--q_6_7,--p_5_6]).

input_clause(u_252_s2_type1_251,axiom,
    [++p_5_7,--u_252]).

input_clause(u_s2_type1_252,axiom,
    [++u_253,++p_5_7,--q_6_7,--q_5_6]).

input_clause(u_253_s2_type1_252,axiom,
    [++p_5_7,--u_253]).

input_clause(u_s2_type1_253,axiom,
    [++u_254,++q_5_7,--p_6_7,--p_5_6]).

input_clause(u_254_s2_type1_253,axiom,
    [++q_5_7,--u_254]).

input_clause(u_s2_type1_254,axiom,
    [++u_255,++q_5_7,--p_6_7,--q_5_6]).

input_clause(u_255_s2_type1_254,axiom,
    [++q_5_7,--u_255]).

input_clause(u_s2_type1_255,axiom,
    [++u_256,++q_5_7,--q_6_7,--p_5_6]).

input_clause(u_256_s2_type1_255,axiom,
    [++q_5_7,--u_256]).

input_clause(u_s2_type1_256,axiom,
    [++u_257,++q_5_7,--q_6_7,--q_5_6]).

input_clause(u_257_s2_type1_256,axiom,
    [++q_5_7,--u_257]).

input_clause(u_s2_type1_257,axiom,
    [++u_258,++p_5_8,--p_6_8,--p_5_7]).

input_clause(u_258_s2_type1_257,axiom,
    [++p_5_8,--u_258]).

input_clause(u_s2_type1_258,axiom,
    [++u_259,++p_5_8,--p_6_8,--q_5_7]).

input_clause(u_259_s2_type1_258,axiom,
    [++p_5_8,--u_259]).

input_clause(u_s2_type1_259,axiom,
    [++u_260,++p_5_8,--q_6_8,--p_5_7]).

input_clause(u_260_s2_type1_259,axiom,
    [++p_5_8,--u_260]).

input_clause(u_s2_type1_260,axiom,
    [++u_261,++p_5_8,--q_6_8,--q_5_7]).

input_clause(u_261_s2_type1_260,axiom,
    [++p_5_8,--u_261]).

input_clause(u_s2_type1_261,axiom,
    [++u_262,++q_5_8,--p_6_8,--p_5_7]).

input_clause(u_262_s2_type1_261,axiom,
    [++q_5_8,--u_262]).

input_clause(u_s2_type1_262,axiom,
    [++u_263,++q_5_8,--p_6_8,--q_5_7]).

input_clause(u_263_s2_type1_262,axiom,
    [++q_5_8,--u_263]).

input_clause(u_s2_type1_263,axiom,
    [++u_264,++q_5_8,--q_6_8,--p_5_7]).

input_clause(u_264_s2_type1_263,axiom,
    [++q_5_8,--u_264]).

input_clause(u_s2_type1_264,axiom,
    [++u_265,++q_5_8,--q_6_8,--q_5_7]).

input_clause(u_265_s2_type1_264,axiom,
    [++q_5_8,--u_265]).

input_clause(u_s2_type1_265,axiom,
    [++u_266,++p_5_9,--p_6_9,--p_5_8]).

input_clause(u_266_s2_type1_265,axiom,
    [++p_5_9,--u_266]).

input_clause(u_s2_type1_266,axiom,
    [++u_267,++p_5_9,--p_6_9,--q_5_8]).

input_clause(u_267_s2_type1_266,axiom,
    [++p_5_9,--u_267]).

input_clause(u_s2_type1_267,axiom,
    [++u_268,++p_5_9,--q_6_9,--p_5_8]).

input_clause(u_268_s2_type1_267,axiom,
    [++p_5_9,--u_268]).

input_clause(u_s2_type1_268,axiom,
    [++u_269,++p_5_9,--q_6_9,--q_5_8]).

input_clause(u_269_s2_type1_268,axiom,
    [++p_5_9,--u_269]).

input_clause(u_s2_type1_269,axiom,
    [++u_270,++q_5_9,--p_6_9,--p_5_8]).

input_clause(u_270_s2_type1_269,axiom,
    [++q_5_9,--u_270]).

input_clause(u_s2_type1_270,axiom,
    [++u_271,++q_5_9,--p_6_9,--q_5_8]).

input_clause(u_271_s2_type1_270,axiom,
    [++q_5_9,--u_271]).

input_clause(u_s2_type1_271,axiom,
    [++u_272,++q_5_9,--q_6_9,--p_5_8]).

input_clause(u_272_s2_type1_271,axiom,
    [++q_5_9,--u_272]).

input_clause(u_s2_type1_272,axiom,
    [++u_273,++q_5_9,--q_6_9,--q_5_8]).

input_clause(u_273_s2_type1_272,axiom,
    [++q_5_9,--u_273]).

input_clause(u_s2_type1_273,axiom,
    [++u_274,++p_5_10,--p_6_10,--p_5_9]).

input_clause(u_274_s2_type1_273,axiom,
    [++p_5_10,--u_274]).

input_clause(u_s2_type1_274,axiom,
    [++u_275,++p_5_10,--p_6_10,--q_5_9]).

input_clause(u_275_s2_type1_274,axiom,
    [++p_5_10,--u_275]).

input_clause(u_s2_type1_275,axiom,
    [++u_276,++p_5_10,--q_6_10,--p_5_9]).

input_clause(u_276_s2_type1_275,axiom,
    [++p_5_10,--u_276]).

input_clause(u_s2_type1_276,axiom,
    [++u_277,++p_5_10,--q_6_10,--q_5_9]).

input_clause(u_277_s2_type1_276,axiom,
    [++p_5_10,--u_277]).

input_clause(u_s2_type1_277,axiom,
    [++u_278,++q_5_10,--p_6_10,--p_5_9]).

input_clause(u_278_s2_type1_277,axiom,
    [++q_5_10,--u_278]).

input_clause(u_s2_type1_278,axiom,
    [++u_279,++q_5_10,--p_6_10,--q_5_9]).

input_clause(u_279_s2_type1_278,axiom,
    [++q_5_10,--u_279]).

input_clause(u_s2_type1_279,axiom,
    [++u_280,++q_5_10,--q_6_10,--p_5_9]).

input_clause(u_280_s2_type1_279,axiom,
    [++q_5_10,--u_280]).

input_clause(u_s2_type1_280,axiom,
    [++u_281,++q_5_10,--q_6_10,--q_5_9]).

input_clause(u_281_s2_type1_280,axiom,
    [++q_5_10,--u_281]).

input_clause(u_s2_type1_281,axiom,
    [++u_282,++p_6_7,--p_7_7,--p_6_6]).

input_clause(u_282_s2_type1_281,axiom,
    [++p_6_7,--u_282]).

input_clause(u_s2_type1_282,axiom,
    [++u_283,++p_6_7,--p_7_7,--q_6_6]).

input_clause(u_283_s2_type1_282,axiom,
    [++p_6_7,--u_283]).

input_clause(u_s2_type1_283,axiom,
    [++u_284,++p_6_7,--q_7_7,--p_6_6]).

input_clause(u_284_s2_type1_283,axiom,
    [++p_6_7,--u_284]).

input_clause(u_s2_type1_284,axiom,
    [++u_285,++p_6_7,--q_7_7,--q_6_6]).

input_clause(u_285_s2_type1_284,axiom,
    [++p_6_7,--u_285]).

input_clause(u_s2_type1_285,axiom,
    [++u_286,++q_6_7,--p_7_7,--p_6_6]).

input_clause(u_286_s2_type1_285,axiom,
    [++q_6_7,--u_286]).

input_clause(u_s2_type1_286,axiom,
    [++u_287,++q_6_7,--p_7_7,--q_6_6]).

input_clause(u_287_s2_type1_286,axiom,
    [++q_6_7,--u_287]).

input_clause(u_s2_type1_287,axiom,
    [++u_288,++q_6_7,--q_7_7,--p_6_6]).

input_clause(u_288_s2_type1_287,axiom,
    [++q_6_7,--u_288]).

input_clause(u_s2_type1_288,axiom,
    [++u_289,++q_6_7,--q_7_7,--q_6_6]).

input_clause(u_289_s2_type1_288,axiom,
    [++q_6_7,--u_289]).

input_clause(u_s2_type1_289,axiom,
    [++u_290,++p_6_8,--p_7_8,--p_6_7]).

input_clause(u_290_s2_type1_289,axiom,
    [++p_6_8,--u_290]).

input_clause(u_s2_type1_290,axiom,
    [++u_291,++p_6_8,--p_7_8,--q_6_7]).

input_clause(u_291_s2_type1_290,axiom,
    [++p_6_8,--u_291]).

input_clause(u_s2_type1_291,axiom,
    [++u_292,++p_6_8,--q_7_8,--p_6_7]).

input_clause(u_292_s2_type1_291,axiom,
    [++p_6_8,--u_292]).

input_clause(u_s2_type1_292,axiom,
    [++u_293,++p_6_8,--q_7_8,--q_6_7]).

input_clause(u_293_s2_type1_292,axiom,
    [++p_6_8,--u_293]).

input_clause(u_s2_type1_293,axiom,
    [++u_294,++q_6_8,--p_7_8,--p_6_7]).

input_clause(u_294_s2_type1_293,axiom,
    [++q_6_8,--u_294]).

input_clause(u_s2_type1_294,axiom,
    [++u_295,++q_6_8,--p_7_8,--q_6_7]).

input_clause(u_295_s2_type1_294,axiom,
    [++q_6_8,--u_295]).

input_clause(u_s2_type1_295,axiom,
    [++u_296,++q_6_8,--q_7_8,--p_6_7]).

input_clause(u_296_s2_type1_295,axiom,
    [++q_6_8,--u_296]).

input_clause(u_s2_type1_296,axiom,
    [++u_297,++q_6_8,--q_7_8,--q_6_7]).

input_clause(u_297_s2_type1_296,axiom,
    [++q_6_8,--u_297]).

input_clause(u_s2_type1_297,axiom,
    [++u_298,++p_6_9,--p_7_9,--p_6_8]).

input_clause(u_298_s2_type1_297,axiom,
    [++p_6_9,--u_298]).

input_clause(u_s2_type1_298,axiom,
    [++u_299,++p_6_9,--p_7_9,--q_6_8]).

input_clause(u_299_s2_type1_298,axiom,
    [++p_6_9,--u_299]).

input_clause(u_s2_type1_299,axiom,
    [++u_300,++p_6_9,--q_7_9,--p_6_8]).

input_clause(u_300_s2_type1_299,axiom,
    [++p_6_9,--u_300]).

input_clause(u_s2_type1_300,axiom,
    [++u_301,++p_6_9,--q_7_9,--q_6_8]).

input_clause(u_301_s2_type1_300,axiom,
    [++p_6_9,--u_301]).

input_clause(u_s2_type1_301,axiom,
    [++u_302,++q_6_9,--p_7_9,--p_6_8]).

input_clause(u_302_s2_type1_301,axiom,
    [++q_6_9,--u_302]).

input_clause(u_s2_type1_302,axiom,
    [++u_303,++q_6_9,--p_7_9,--q_6_8]).

input_clause(u_303_s2_type1_302,axiom,
    [++q_6_9,--u_303]).

input_clause(u_s2_type1_303,axiom,
    [++u_304,++q_6_9,--q_7_9,--p_6_8]).

input_clause(u_304_s2_type1_303,axiom,
    [++q_6_9,--u_304]).

input_clause(u_s2_type1_304,axiom,
    [++u_305,++q_6_9,--q_7_9,--q_6_8]).

input_clause(u_305_s2_type1_304,axiom,
    [++q_6_9,--u_305]).

input_clause(u_s2_type1_305,axiom,
    [++u_306,++p_6_10,--p_7_10,--p_6_9]).

input_clause(u_306_s2_type1_305,axiom,
    [++p_6_10,--u_306]).

input_clause(u_s2_type1_306,axiom,
    [++u_307,++p_6_10,--p_7_10,--q_6_9]).

input_clause(u_307_s2_type1_306,axiom,
    [++p_6_10,--u_307]).

input_clause(u_s2_type1_307,axiom,
    [++u_308,++p_6_10,--q_7_10,--p_6_9]).

input_clause(u_308_s2_type1_307,axiom,
    [++p_6_10,--u_308]).

input_clause(u_s2_type1_308,axiom,
    [++u_309,++p_6_10,--q_7_10,--q_6_9]).

input_clause(u_309_s2_type1_308,axiom,
    [++p_6_10,--u_309]).

input_clause(u_s2_type1_309,axiom,
    [++u_310,++q_6_10,--p_7_10,--p_6_9]).

input_clause(u_310_s2_type1_309,axiom,
    [++q_6_10,--u_310]).

input_clause(u_s2_type1_310,axiom,
    [++u_311,++q_6_10,--p_7_10,--q_6_9]).

input_clause(u_311_s2_type1_310,axiom,
    [++q_6_10,--u_311]).

input_clause(u_s2_type1_311,axiom,
    [++u_312,++q_6_10,--q_7_10,--p_6_9]).

input_clause(u_312_s2_type1_311,axiom,
    [++q_6_10,--u_312]).

input_clause(u_s2_type1_312,axiom,
    [++u_313,++q_6_10,--q_7_10,--q_6_9]).

input_clause(u_313_s2_type1_312,axiom,
    [++q_6_10,--u_313]).

input_clause(u_s2_type1_313,axiom,
    [++u_314,++p_7_8,--p_8_8,--p_7_7]).

input_clause(u_314_s2_type1_313,axiom,
    [++p_7_8,--u_314]).

input_clause(u_s2_type1_314,axiom,
    [++u_315,++p_7_8,--p_8_8,--q_7_7]).

input_clause(u_315_s2_type1_314,axiom,
    [++p_7_8,--u_315]).

input_clause(u_s2_type1_315,axiom,
    [++u_316,++p_7_8,--q_8_8,--p_7_7]).

input_clause(u_316_s2_type1_315,axiom,
    [++p_7_8,--u_316]).

input_clause(u_s2_type1_316,axiom,
    [++u_317,++p_7_8,--q_8_8,--q_7_7]).

input_clause(u_317_s2_type1_316,axiom,
    [++p_7_8,--u_317]).

input_clause(u_s2_type1_317,axiom,
    [++u_318,++q_7_8,--p_8_8,--p_7_7]).

input_clause(u_318_s2_type1_317,axiom,
    [++q_7_8,--u_318]).

input_clause(u_s2_type1_318,axiom,
    [++u_319,++q_7_8,--p_8_8,--q_7_7]).

input_clause(u_319_s2_type1_318,axiom,
    [++q_7_8,--u_319]).

input_clause(u_s2_type1_319,axiom,
    [++u_320,++q_7_8,--q_8_8,--p_7_7]).

input_clause(u_320_s2_type1_319,axiom,
    [++q_7_8,--u_320]).

input_clause(u_s2_type1_320,axiom,
    [++u_321,++q_7_8,--q_8_8,--q_7_7]).

input_clause(u_321_s2_type1_320,axiom,
    [++q_7_8,--u_321]).

input_clause(u_s2_type1_321,axiom,
    [++u_322,++p_7_9,--p_8_9,--p_7_8]).

input_clause(u_322_s2_type1_321,axiom,
    [++p_7_9,--u_322]).

input_clause(u_s2_type1_322,axiom,
    [++u_323,++p_7_9,--p_8_9,--q_7_8]).

input_clause(u_323_s2_type1_322,axiom,
    [++p_7_9,--u_323]).

input_clause(u_s2_type1_323,axiom,
    [++u_324,++p_7_9,--q_8_9,--p_7_8]).

input_clause(u_324_s2_type1_323,axiom,
    [++p_7_9,--u_324]).

input_clause(u_s2_type1_324,axiom,
    [++u_325,++p_7_9,--q_8_9,--q_7_8]).

input_clause(u_325_s2_type1_324,axiom,
    [++p_7_9,--u_325]).

input_clause(u_s2_type1_325,axiom,
    [++u_326,++q_7_9,--p_8_9,--p_7_8]).

input_clause(u_326_s2_type1_325,axiom,
    [++q_7_9,--u_326]).

input_clause(u_s2_type1_326,axiom,
    [++u_327,++q_7_9,--p_8_9,--q_7_8]).

input_clause(u_327_s2_type1_326,axiom,
    [++q_7_9,--u_327]).

input_clause(u_s2_type1_327,axiom,
    [++u_328,++q_7_9,--q_8_9,--p_7_8]).

input_clause(u_328_s2_type1_327,axiom,
    [++q_7_9,--u_328]).

input_clause(u_s2_type1_328,axiom,
    [++u_329,++q_7_9,--q_8_9,--q_7_8]).

input_clause(u_329_s2_type1_328,axiom,
    [++q_7_9,--u_329]).

input_clause(u_s2_type1_329,axiom,
    [++u_330,++p_7_10,--p_8_10,--p_7_9]).

input_clause(u_330_s2_type1_329,axiom,
    [++p_7_10,--u_330]).

input_clause(u_s2_type1_330,axiom,
    [++u_331,++p_7_10,--p_8_10,--q_7_9]).

input_clause(u_331_s2_type1_330,axiom,
    [++p_7_10,--u_331]).

input_clause(u_s2_type1_331,axiom,
    [++u_332,++p_7_10,--q_8_10,--p_7_9]).

input_clause(u_332_s2_type1_331,axiom,
    [++p_7_10,--u_332]).

input_clause(u_s2_type1_332,axiom,
    [++u_333,++p_7_10,--q_8_10,--q_7_9]).

input_clause(u_333_s2_type1_332,axiom,
    [++p_7_10,--u_333]).

input_clause(u_s2_type1_333,axiom,
    [++u_334,++q_7_10,--p_8_10,--p_7_9]).

input_clause(u_334_s2_type1_333,axiom,
    [++q_7_10,--u_334]).

input_clause(u_s2_type1_334,axiom,
    [++u_335,++q_7_10,--p_8_10,--q_7_9]).

input_clause(u_335_s2_type1_334,axiom,
    [++q_7_10,--u_335]).

input_clause(u_s2_type1_335,axiom,
    [++u_336,++q_7_10,--q_8_10,--p_7_9]).

input_clause(u_336_s2_type1_335,axiom,
    [++q_7_10,--u_336]).

input_clause(u_s2_type1_336,axiom,
    [++u_337,++q_7_10,--q_8_10,--q_7_9]).

input_clause(u_337_s2_type1_336,axiom,
    [++q_7_10,--u_337]).

input_clause(u_s2_type1_337,axiom,
    [++u_338,++p_8_9,--p_9_9,--p_8_8]).

input_clause(u_338_s2_type1_337,axiom,
    [++p_8_9,--u_338]).

input_clause(u_s2_type1_338,axiom,
    [++u_339,++p_8_9,--p_9_9,--q_8_8]).

input_clause(u_339_s2_type1_338,axiom,
    [++p_8_9,--u_339]).

input_clause(u_s2_type1_339,axiom,
    [++u_340,++p_8_9,--q_9_9,--p_8_8]).

input_clause(u_340_s2_type1_339,axiom,
    [++p_8_9,--u_340]).

input_clause(u_s2_type1_340,axiom,
    [++u_341,++p_8_9,--q_9_9,--q_8_8]).

input_clause(u_341_s2_type1_340,axiom,
    [++p_8_9,--u_341]).

input_clause(u_s2_type1_341,axiom,
    [++u_342,++q_8_9,--p_9_9,--p_8_8]).

input_clause(u_342_s2_type1_341,axiom,
    [++q_8_9,--u_342]).

input_clause(u_s2_type1_342,axiom,
    [++u_343,++q_8_9,--p_9_9,--q_8_8]).

input_clause(u_343_s2_type1_342,axiom,
    [++q_8_9,--u_343]).

input_clause(u_s2_type1_343,axiom,
    [++u_344,++q_8_9,--q_9_9,--p_8_8]).

input_clause(u_344_s2_type1_343,axiom,
    [++q_8_9,--u_344]).

input_clause(u_s2_type1_344,axiom,
    [++u_345,++q_8_9,--q_9_9,--q_8_8]).

input_clause(u_345_s2_type1_344,axiom,
    [++q_8_9,--u_345]).

input_clause(u_s2_type1_345,axiom,
    [++u_346,++p_8_10,--p_9_10,--p_8_9]).

input_clause(u_346_s2_type1_345,axiom,
    [++p_8_10,--u_346]).

input_clause(u_s2_type1_346,axiom,
    [++u_347,++p_8_10,--p_9_10,--q_8_9]).

input_clause(u_347_s2_type1_346,axiom,
    [++p_8_10,--u_347]).

input_clause(u_s2_type1_347,axiom,
    [++u_348,++p_8_10,--q_9_10,--p_8_9]).

input_clause(u_348_s2_type1_347,axiom,
    [++p_8_10,--u_348]).

input_clause(u_s2_type1_348,axiom,
    [++u_349,++p_8_10,--q_9_10,--q_8_9]).

input_clause(u_349_s2_type1_348,axiom,
    [++p_8_10,--u_349]).

input_clause(u_s2_type1_349,axiom,
    [++u_350,++q_8_10,--p_9_10,--p_8_9]).

input_clause(u_350_s2_type1_349,axiom,
    [++q_8_10,--u_350]).

input_clause(u_s2_type1_350,axiom,
    [++u_351,++q_8_10,--p_9_10,--q_8_9]).

input_clause(u_351_s2_type1_350,axiom,
    [++q_8_10,--u_351]).

input_clause(u_s2_type1_351,axiom,
    [++u_352,++q_8_10,--q_9_10,--p_8_9]).

input_clause(u_352_s2_type1_351,axiom,
    [++q_8_10,--u_352]).

input_clause(u_s2_type1_352,axiom,
    [++u_353,++q_8_10,--q_9_10,--q_8_9]).

input_clause(u_353_s2_type1_352,axiom,
    [++q_8_10,--u_353]).

input_clause(u_s2_type1_353,axiom,
    [++u_354,++p_9_10,--p_10_10,--p_9_9]).

input_clause(u_354_s2_type1_353,axiom,
    [++p_9_10,--u_354]).

input_clause(u_s2_type1_354,axiom,
    [++u_355,++p_9_10,--p_10_10,--q_9_9]).

input_clause(u_355_s2_type1_354,axiom,
    [++p_9_10,--u_355]).

input_clause(u_s2_type1_355,axiom,
    [++u_356,++p_9_10,--q_10_10,--p_9_9]).

input_clause(u_356_s2_type1_355,axiom,
    [++p_9_10,--u_356]).

input_clause(u_s2_type1_356,axiom,
    [++u_357,++p_9_10,--q_10_10,--q_9_9]).

input_clause(u_357_s2_type1_356,axiom,
    [++p_9_10,--u_357]).

input_clause(u_s2_type1_357,axiom,
    [++u_358,++q_9_10,--p_10_10,--p_9_9]).

input_clause(u_358_s2_type1_357,axiom,
    [++q_9_10,--u_358]).

input_clause(u_s2_type1_358,axiom,
    [++u_359,++q_9_10,--p_10_10,--q_9_9]).

input_clause(u_359_s2_type1_358,axiom,
    [++q_9_10,--u_359]).

input_clause(u_s2_type1_359,axiom,
    [++u_360,++q_9_10,--q_10_10,--p_9_9]).

input_clause(u_360_s2_type1_359,axiom,
    [++q_9_10,--u_360]).

input_clause(u_s2_type1_360,axiom,
    [++u_361,++q_9_10,--q_10_10,--q_9_9]).

input_clause(u_361_s2_type1_360,axiom,
    [++q_9_10,--u_361]).

input_clause(u_s2_type21_1,axiom,
    [++u_362,++p_1_1,--p_1_6]).

input_clause(u_362_s2_type21_1,axiom,
    [++p_1_1,--u_362]).

input_clause(u_s2_type21_2,axiom,
    [++u_363,++p_2_2,--p_2_7]).

input_clause(u_363_s2_type21_2,axiom,
    [++p_2_2,--u_363]).

input_clause(u_s2_type21_3,axiom,
    [++u_364,++p_3_3,--p_3_8]).

input_clause(u_364_s2_type21_3,axiom,
    [++p_3_3,--u_364]).

input_clause(u_s2_type21_4,axiom,
    [++u_365,++p_4_4,--p_4_9]).

input_clause(u_365_s2_type21_4,axiom,
    [++p_4_4,--u_365]).

input_clause(u_s2_type21_5,axiom,
    [++u_366,++p_5_5,--p_5_10]).

input_clause(u_366_s2_type21_5,axiom,
    [++p_5_5,--u_366]).

input_clause(u_s2_type21_6,axiom,
    [++u_367,++q_1_1,--q_1_6]).

input_clause(u_367_s2_type21_6,axiom,
    [++q_1_1,--u_367]).

input_clause(u_s2_type21_7,axiom,
    [++u_368,++q_2_2,--q_2_7]).

input_clause(u_368_s2_type21_7,axiom,
    [++q_2_2,--u_368]).

input_clause(u_s2_type21_8,axiom,
    [++u_369,++q_3_3,--q_3_8]).

input_clause(u_369_s2_type21_8,axiom,
    [++q_3_3,--u_369]).

input_clause(u_s2_type21_9,axiom,
    [++u_370,++q_4_4,--q_4_9]).

input_clause(u_370_s2_type21_9,axiom,
    [++q_4_4,--u_370]).

input_clause(u_s2_type21_10,axiom,
    [++u_371,++q_5_5,--q_5_10]).

input_clause(u_371_s2_type21_10,axiom,
    [++q_5_5,--u_371]).

input_clause(u_s2_type22_1,axiom,
    [++u_372,++p_6_6,--p_1_6]).

input_clause(u_372_s2_type22_1,axiom,
    [++p_6_6,--u_372]).

input_clause(u_s2_type22_2,axiom,
    [++u_373,++p_7_7,--p_2_7]).

input_clause(u_373_s2_type22_2,axiom,
    [++p_7_7,--u_373]).

input_clause(u_s2_type22_3,axiom,
    [++u_374,++p_8_8,--p_3_8]).

input_clause(u_374_s2_type22_3,axiom,
    [++p_8_8,--u_374]).

input_clause(u_s2_type22_4,axiom,
    [++u_375,++p_9_9,--p_4_9]).

input_clause(u_375_s2_type22_4,axiom,
    [++p_9_9,--u_375]).

input_clause(u_s2_type22_5,axiom,
    [++u_376,++p_10_10,--p_5_10]).

input_clause(u_376_s2_type22_5,axiom,
    [++p_10_10,--u_376]).

input_clause(u_s2_type22_6,axiom,
    [++u_377,++q_6_6,--q_1_6]).

input_clause(u_377_s2_type22_6,axiom,
    [++q_6_6,--u_377]).

input_clause(u_s2_type22_7,axiom,
    [++u_378,++q_7_7,--q_2_7]).

input_clause(u_378_s2_type22_7,axiom,
    [++q_7_7,--u_378]).

input_clause(u_s2_type22_8,axiom,
    [++u_379,++q_8_8,--q_3_8]).

input_clause(u_379_s2_type22_8,axiom,
    [++q_8_8,--u_379]).

input_clause(u_s2_type22_9,axiom,
    [++u_380,++q_9_9,--q_4_9]).

input_clause(u_380_s2_type22_9,axiom,
    [++q_9_9,--u_380]).

input_clause(u_s2_type22_10,axiom,
    [++u_381,++q_10_10,--q_5_10]).

input_clause(u_381_s2_type22_10,axiom,
    [++q_10_10,--u_381]).

input_clause(u_t2_1,axiom,
    [++u_382,++p_1_1]).

input_clause(u_382_t2_1,axiom,
    [++p_1_1,--u_382]).

input_clause(u_t2_2,axiom,
    [++u_383,++q_1_1]).

input_clause(u_383_t2_2,axiom,
    [++q_1_1,--u_383]).

input_clause(u_t2_3,axiom,
    [++u_384,++p_2_2]).

input_clause(u_384_t2_3,axiom,
    [++p_2_2,--u_384]).

input_clause(u_t2_4,axiom,
    [++u_385,++q_2_2]).

input_clause(u_385_t2_4,axiom,
    [++q_2_2,--u_385]).

input_clause(u_t2_5,axiom,
    [++u_386,++p_3_3]).

input_clause(u_386_t2_5,axiom,
    [++p_3_3,--u_386]).

input_clause(u_t2_6,axiom,
    [++u_387,++q_3_3]).

input_clause(u_387_t2_6,axiom,
    [++q_3_3,--u_387]).

input_clause(u_t2_7,axiom,
    [++u_388,++p_4_4]).

input_clause(u_388_t2_7,axiom,
    [++p_4_4,--u_388]).

input_clause(u_t2_8,axiom,
    [++u_389,++q_4_4]).

input_clause(u_389_t2_8,axiom,
    [++q_4_4,--u_389]).

input_clause(u_t2_9,axiom,
    [++u_390,++p_5_5]).

input_clause(u_390_t2_9,axiom,
    [++p_5_5,--u_390]).

input_clause(u_t2_10,axiom,
    [++u_391,++q_5_5]).

input_clause(u_391_t2_10,axiom,
    [++q_5_5,--u_391]).

input_clause(u_t2_11,axiom,
    [++u_392,++p_6_6]).

input_clause(u_392_t2_11,axiom,
    [++p_6_6,--u_392]).

input_clause(u_t2_12,axiom,
    [++u_393,++q_6_6]).

input_clause(u_393_t2_12,axiom,
    [++q_6_6,--u_393]).

input_clause(u_t2_13,axiom,
    [++u_394,++p_7_7]).

input_clause(u_394_t2_13,axiom,
    [++p_7_7,--u_394]).

input_clause(u_t2_14,axiom,
    [++u_395,++q_7_7]).

input_clause(u_395_t2_14,axiom,
    [++q_7_7,--u_395]).

input_clause(u_t2_15,axiom,
    [++u_396,++p_8_8]).

input_clause(u_396_t2_15,axiom,
    [++p_8_8,--u_396]).

input_clause(u_t2_16,axiom,
    [++u_397,++q_8_8]).

input_clause(u_397_t2_16,axiom,
    [++q_8_8,--u_397]).

input_clause(u_t2_17,axiom,
    [++u_398,++p_9_9]).

input_clause(u_398_t2_17,axiom,
    [++p_9_9,--u_398]).

input_clause(u_t2_18,axiom,
    [++u_399,++q_9_9]).

input_clause(u_399_t2_18,axiom,
    [++q_9_9,--u_399]).

input_clause(u_t2_19,axiom,
    [++u_400,++p_10_10]).

input_clause(u_400_t2_19,axiom,
    [++p_10_10,--u_400]).

input_clause(u_t2_20,axiom,
    [++u_401,++q_10_10]).

input_clause(u_401_t2_20,axiom,
    [++q_10_10,--u_401]).
%--------------------------------------------------------------------------
