%--------------------------------------------------------------------------
% File     : SYN094=DAPut3-1.005 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem u(t(3,5))
% Version  : Theorem formulation : Size 5.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  146 (  72 non-Horn)(   1 unit)
%            Number of literals          :  424 (   0 equality)
%            Number of predicate symbols :   95 (  95 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(u_s3_goal_1,theorem,
    [++u_1,--p_0,--q_0]).

input_clause(u_1_s3_goal_1,axiom,
    [--u_1]).

input_clause(u_s3_type1_1,axiom,
    [++u_2,++p_0,--p_1,--p_2]).

input_clause(u_2_s3_type1_1,axiom,
    [++p_0,--u_2]).

input_clause(u_s3_type1_2,axiom,
    [++u_3,++p_0,--p_1,--q_2]).

input_clause(u_3_s3_type1_2,axiom,
    [++p_0,--u_3]).

input_clause(u_s3_type1_3,axiom,
    [++u_4,++p_0,--q_1,--p_2]).

input_clause(u_4_s3_type1_3,axiom,
    [++p_0,--u_4]).

input_clause(u_s3_type1_4,axiom,
    [++u_5,++p_0,--q_1,--q_2]).

input_clause(u_5_s3_type1_4,axiom,
    [++p_0,--u_5]).

input_clause(u_s3_type1_5,axiom,
    [++u_6,++q_0,--p_1,--p_2]).

input_clause(u_6_s3_type1_5,axiom,
    [++q_0,--u_6]).

input_clause(u_s3_type1_6,axiom,
    [++u_7,++q_0,--p_1,--q_2]).

input_clause(u_7_s3_type1_6,axiom,
    [++q_0,--u_7]).

input_clause(u_s3_type1_7,axiom,
    [++u_8,++q_0,--q_1,--p_2]).

input_clause(u_8_s3_type1_7,axiom,
    [++q_0,--u_8]).

input_clause(u_s3_type1_8,axiom,
    [++u_9,++q_0,--q_1,--q_2]).

input_clause(u_9_s3_type1_8,axiom,
    [++q_0,--u_9]).

input_clause(u_s3_type1_9,axiom,
    [++u_10,++p_1,--p_2,--p_3]).

input_clause(u_10_s3_type1_9,axiom,
    [++p_1,--u_10]).

input_clause(u_s3_type1_10,axiom,
    [++u_11,++p_1,--p_2,--q_3]).

input_clause(u_11_s3_type1_10,axiom,
    [++p_1,--u_11]).

input_clause(u_s3_type1_11,axiom,
    [++u_12,++p_1,--q_2,--p_3]).

input_clause(u_12_s3_type1_11,axiom,
    [++p_1,--u_12]).

input_clause(u_s3_type1_12,axiom,
    [++u_13,++p_1,--q_2,--q_3]).

input_clause(u_13_s3_type1_12,axiom,
    [++p_1,--u_13]).

input_clause(u_s3_type1_13,axiom,
    [++u_14,++q_1,--p_2,--p_3]).

input_clause(u_14_s3_type1_13,axiom,
    [++q_1,--u_14]).

input_clause(u_s3_type1_14,axiom,
    [++u_15,++q_1,--p_2,--q_3]).

input_clause(u_15_s3_type1_14,axiom,
    [++q_1,--u_15]).

input_clause(u_s3_type1_15,axiom,
    [++u_16,++q_1,--q_2,--p_3]).

input_clause(u_16_s3_type1_15,axiom,
    [++q_1,--u_16]).

input_clause(u_s3_type1_16,axiom,
    [++u_17,++q_1,--q_2,--q_3]).

input_clause(u_17_s3_type1_16,axiom,
    [++q_1,--u_17]).

input_clause(u_s3_type1_17,axiom,
    [++u_18,++p_2,--p_3,--p_4]).

input_clause(u_18_s3_type1_17,axiom,
    [++p_2,--u_18]).

input_clause(u_s3_type1_18,axiom,
    [++u_19,++p_2,--p_3,--q_4]).

input_clause(u_19_s3_type1_18,axiom,
    [++p_2,--u_19]).

input_clause(u_s3_type1_19,axiom,
    [++u_20,++p_2,--q_3,--p_4]).

input_clause(u_20_s3_type1_19,axiom,
    [++p_2,--u_20]).

input_clause(u_s3_type1_20,axiom,
    [++u_21,++p_2,--q_3,--q_4]).

input_clause(u_21_s3_type1_20,axiom,
    [++p_2,--u_21]).

input_clause(u_s3_type1_21,axiom,
    [++u_22,++q_2,--p_3,--p_4]).

input_clause(u_22_s3_type1_21,axiom,
    [++q_2,--u_22]).

input_clause(u_s3_type1_22,axiom,
    [++u_23,++q_2,--p_3,--q_4]).

input_clause(u_23_s3_type1_22,axiom,
    [++q_2,--u_23]).

input_clause(u_s3_type1_23,axiom,
    [++u_24,++q_2,--q_3,--p_4]).

input_clause(u_24_s3_type1_23,axiom,
    [++q_2,--u_24]).

input_clause(u_s3_type1_24,axiom,
    [++u_25,++q_2,--q_3,--q_4]).

input_clause(u_25_s3_type1_24,axiom,
    [++q_2,--u_25]).

input_clause(u_s3_type1_25,axiom,
    [++u_26,++p_3,--p_4,--p_5]).

input_clause(u_26_s3_type1_25,axiom,
    [++p_3,--u_26]).

input_clause(u_s3_type1_26,axiom,
    [++u_27,++p_3,--p_4,--q_5]).

input_clause(u_27_s3_type1_26,axiom,
    [++p_3,--u_27]).

input_clause(u_s3_type1_27,axiom,
    [++u_28,++p_3,--q_4,--p_5]).

input_clause(u_28_s3_type1_27,axiom,
    [++p_3,--u_28]).

input_clause(u_s3_type1_28,axiom,
    [++u_29,++p_3,--q_4,--q_5]).

input_clause(u_29_s3_type1_28,axiom,
    [++p_3,--u_29]).

input_clause(u_s3_type1_29,axiom,
    [++u_30,++q_3,--p_4,--p_5]).

input_clause(u_30_s3_type1_29,axiom,
    [++q_3,--u_30]).

input_clause(u_s3_type1_30,axiom,
    [++u_31,++q_3,--p_4,--q_5]).

input_clause(u_31_s3_type1_30,axiom,
    [++q_3,--u_31]).

input_clause(u_s3_type1_31,axiom,
    [++u_32,++q_3,--q_4,--p_5]).

input_clause(u_32_s3_type1_31,axiom,
    [++q_3,--u_32]).

input_clause(u_s3_type1_32,axiom,
    [++u_33,++q_3,--q_4,--q_5]).

input_clause(u_33_s3_type1_32,axiom,
    [++q_3,--u_33]).

input_clause(u_s3_type1_33,axiom,
    [++u_34,++p_4,--p_5,--p_6]).

input_clause(u_34_s3_type1_33,axiom,
    [++p_4,--u_34]).

input_clause(u_s3_type1_34,axiom,
    [++u_35,++p_4,--p_5,--q_6]).

input_clause(u_35_s3_type1_34,axiom,
    [++p_4,--u_35]).

input_clause(u_s3_type1_35,axiom,
    [++u_36,++p_4,--q_5,--p_6]).

input_clause(u_36_s3_type1_35,axiom,
    [++p_4,--u_36]).

input_clause(u_s3_type1_36,axiom,
    [++u_37,++p_4,--q_5,--q_6]).

input_clause(u_37_s3_type1_36,axiom,
    [++p_4,--u_37]).

input_clause(u_s3_type1_37,axiom,
    [++u_38,++q_4,--p_5,--p_6]).

input_clause(u_38_s3_type1_37,axiom,
    [++q_4,--u_38]).

input_clause(u_s3_type1_38,axiom,
    [++u_39,++q_4,--p_5,--q_6]).

input_clause(u_39_s3_type1_38,axiom,
    [++q_4,--u_39]).

input_clause(u_s3_type1_39,axiom,
    [++u_40,++q_4,--q_5,--p_6]).

input_clause(u_40_s3_type1_39,axiom,
    [++q_4,--u_40]).

input_clause(u_s3_type1_40,axiom,
    [++u_41,++q_4,--q_5,--q_6]).

input_clause(u_41_s3_type1_40,axiom,
    [++q_4,--u_41]).

input_clause(u_s3_type1_41,axiom,
    [++u_42,++p_5,--p_6,--p_7]).

input_clause(u_42_s3_type1_41,axiom,
    [++p_5,--u_42]).

input_clause(u_s3_type1_42,axiom,
    [++u_43,++p_5,--p_6,--q_7]).

input_clause(u_43_s3_type1_42,axiom,
    [++p_5,--u_43]).

input_clause(u_s3_type1_43,axiom,
    [++u_44,++p_5,--q_6,--p_7]).

input_clause(u_44_s3_type1_43,axiom,
    [++p_5,--u_44]).

input_clause(u_s3_type1_44,axiom,
    [++u_45,++p_5,--q_6,--q_7]).

input_clause(u_45_s3_type1_44,axiom,
    [++p_5,--u_45]).

input_clause(u_s3_type1_45,axiom,
    [++u_46,++q_5,--p_6,--p_7]).

input_clause(u_46_s3_type1_45,axiom,
    [++q_5,--u_46]).

input_clause(u_s3_type1_46,axiom,
    [++u_47,++q_5,--p_6,--q_7]).

input_clause(u_47_s3_type1_46,axiom,
    [++q_5,--u_47]).

input_clause(u_s3_type1_47,axiom,
    [++u_48,++q_5,--q_6,--p_7]).

input_clause(u_48_s3_type1_47,axiom,
    [++q_5,--u_48]).

input_clause(u_s3_type1_48,axiom,
    [++u_49,++q_5,--q_6,--q_7]).

input_clause(u_49_s3_type1_48,axiom,
    [++q_5,--u_49]).

input_clause(u_s3_type1_49,axiom,
    [++u_50,++p_6,--p_7,--p_8]).

input_clause(u_50_s3_type1_49,axiom,
    [++p_6,--u_50]).

input_clause(u_s3_type1_50,axiom,
    [++u_51,++p_6,--p_7,--q_8]).

input_clause(u_51_s3_type1_50,axiom,
    [++p_6,--u_51]).

input_clause(u_s3_type1_51,axiom,
    [++u_52,++p_6,--q_7,--p_8]).

input_clause(u_52_s3_type1_51,axiom,
    [++p_6,--u_52]).

input_clause(u_s3_type1_52,axiom,
    [++u_53,++p_6,--q_7,--q_8]).

input_clause(u_53_s3_type1_52,axiom,
    [++p_6,--u_53]).

input_clause(u_s3_type1_53,axiom,
    [++u_54,++q_6,--p_7,--p_8]).

input_clause(u_54_s3_type1_53,axiom,
    [++q_6,--u_54]).

input_clause(u_s3_type1_54,axiom,
    [++u_55,++q_6,--p_7,--q_8]).

input_clause(u_55_s3_type1_54,axiom,
    [++q_6,--u_55]).

input_clause(u_s3_type1_55,axiom,
    [++u_56,++q_6,--q_7,--p_8]).

input_clause(u_56_s3_type1_55,axiom,
    [++q_6,--u_56]).

input_clause(u_s3_type1_56,axiom,
    [++u_57,++q_6,--q_7,--q_8]).

input_clause(u_57_s3_type1_56,axiom,
    [++q_6,--u_57]).

input_clause(u_s3_type1_57,axiom,
    [++u_58,++p_7,--p_8,--p_9]).

input_clause(u_58_s3_type1_57,axiom,
    [++p_7,--u_58]).

input_clause(u_s3_type1_58,axiom,
    [++u_59,++p_7,--p_8,--q_9]).

input_clause(u_59_s3_type1_58,axiom,
    [++p_7,--u_59]).

input_clause(u_s3_type1_59,axiom,
    [++u_60,++p_7,--q_8,--p_9]).

input_clause(u_60_s3_type1_59,axiom,
    [++p_7,--u_60]).

input_clause(u_s3_type1_60,axiom,
    [++u_61,++p_7,--q_8,--q_9]).

input_clause(u_61_s3_type1_60,axiom,
    [++p_7,--u_61]).

input_clause(u_s3_type1_61,axiom,
    [++u_62,++q_7,--p_8,--p_9]).

input_clause(u_62_s3_type1_61,axiom,
    [++q_7,--u_62]).

input_clause(u_s3_type1_62,axiom,
    [++u_63,++q_7,--p_8,--q_9]).

input_clause(u_63_s3_type1_62,axiom,
    [++q_7,--u_63]).

input_clause(u_s3_type1_63,axiom,
    [++u_64,++q_7,--q_8,--p_9]).

input_clause(u_64_s3_type1_63,axiom,
    [++q_7,--u_64]).

input_clause(u_s3_type1_64,axiom,
    [++u_65,++q_7,--q_8,--q_9]).

input_clause(u_65_s3_type1_64,axiom,
    [++q_7,--u_65]).

input_clause(u_s3_type2_1,axiom,
    [++u_66,++p_9,--p_4]).

input_clause(u_66_s3_type2_1,axiom,
    [++p_9,--u_66]).

input_clause(u_s3_type2_2,axiom,
    [++u_67,++p_10,--p_5]).

input_clause(u_67_s3_type2_2,axiom,
    [++p_10,--u_67]).

input_clause(u_s3_type2_3,axiom,
    [++u_68,++q_9,--q_4]).

input_clause(u_68_s3_type2_3,axiom,
    [++q_9,--u_68]).

input_clause(u_s3_type2_4,axiom,
    [++u_69,++q_10,--q_5]).

input_clause(u_69_s3_type2_4,axiom,
    [++q_10,--u_69]).

input_clause(u_t3_1,axiom,
    [++u_70,++p_8]).

input_clause(u_70_t3_1,axiom,
    [++p_8,--u_70]).

input_clause(u_t3_2,axiom,
    [++u_71,++p_9]).

input_clause(u_71_t3_2,axiom,
    [++p_9,--u_71]).

input_clause(u_t3_3,axiom,
    [++u_72,++q_8]).

input_clause(u_72_t3_3,axiom,
    [++q_8,--u_72]).

input_clause(u_t3_4,axiom,
    [++u_73,++q_9]).

input_clause(u_73_t3_4,axiom,
    [++q_9,--u_73]).
%--------------------------------------------------------------------------
