%--------------------------------------------------------------------------
% File     : SYN100=DAPsymmt3-1.010 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(m(t(3,10)))
% Version  : Theorem formulation : Size 10.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  306 ( 145 non-Horn)(   8 unit)
%            Number of literals          :  892 (   0 equality)
%            Number of predicate symbols :   84 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :  298 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(m_s3_goal_1,theorem,
    [--p_0(X),
     --q_0(X)]).

input_clause(m_s3_type1_1,axiom,
    [++p_0(X),
     --p_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_2,axiom,
    [++p_0(X),
     --p_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_3,axiom,
    [++p_0(X),
     --q_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_4,axiom,
    [++p_0(X),
     --q_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_5,axiom,
    [++q_0(X),
     --p_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_6,axiom,
    [++q_0(X),
     --p_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_7,axiom,
    [++q_0(X),
     --q_1(X),
     --p_2(X)]).

input_clause(m_s3_type1_8,axiom,
    [++q_0(X),
     --q_1(X),
     --q_2(X)]).

input_clause(m_s3_type1_9,axiom,
    [++p_1(X),
     --p_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_10,axiom,
    [++p_1(X),
     --p_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_11,axiom,
    [++p_1(X),
     --q_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_12,axiom,
    [++p_1(X),
     --q_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_13,axiom,
    [++q_1(X),
     --p_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_14,axiom,
    [++q_1(X),
     --p_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_15,axiom,
    [++q_1(X),
     --q_2(X),
     --p_3(X)]).

input_clause(m_s3_type1_16,axiom,
    [++q_1(X),
     --q_2(X),
     --q_3(X)]).

input_clause(m_s3_type1_17,axiom,
    [++p_2(X),
     --p_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_18,axiom,
    [++p_2(X),
     --p_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_19,axiom,
    [++p_2(X),
     --q_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_20,axiom,
    [++p_2(X),
     --q_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_21,axiom,
    [++q_2(X),
     --p_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_22,axiom,
    [++q_2(X),
     --p_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_23,axiom,
    [++q_2(X),
     --q_3(X),
     --p_4(X)]).

input_clause(m_s3_type1_24,axiom,
    [++q_2(X),
     --q_3(X),
     --q_4(X)]).

input_clause(m_s3_type1_25,axiom,
    [++p_3(X),
     --p_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_26,axiom,
    [++p_3(X),
     --p_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_27,axiom,
    [++p_3(X),
     --q_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_28,axiom,
    [++p_3(X),
     --q_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_29,axiom,
    [++q_3(X),
     --p_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_30,axiom,
    [++q_3(X),
     --p_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_31,axiom,
    [++q_3(X),
     --q_4(X),
     --p_5(X)]).

input_clause(m_s3_type1_32,axiom,
    [++q_3(X),
     --q_4(X),
     --q_5(X)]).

input_clause(m_s3_type1_33,axiom,
    [++p_4(X),
     --p_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_34,axiom,
    [++p_4(X),
     --p_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_35,axiom,
    [++p_4(X),
     --q_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_36,axiom,
    [++p_4(X),
     --q_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_37,axiom,
    [++q_4(X),
     --p_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_38,axiom,
    [++q_4(X),
     --p_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_39,axiom,
    [++q_4(X),
     --q_5(X),
     --p_6(X)]).

input_clause(m_s3_type1_40,axiom,
    [++q_4(X),
     --q_5(X),
     --q_6(X)]).

input_clause(m_s3_type1_41,axiom,
    [++p_5(X),
     --p_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_42,axiom,
    [++p_5(X),
     --p_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_43,axiom,
    [++p_5(X),
     --q_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_44,axiom,
    [++p_5(X),
     --q_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_45,axiom,
    [++q_5(X),
     --p_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_46,axiom,
    [++q_5(X),
     --p_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_47,axiom,
    [++q_5(X),
     --q_6(X),
     --p_7(X)]).

input_clause(m_s3_type1_48,axiom,
    [++q_5(X),
     --q_6(X),
     --q_7(X)]).

input_clause(m_s3_type1_49,axiom,
    [++p_6(X),
     --p_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_50,axiom,
    [++p_6(X),
     --p_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_51,axiom,
    [++p_6(X),
     --q_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_52,axiom,
    [++p_6(X),
     --q_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_53,axiom,
    [++q_6(X),
     --p_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_54,axiom,
    [++q_6(X),
     --p_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_55,axiom,
    [++q_6(X),
     --q_7(X),
     --p_8(X)]).

input_clause(m_s3_type1_56,axiom,
    [++q_6(X),
     --q_7(X),
     --q_8(X)]).

input_clause(m_s3_type1_57,axiom,
    [++p_7(X),
     --p_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_58,axiom,
    [++p_7(X),
     --p_8(X),
     --q_9(X)]).

input_clause(m_s3_type1_59,axiom,
    [++p_7(X),
     --q_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_60,axiom,
    [++p_7(X),
     --q_8(X),
     --q_9(X)]).

input_clause(m_s3_type1_61,axiom,
    [++q_7(X),
     --p_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_62,axiom,
    [++q_7(X),
     --p_8(X),
     --q_9(X)]).

input_clause(m_s3_type1_63,axiom,
    [++q_7(X),
     --q_8(X),
     --p_9(X)]).

input_clause(m_s3_type1_64,axiom,
    [++q_7(X),
     --q_8(X),
     --q_9(X)]).

input_clause(m_s3_type1_65,axiom,
    [++p_8(X),
     --p_9(X),
     --p_10(X)]).

input_clause(m_s3_type1_66,axiom,
    [++p_8(X),
     --p_9(X),
     --q_10(X)]).

input_clause(m_s3_type1_67,axiom,
    [++p_8(X),
     --q_9(X),
     --p_10(X)]).

input_clause(m_s3_type1_68,axiom,
    [++p_8(X),
     --q_9(X),
     --q_10(X)]).

input_clause(m_s3_type1_69,axiom,
    [++q_8(X),
     --p_9(X),
     --p_10(X)]).

input_clause(m_s3_type1_70,axiom,
    [++q_8(X),
     --p_9(X),
     --q_10(X)]).

input_clause(m_s3_type1_71,axiom,
    [++q_8(X),
     --q_9(X),
     --p_10(X)]).

input_clause(m_s3_type1_72,axiom,
    [++q_8(X),
     --q_9(X),
     --q_10(X)]).

input_clause(m_s3_type1_73,axiom,
    [++p_9(X),
     --p_10(X),
     --p_11(X)]).

input_clause(m_s3_type1_74,axiom,
    [++p_9(X),
     --p_10(X),
     --q_11(X)]).

input_clause(m_s3_type1_75,axiom,
    [++p_9(X),
     --q_10(X),
     --p_11(X)]).

input_clause(m_s3_type1_76,axiom,
    [++p_9(X),
     --q_10(X),
     --q_11(X)]).

input_clause(m_s3_type1_77,axiom,
    [++q_9(X),
     --p_10(X),
     --p_11(X)]).

input_clause(m_s3_type1_78,axiom,
    [++q_9(X),
     --p_10(X),
     --q_11(X)]).

input_clause(m_s3_type1_79,axiom,
    [++q_9(X),
     --q_10(X),
     --p_11(X)]).

input_clause(m_s3_type1_80,axiom,
    [++q_9(X),
     --q_10(X),
     --q_11(X)]).

input_clause(m_s3_type1_81,axiom,
    [++p_10(X),
     --p_11(X),
     --p_12(X)]).

input_clause(m_s3_type1_82,axiom,
    [++p_10(X),
     --p_11(X),
     --q_12(X)]).

input_clause(m_s3_type1_83,axiom,
    [++p_10(X),
     --q_11(X),
     --p_12(X)]).

input_clause(m_s3_type1_84,axiom,
    [++p_10(X),
     --q_11(X),
     --q_12(X)]).

input_clause(m_s3_type1_85,axiom,
    [++q_10(X),
     --p_11(X),
     --p_12(X)]).

input_clause(m_s3_type1_86,axiom,
    [++q_10(X),
     --p_11(X),
     --q_12(X)]).

input_clause(m_s3_type1_87,axiom,
    [++q_10(X),
     --q_11(X),
     --p_12(X)]).

input_clause(m_s3_type1_88,axiom,
    [++q_10(X),
     --q_11(X),
     --q_12(X)]).

input_clause(m_s3_type1_89,axiom,
    [++p_11(X),
     --p_12(X),
     --p_13(X)]).

input_clause(m_s3_type1_90,axiom,
    [++p_11(X),
     --p_12(X),
     --q_13(X)]).

input_clause(m_s3_type1_91,axiom,
    [++p_11(X),
     --q_12(X),
     --p_13(X)]).

input_clause(m_s3_type1_92,axiom,
    [++p_11(X),
     --q_12(X),
     --q_13(X)]).

input_clause(m_s3_type1_93,axiom,
    [++q_11(X),
     --p_12(X),
     --p_13(X)]).

input_clause(m_s3_type1_94,axiom,
    [++q_11(X),
     --p_12(X),
     --q_13(X)]).

input_clause(m_s3_type1_95,axiom,
    [++q_11(X),
     --q_12(X),
     --p_13(X)]).

input_clause(m_s3_type1_96,axiom,
    [++q_11(X),
     --q_12(X),
     --q_13(X)]).

input_clause(m_s3_type1_97,axiom,
    [++p_12(X),
     --p_13(X),
     --p_14(X)]).

input_clause(m_s3_type1_98,axiom,
    [++p_12(X),
     --p_13(X),
     --q_14(X)]).

input_clause(m_s3_type1_99,axiom,
    [++p_12(X),
     --q_13(X),
     --p_14(X)]).

input_clause(m_s3_type1_100,axiom,
    [++p_12(X),
     --q_13(X),
     --q_14(X)]).

input_clause(m_s3_type1_101,axiom,
    [++q_12(X),
     --p_13(X),
     --p_14(X)]).

input_clause(m_s3_type1_102,axiom,
    [++q_12(X),
     --p_13(X),
     --q_14(X)]).

input_clause(m_s3_type1_103,axiom,
    [++q_12(X),
     --q_13(X),
     --p_14(X)]).

input_clause(m_s3_type1_104,axiom,
    [++q_12(X),
     --q_13(X),
     --q_14(X)]).

input_clause(m_s3_type1_105,axiom,
    [++p_13(X),
     --p_14(X),
     --p_15(X)]).

input_clause(m_s3_type1_106,axiom,
    [++p_13(X),
     --p_14(X),
     --q_15(X)]).

input_clause(m_s3_type1_107,axiom,
    [++p_13(X),
     --q_14(X),
     --p_15(X)]).

input_clause(m_s3_type1_108,axiom,
    [++p_13(X),
     --q_14(X),
     --q_15(X)]).

input_clause(m_s3_type1_109,axiom,
    [++q_13(X),
     --p_14(X),
     --p_15(X)]).

input_clause(m_s3_type1_110,axiom,
    [++q_13(X),
     --p_14(X),
     --q_15(X)]).

input_clause(m_s3_type1_111,axiom,
    [++q_13(X),
     --q_14(X),
     --p_15(X)]).

input_clause(m_s3_type1_112,axiom,
    [++q_13(X),
     --q_14(X),
     --q_15(X)]).

input_clause(m_s3_type1_113,axiom,
    [++p_14(X),
     --p_15(X),
     --p_16(X)]).

input_clause(m_s3_type1_114,axiom,
    [++p_14(X),
     --p_15(X),
     --q_16(X)]).

input_clause(m_s3_type1_115,axiom,
    [++p_14(X),
     --q_15(X),
     --p_16(X)]).

input_clause(m_s3_type1_116,axiom,
    [++p_14(X),
     --q_15(X),
     --q_16(X)]).

input_clause(m_s3_type1_117,axiom,
    [++q_14(X),
     --p_15(X),
     --p_16(X)]).

input_clause(m_s3_type1_118,axiom,
    [++q_14(X),
     --p_15(X),
     --q_16(X)]).

input_clause(m_s3_type1_119,axiom,
    [++q_14(X),
     --q_15(X),
     --p_16(X)]).

input_clause(m_s3_type1_120,axiom,
    [++q_14(X),
     --q_15(X),
     --q_16(X)]).

input_clause(m_s3_type1_121,axiom,
    [++p_15(X),
     --p_16(X),
     --p_17(X)]).

input_clause(m_s3_type1_122,axiom,
    [++p_15(X),
     --p_16(X),
     --q_17(X)]).

input_clause(m_s3_type1_123,axiom,
    [++p_15(X),
     --q_16(X),
     --p_17(X)]).

input_clause(m_s3_type1_124,axiom,
    [++p_15(X),
     --q_16(X),
     --q_17(X)]).

input_clause(m_s3_type1_125,axiom,
    [++q_15(X),
     --p_16(X),
     --p_17(X)]).

input_clause(m_s3_type1_126,axiom,
    [++q_15(X),
     --p_16(X),
     --q_17(X)]).

input_clause(m_s3_type1_127,axiom,
    [++q_15(X),
     --q_16(X),
     --p_17(X)]).

input_clause(m_s3_type1_128,axiom,
    [++q_15(X),
     --q_16(X),
     --q_17(X)]).

input_clause(m_s3_type1_129,axiom,
    [++p_16(X),
     --p_17(X),
     --p_18(X)]).

input_clause(m_s3_type1_130,axiom,
    [++p_16(X),
     --p_17(X),
     --q_18(X)]).

input_clause(m_s3_type1_131,axiom,
    [++p_16(X),
     --q_17(X),
     --p_18(X)]).

input_clause(m_s3_type1_132,axiom,
    [++p_16(X),
     --q_17(X),
     --q_18(X)]).

input_clause(m_s3_type1_133,axiom,
    [++q_16(X),
     --p_17(X),
     --p_18(X)]).

input_clause(m_s3_type1_134,axiom,
    [++q_16(X),
     --p_17(X),
     --q_18(X)]).

input_clause(m_s3_type1_135,axiom,
    [++q_16(X),
     --q_17(X),
     --p_18(X)]).

input_clause(m_s3_type1_136,axiom,
    [++q_16(X),
     --q_17(X),
     --q_18(X)]).

input_clause(m_s3_type1_137,axiom,
    [++p_17(X),
     --p_18(X),
     --p_19(X)]).

input_clause(m_s3_type1_138,axiom,
    [++p_17(X),
     --p_18(X),
     --q_19(X)]).

input_clause(m_s3_type1_139,axiom,
    [++p_17(X),
     --q_18(X),
     --p_19(X)]).

input_clause(m_s3_type1_140,axiom,
    [++p_17(X),
     --q_18(X),
     --q_19(X)]).

input_clause(m_s3_type1_141,axiom,
    [++q_17(X),
     --p_18(X),
     --p_19(X)]).

input_clause(m_s3_type1_142,axiom,
    [++q_17(X),
     --p_18(X),
     --q_19(X)]).

input_clause(m_s3_type1_143,axiom,
    [++q_17(X),
     --q_18(X),
     --p_19(X)]).

input_clause(m_s3_type1_144,axiom,
    [++q_17(X),
     --q_18(X),
     --q_19(X)]).

input_clause(m_s3_type2_1,axiom,
    [++p_19(X),
     --p_9(X)]).

input_clause(m_s3_type2_2,axiom,
    [++p_20(X),
     --p_10(X)]).

input_clause(m_s3_type2_3,axiom,
    [++q_19(X),
     --q_9(X)]).

input_clause(m_s3_type2_4,axiom,
    [++q_20(X),
     --q_10(X)]).

input_clause(m_t3_1,axiom,
    [++p_18(a)]).

input_clause(m_t3_2,axiom,
    [++p_19(a)]).

input_clause(m_t3_3,axiom,
    [++q_18(a)]).

input_clause(m_t3_4,axiom,
    [++q_19(a)]).

input_clause(sym_m_s3_goal_1,axiom,
    [++sym_p_0(X),
     ++sym_q_0(X)]).

input_clause(sym_m_s3_type1_1,axiom,
    [--sym_p_0(X),
     ++sym_p_1(X),
     ++sym_p_2(X)]).

input_clause(sym_m_s3_type1_2,axiom,
    [--sym_p_0(X),
     ++sym_p_1(X),
     ++sym_q_2(X)]).

input_clause(sym_m_s3_type1_3,axiom,
    [--sym_p_0(X),
     ++sym_q_1(X),
     ++sym_p_2(X)]).

input_clause(sym_m_s3_type1_4,axiom,
    [--sym_p_0(X),
     ++sym_q_1(X),
     ++sym_q_2(X)]).

input_clause(sym_m_s3_type1_5,axiom,
    [--sym_q_0(X),
     ++sym_p_1(X),
     ++sym_p_2(X)]).

input_clause(sym_m_s3_type1_6,axiom,
    [--sym_q_0(X),
     ++sym_p_1(X),
     ++sym_q_2(X)]).

input_clause(sym_m_s3_type1_7,axiom,
    [--sym_q_0(X),
     ++sym_q_1(X),
     ++sym_p_2(X)]).

input_clause(sym_m_s3_type1_8,axiom,
    [--sym_q_0(X),
     ++sym_q_1(X),
     ++sym_q_2(X)]).

input_clause(sym_m_s3_type1_9,axiom,
    [--sym_p_1(X),
     ++sym_p_2(X),
     ++sym_p_3(X)]).

input_clause(sym_m_s3_type1_10,axiom,
    [--sym_p_1(X),
     ++sym_p_2(X),
     ++sym_q_3(X)]).

input_clause(sym_m_s3_type1_11,axiom,
    [--sym_p_1(X),
     ++sym_q_2(X),
     ++sym_p_3(X)]).

input_clause(sym_m_s3_type1_12,axiom,
    [--sym_p_1(X),
     ++sym_q_2(X),
     ++sym_q_3(X)]).

input_clause(sym_m_s3_type1_13,axiom,
    [--sym_q_1(X),
     ++sym_p_2(X),
     ++sym_p_3(X)]).

input_clause(sym_m_s3_type1_14,axiom,
    [--sym_q_1(X),
     ++sym_p_2(X),
     ++sym_q_3(X)]).

input_clause(sym_m_s3_type1_15,axiom,
    [--sym_q_1(X),
     ++sym_q_2(X),
     ++sym_p_3(X)]).

input_clause(sym_m_s3_type1_16,axiom,
    [--sym_q_1(X),
     ++sym_q_2(X),
     ++sym_q_3(X)]).

input_clause(sym_m_s3_type1_17,axiom,
    [--sym_p_2(X),
     ++sym_p_3(X),
     ++sym_p_4(X)]).

input_clause(sym_m_s3_type1_18,axiom,
    [--sym_p_2(X),
     ++sym_p_3(X),
     ++sym_q_4(X)]).

input_clause(sym_m_s3_type1_19,axiom,
    [--sym_p_2(X),
     ++sym_q_3(X),
     ++sym_p_4(X)]).

input_clause(sym_m_s3_type1_20,axiom,
    [--sym_p_2(X),
     ++sym_q_3(X),
     ++sym_q_4(X)]).

input_clause(sym_m_s3_type1_21,axiom,
    [--sym_q_2(X),
     ++sym_p_3(X),
     ++sym_p_4(X)]).

input_clause(sym_m_s3_type1_22,axiom,
    [--sym_q_2(X),
     ++sym_p_3(X),
     ++sym_q_4(X)]).

input_clause(sym_m_s3_type1_23,axiom,
    [--sym_q_2(X),
     ++sym_q_3(X),
     ++sym_p_4(X)]).

input_clause(sym_m_s3_type1_24,axiom,
    [--sym_q_2(X),
     ++sym_q_3(X),
     ++sym_q_4(X)]).

input_clause(sym_m_s3_type1_25,axiom,
    [--sym_p_3(X),
     ++sym_p_4(X),
     ++sym_p_5(X)]).

input_clause(sym_m_s3_type1_26,axiom,
    [--sym_p_3(X),
     ++sym_p_4(X),
     ++sym_q_5(X)]).

input_clause(sym_m_s3_type1_27,axiom,
    [--sym_p_3(X),
     ++sym_q_4(X),
     ++sym_p_5(X)]).

input_clause(sym_m_s3_type1_28,axiom,
    [--sym_p_3(X),
     ++sym_q_4(X),
     ++sym_q_5(X)]).

input_clause(sym_m_s3_type1_29,axiom,
    [--sym_q_3(X),
     ++sym_p_4(X),
     ++sym_p_5(X)]).

input_clause(sym_m_s3_type1_30,axiom,
    [--sym_q_3(X),
     ++sym_p_4(X),
     ++sym_q_5(X)]).

input_clause(sym_m_s3_type1_31,axiom,
    [--sym_q_3(X),
     ++sym_q_4(X),
     ++sym_p_5(X)]).

input_clause(sym_m_s3_type1_32,axiom,
    [--sym_q_3(X),
     ++sym_q_4(X),
     ++sym_q_5(X)]).

input_clause(sym_m_s3_type1_33,axiom,
    [--sym_p_4(X),
     ++sym_p_5(X),
     ++sym_p_6(X)]).

input_clause(sym_m_s3_type1_34,axiom,
    [--sym_p_4(X),
     ++sym_p_5(X),
     ++sym_q_6(X)]).

input_clause(sym_m_s3_type1_35,axiom,
    [--sym_p_4(X),
     ++sym_q_5(X),
     ++sym_p_6(X)]).

input_clause(sym_m_s3_type1_36,axiom,
    [--sym_p_4(X),
     ++sym_q_5(X),
     ++sym_q_6(X)]).

input_clause(sym_m_s3_type1_37,axiom,
    [--sym_q_4(X),
     ++sym_p_5(X),
     ++sym_p_6(X)]).

input_clause(sym_m_s3_type1_38,axiom,
    [--sym_q_4(X),
     ++sym_p_5(X),
     ++sym_q_6(X)]).

input_clause(sym_m_s3_type1_39,axiom,
    [--sym_q_4(X),
     ++sym_q_5(X),
     ++sym_p_6(X)]).

input_clause(sym_m_s3_type1_40,axiom,
    [--sym_q_4(X),
     ++sym_q_5(X),
     ++sym_q_6(X)]).

input_clause(sym_m_s3_type1_41,axiom,
    [--sym_p_5(X),
     ++sym_p_6(X),
     ++sym_p_7(X)]).

input_clause(sym_m_s3_type1_42,axiom,
    [--sym_p_5(X),
     ++sym_p_6(X),
     ++sym_q_7(X)]).

input_clause(sym_m_s3_type1_43,axiom,
    [--sym_p_5(X),
     ++sym_q_6(X),
     ++sym_p_7(X)]).

input_clause(sym_m_s3_type1_44,axiom,
    [--sym_p_5(X),
     ++sym_q_6(X),
     ++sym_q_7(X)]).

input_clause(sym_m_s3_type1_45,axiom,
    [--sym_q_5(X),
     ++sym_p_6(X),
     ++sym_p_7(X)]).

input_clause(sym_m_s3_type1_46,axiom,
    [--sym_q_5(X),
     ++sym_p_6(X),
     ++sym_q_7(X)]).

input_clause(sym_m_s3_type1_47,axiom,
    [--sym_q_5(X),
     ++sym_q_6(X),
     ++sym_p_7(X)]).

input_clause(sym_m_s3_type1_48,axiom,
    [--sym_q_5(X),
     ++sym_q_6(X),
     ++sym_q_7(X)]).

input_clause(sym_m_s3_type1_49,axiom,
    [--sym_p_6(X),
     ++sym_p_7(X),
     ++sym_p_8(X)]).

input_clause(sym_m_s3_type1_50,axiom,
    [--sym_p_6(X),
     ++sym_p_7(X),
     ++sym_q_8(X)]).

input_clause(sym_m_s3_type1_51,axiom,
    [--sym_p_6(X),
     ++sym_q_7(X),
     ++sym_p_8(X)]).

input_clause(sym_m_s3_type1_52,axiom,
    [--sym_p_6(X),
     ++sym_q_7(X),
     ++sym_q_8(X)]).

input_clause(sym_m_s3_type1_53,axiom,
    [--sym_q_6(X),
     ++sym_p_7(X),
     ++sym_p_8(X)]).

input_clause(sym_m_s3_type1_54,axiom,
    [--sym_q_6(X),
     ++sym_p_7(X),
     ++sym_q_8(X)]).

input_clause(sym_m_s3_type1_55,axiom,
    [--sym_q_6(X),
     ++sym_q_7(X),
     ++sym_p_8(X)]).

input_clause(sym_m_s3_type1_56,axiom,
    [--sym_q_6(X),
     ++sym_q_7(X),
     ++sym_q_8(X)]).

input_clause(sym_m_s3_type1_57,axiom,
    [--sym_p_7(X),
     ++sym_p_8(X),
     ++sym_p_9(X)]).

input_clause(sym_m_s3_type1_58,axiom,
    [--sym_p_7(X),
     ++sym_p_8(X),
     ++sym_q_9(X)]).

input_clause(sym_m_s3_type1_59,axiom,
    [--sym_p_7(X),
     ++sym_q_8(X),
     ++sym_p_9(X)]).

input_clause(sym_m_s3_type1_60,axiom,
    [--sym_p_7(X),
     ++sym_q_8(X),
     ++sym_q_9(X)]).

input_clause(sym_m_s3_type1_61,axiom,
    [--sym_q_7(X),
     ++sym_p_8(X),
     ++sym_p_9(X)]).

input_clause(sym_m_s3_type1_62,axiom,
    [--sym_q_7(X),
     ++sym_p_8(X),
     ++sym_q_9(X)]).

input_clause(sym_m_s3_type1_63,axiom,
    [--sym_q_7(X),
     ++sym_q_8(X),
     ++sym_p_9(X)]).

input_clause(sym_m_s3_type1_64,axiom,
    [--sym_q_7(X),
     ++sym_q_8(X),
     ++sym_q_9(X)]).

input_clause(sym_m_s3_type1_65,axiom,
    [--sym_p_8(X),
     ++sym_p_9(X),
     ++sym_p_10(X)]).

input_clause(sym_m_s3_type1_66,axiom,
    [--sym_p_8(X),
     ++sym_p_9(X),
     ++sym_q_10(X)]).

input_clause(sym_m_s3_type1_67,axiom,
    [--sym_p_8(X),
     ++sym_q_9(X),
     ++sym_p_10(X)]).

input_clause(sym_m_s3_type1_68,axiom,
    [--sym_p_8(X),
     ++sym_q_9(X),
     ++sym_q_10(X)]).

input_clause(sym_m_s3_type1_69,axiom,
    [--sym_q_8(X),
     ++sym_p_9(X),
     ++sym_p_10(X)]).

input_clause(sym_m_s3_type1_70,axiom,
    [--sym_q_8(X),
     ++sym_p_9(X),
     ++sym_q_10(X)]).

input_clause(sym_m_s3_type1_71,axiom,
    [--sym_q_8(X),
     ++sym_q_9(X),
     ++sym_p_10(X)]).

input_clause(sym_m_s3_type1_72,axiom,
    [--sym_q_8(X),
     ++sym_q_9(X),
     ++sym_q_10(X)]).

input_clause(sym_m_s3_type1_73,axiom,
    [--sym_p_9(X),
     ++sym_p_10(X),
     ++sym_p_11(X)]).

input_clause(sym_m_s3_type1_74,axiom,
    [--sym_p_9(X),
     ++sym_p_10(X),
     ++sym_q_11(X)]).

input_clause(sym_m_s3_type1_75,axiom,
    [--sym_p_9(X),
     ++sym_q_10(X),
     ++sym_p_11(X)]).

input_clause(sym_m_s3_type1_76,axiom,
    [--sym_p_9(X),
     ++sym_q_10(X),
     ++sym_q_11(X)]).

input_clause(sym_m_s3_type1_77,axiom,
    [--sym_q_9(X),
     ++sym_p_10(X),
     ++sym_p_11(X)]).

input_clause(sym_m_s3_type1_78,axiom,
    [--sym_q_9(X),
     ++sym_p_10(X),
     ++sym_q_11(X)]).

input_clause(sym_m_s3_type1_79,axiom,
    [--sym_q_9(X),
     ++sym_q_10(X),
     ++sym_p_11(X)]).

input_clause(sym_m_s3_type1_80,axiom,
    [--sym_q_9(X),
     ++sym_q_10(X),
     ++sym_q_11(X)]).

input_clause(sym_m_s3_type1_81,axiom,
    [--sym_p_10(X),
     ++sym_p_11(X),
     ++sym_p_12(X)]).

input_clause(sym_m_s3_type1_82,axiom,
    [--sym_p_10(X),
     ++sym_p_11(X),
     ++sym_q_12(X)]).

input_clause(sym_m_s3_type1_83,axiom,
    [--sym_p_10(X),
     ++sym_q_11(X),
     ++sym_p_12(X)]).

input_clause(sym_m_s3_type1_84,axiom,
    [--sym_p_10(X),
     ++sym_q_11(X),
     ++sym_q_12(X)]).

input_clause(sym_m_s3_type1_85,axiom,
    [--sym_q_10(X),
     ++sym_p_11(X),
     ++sym_p_12(X)]).

input_clause(sym_m_s3_type1_86,axiom,
    [--sym_q_10(X),
     ++sym_p_11(X),
     ++sym_q_12(X)]).

input_clause(sym_m_s3_type1_87,axiom,
    [--sym_q_10(X),
     ++sym_q_11(X),
     ++sym_p_12(X)]).

input_clause(sym_m_s3_type1_88,axiom,
    [--sym_q_10(X),
     ++sym_q_11(X),
     ++sym_q_12(X)]).

input_clause(sym_m_s3_type1_89,axiom,
    [--sym_p_11(X),
     ++sym_p_12(X),
     ++sym_p_13(X)]).

input_clause(sym_m_s3_type1_90,axiom,
    [--sym_p_11(X),
     ++sym_p_12(X),
     ++sym_q_13(X)]).

input_clause(sym_m_s3_type1_91,axiom,
    [--sym_p_11(X),
     ++sym_q_12(X),
     ++sym_p_13(X)]).

input_clause(sym_m_s3_type1_92,axiom,
    [--sym_p_11(X),
     ++sym_q_12(X),
     ++sym_q_13(X)]).

input_clause(sym_m_s3_type1_93,axiom,
    [--sym_q_11(X),
     ++sym_p_12(X),
     ++sym_p_13(X)]).

input_clause(sym_m_s3_type1_94,axiom,
    [--sym_q_11(X),
     ++sym_p_12(X),
     ++sym_q_13(X)]).

input_clause(sym_m_s3_type1_95,axiom,
    [--sym_q_11(X),
     ++sym_q_12(X),
     ++sym_p_13(X)]).

input_clause(sym_m_s3_type1_96,axiom,
    [--sym_q_11(X),
     ++sym_q_12(X),
     ++sym_q_13(X)]).

input_clause(sym_m_s3_type1_97,axiom,
    [--sym_p_12(X),
     ++sym_p_13(X),
     ++sym_p_14(X)]).

input_clause(sym_m_s3_type1_98,axiom,
    [--sym_p_12(X),
     ++sym_p_13(X),
     ++sym_q_14(X)]).

input_clause(sym_m_s3_type1_99,axiom,
    [--sym_p_12(X),
     ++sym_q_13(X),
     ++sym_p_14(X)]).

input_clause(sym_m_s3_type1_100,axiom,
    [--sym_p_12(X),
     ++sym_q_13(X),
     ++sym_q_14(X)]).

input_clause(sym_m_s3_type1_101,axiom,
    [--sym_q_12(X),
     ++sym_p_13(X),
     ++sym_p_14(X)]).

input_clause(sym_m_s3_type1_102,axiom,
    [--sym_q_12(X),
     ++sym_p_13(X),
     ++sym_q_14(X)]).

input_clause(sym_m_s3_type1_103,axiom,
    [--sym_q_12(X),
     ++sym_q_13(X),
     ++sym_p_14(X)]).

input_clause(sym_m_s3_type1_104,axiom,
    [--sym_q_12(X),
     ++sym_q_13(X),
     ++sym_q_14(X)]).

input_clause(sym_m_s3_type1_105,axiom,
    [--sym_p_13(X),
     ++sym_p_14(X),
     ++sym_p_15(X)]).

input_clause(sym_m_s3_type1_106,axiom,
    [--sym_p_13(X),
     ++sym_p_14(X),
     ++sym_q_15(X)]).

input_clause(sym_m_s3_type1_107,axiom,
    [--sym_p_13(X),
     ++sym_q_14(X),
     ++sym_p_15(X)]).

input_clause(sym_m_s3_type1_108,axiom,
    [--sym_p_13(X),
     ++sym_q_14(X),
     ++sym_q_15(X)]).

input_clause(sym_m_s3_type1_109,axiom,
    [--sym_q_13(X),
     ++sym_p_14(X),
     ++sym_p_15(X)]).

input_clause(sym_m_s3_type1_110,axiom,
    [--sym_q_13(X),
     ++sym_p_14(X),
     ++sym_q_15(X)]).

input_clause(sym_m_s3_type1_111,axiom,
    [--sym_q_13(X),
     ++sym_q_14(X),
     ++sym_p_15(X)]).

input_clause(sym_m_s3_type1_112,axiom,
    [--sym_q_13(X),
     ++sym_q_14(X),
     ++sym_q_15(X)]).

input_clause(sym_m_s3_type1_113,axiom,
    [--sym_p_14(X),
     ++sym_p_15(X),
     ++sym_p_16(X)]).

input_clause(sym_m_s3_type1_114,axiom,
    [--sym_p_14(X),
     ++sym_p_15(X),
     ++sym_q_16(X)]).

input_clause(sym_m_s3_type1_115,axiom,
    [--sym_p_14(X),
     ++sym_q_15(X),
     ++sym_p_16(X)]).

input_clause(sym_m_s3_type1_116,axiom,
    [--sym_p_14(X),
     ++sym_q_15(X),
     ++sym_q_16(X)]).

input_clause(sym_m_s3_type1_117,axiom,
    [--sym_q_14(X),
     ++sym_p_15(X),
     ++sym_p_16(X)]).

input_clause(sym_m_s3_type1_118,axiom,
    [--sym_q_14(X),
     ++sym_p_15(X),
     ++sym_q_16(X)]).

input_clause(sym_m_s3_type1_119,axiom,
    [--sym_q_14(X),
     ++sym_q_15(X),
     ++sym_p_16(X)]).

input_clause(sym_m_s3_type1_120,axiom,
    [--sym_q_14(X),
     ++sym_q_15(X),
     ++sym_q_16(X)]).

input_clause(sym_m_s3_type1_121,axiom,
    [--sym_p_15(X),
     ++sym_p_16(X),
     ++sym_p_17(X)]).

input_clause(sym_m_s3_type1_122,axiom,
    [--sym_p_15(X),
     ++sym_p_16(X),
     ++sym_q_17(X)]).

input_clause(sym_m_s3_type1_123,axiom,
    [--sym_p_15(X),
     ++sym_q_16(X),
     ++sym_p_17(X)]).

input_clause(sym_m_s3_type1_124,axiom,
    [--sym_p_15(X),
     ++sym_q_16(X),
     ++sym_q_17(X)]).

input_clause(sym_m_s3_type1_125,axiom,
    [--sym_q_15(X),
     ++sym_p_16(X),
     ++sym_p_17(X)]).

input_clause(sym_m_s3_type1_126,axiom,
    [--sym_q_15(X),
     ++sym_p_16(X),
     ++sym_q_17(X)]).

input_clause(sym_m_s3_type1_127,axiom,
    [--sym_q_15(X),
     ++sym_q_16(X),
     ++sym_p_17(X)]).

input_clause(sym_m_s3_type1_128,axiom,
    [--sym_q_15(X),
     ++sym_q_16(X),
     ++sym_q_17(X)]).

input_clause(sym_m_s3_type1_129,axiom,
    [--sym_p_16(X),
     ++sym_p_17(X),
     ++sym_p_18(X)]).

input_clause(sym_m_s3_type1_130,axiom,
    [--sym_p_16(X),
     ++sym_p_17(X),
     ++sym_q_18(X)]).

input_clause(sym_m_s3_type1_131,axiom,
    [--sym_p_16(X),
     ++sym_q_17(X),
     ++sym_p_18(X)]).

input_clause(sym_m_s3_type1_132,axiom,
    [--sym_p_16(X),
     ++sym_q_17(X),
     ++sym_q_18(X)]).

input_clause(sym_m_s3_type1_133,axiom,
    [--sym_q_16(X),
     ++sym_p_17(X),
     ++sym_p_18(X)]).

input_clause(sym_m_s3_type1_134,axiom,
    [--sym_q_16(X),
     ++sym_p_17(X),
     ++sym_q_18(X)]).

input_clause(sym_m_s3_type1_135,axiom,
    [--sym_q_16(X),
     ++sym_q_17(X),
     ++sym_p_18(X)]).

input_clause(sym_m_s3_type1_136,axiom,
    [--sym_q_16(X),
     ++sym_q_17(X),
     ++sym_q_18(X)]).

input_clause(sym_m_s3_type1_137,axiom,
    [--sym_p_17(X),
     ++sym_p_18(X),
     ++sym_p_19(X)]).

input_clause(sym_m_s3_type1_138,axiom,
    [--sym_p_17(X),
     ++sym_p_18(X),
     ++sym_q_19(X)]).

input_clause(sym_m_s3_type1_139,axiom,
    [--sym_p_17(X),
     ++sym_q_18(X),
     ++sym_p_19(X)]).

input_clause(sym_m_s3_type1_140,axiom,
    [--sym_p_17(X),
     ++sym_q_18(X),
     ++sym_q_19(X)]).

input_clause(sym_m_s3_type1_141,axiom,
    [--sym_q_17(X),
     ++sym_p_18(X),
     ++sym_p_19(X)]).

input_clause(sym_m_s3_type1_142,axiom,
    [--sym_q_17(X),
     ++sym_p_18(X),
     ++sym_q_19(X)]).

input_clause(sym_m_s3_type1_143,axiom,
    [--sym_q_17(X),
     ++sym_q_18(X),
     ++sym_p_19(X)]).

input_clause(sym_m_s3_type1_144,axiom,
    [--sym_q_17(X),
     ++sym_q_18(X),
     ++sym_q_19(X)]).

input_clause(sym_m_s3_type2_1,axiom,
    [--sym_p_19(X),
     ++sym_p_9(X)]).

input_clause(sym_m_s3_type2_2,axiom,
    [--sym_p_20(X),
     ++sym_p_10(X)]).

input_clause(sym_m_s3_type2_3,axiom,
    [--sym_q_19(X),
     ++sym_q_9(X)]).

input_clause(sym_m_s3_type2_4,axiom,
    [--sym_q_20(X),
     ++sym_q_10(X)]).

input_clause(sym_m_t3_1,axiom,
    [--sym_p_18(a)]).

input_clause(sym_m_t3_2,axiom,
    [--sym_p_19(a)]).

input_clause(sym_m_t3_3,axiom,
    [--sym_q_18(a)]).

input_clause(sym_m_t3_4,axiom,
    [--sym_q_19(a)]).
%--------------------------------------------------------------------------
