%--------------------------------------------------------------------------
% File     : SYN101=DAPnt2-1.005 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem n(t(2,5),5)
% Version  : Theorem formulation : Size 5, 5 variables.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  111 (   0 non-Horn)(  11 unit)
%            Number of literals          :  331 (   0 equality)
%            Number of predicate symbols :   35 (   0 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         :  500 (   0 singleton)
%            Maximal clause size         :    6
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(n_s2_goal_1,theorem,
    [--p_1_5(a,a,a,a,a)]).

input_clause(n_s2_type1_1,axiom,
    [++p_1_2(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5),
     --p_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_2,axiom,
    [++p_1_2(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5),
     --q_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_3,axiom,
    [++p_1_2(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5),
     --p_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_4,axiom,
    [++p_1_2(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5),
     --q_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_5,axiom,
    [++q_1_2(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5),
     --p_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_6,axiom,
    [++q_1_2(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5),
     --q_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_7,axiom,
    [++q_1_2(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5),
     --p_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_8,axiom,
    [++q_1_2(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5),
     --q_1_1(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_9,axiom,
    [++p_1_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_10,axiom,
    [++p_1_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_11,axiom,
    [++p_1_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_12,axiom,
    [++p_1_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_13,axiom,
    [++q_1_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_14,axiom,
    [++q_1_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_15,axiom,
    [++q_1_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_16,axiom,
    [++q_1_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_1_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_17,axiom,
    [++p_1_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_18,axiom,
    [++p_1_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_19,axiom,
    [++p_1_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_20,axiom,
    [++p_1_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_21,axiom,
    [++q_1_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_22,axiom,
    [++q_1_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_23,axiom,
    [++q_1_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_24,axiom,
    [++q_1_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_25,axiom,
    [++p_1_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_26,axiom,
    [++p_1_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_27,axiom,
    [++p_1_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_28,axiom,
    [++p_1_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_29,axiom,
    [++q_1_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_30,axiom,
    [++q_1_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_31,axiom,
    [++q_1_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_32,axiom,
    [++q_1_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_1_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_33,axiom,
    [++p_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_34,axiom,
    [++p_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_35,axiom,
    [++p_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_36,axiom,
    [++p_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_37,axiom,
    [++q_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_38,axiom,
    [++q_2_3(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_39,axiom,
    [++q_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5),
     --p_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_40,axiom,
    [++q_2_3(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5),
     --q_2_2(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_41,axiom,
    [++p_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_42,axiom,
    [++p_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_43,axiom,
    [++p_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_44,axiom,
    [++p_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_45,axiom,
    [++q_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_46,axiom,
    [++q_2_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_47,axiom,
    [++q_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_48,axiom,
    [++q_2_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_49,axiom,
    [++p_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_50,axiom,
    [++p_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_51,axiom,
    [++p_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_52,axiom,
    [++p_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_53,axiom,
    [++q_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_54,axiom,
    [++q_2_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_55,axiom,
    [++q_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_56,axiom,
    [++q_2_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_57,axiom,
    [++p_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_58,axiom,
    [++p_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_59,axiom,
    [++p_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_60,axiom,
    [++p_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_61,axiom,
    [++q_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_62,axiom,
    [++q_3_4(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_63,axiom,
    [++q_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5),
     --p_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_64,axiom,
    [++q_3_4(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5),
     --q_3_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_65,axiom,
    [++p_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_66,axiom,
    [++p_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_67,axiom,
    [++p_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_68,axiom,
    [++p_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_69,axiom,
    [++q_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_70,axiom,
    [++q_3_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_71,axiom,
    [++q_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_72,axiom,
    [++q_3_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_73,axiom,
    [++p_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_5_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_74,axiom,
    [++p_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_5_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_75,axiom,
    [++p_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_5_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_76,axiom,
    [++p_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_5_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_77,axiom,
    [++q_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_5_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_78,axiom,
    [++q_4_5(X_1,X_2,X_3,X_4,X_5),
     --p_5_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_79,axiom,
    [++q_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_5_5(X_1,X_2,X_3,X_4,X_5),
     --p_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type1_80,axiom,
    [++q_4_5(X_1,X_2,X_3,X_4,X_5),
     --q_5_5(X_1,X_2,X_3,X_4,X_5),
     --q_4_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type21_1,axiom,
    [++p_1_1(X_1,X_2,X_3,X_4,X_5),
     --p_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type21_2,axiom,
    [++p_2_2(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type21_3,axiom,
    [++q_1_1(X_1,X_2,X_3,X_4,X_5),
     --q_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type21_4,axiom,
    [++q_2_2(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type22_1,axiom,
    [++p_3_3(X_1,X_2,X_3,X_4,X_5),
     --p_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type22_2,axiom,
    [++p_4_4(X_1,X_2,X_3,X_4,X_5),
     --p_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type22_3,axiom,
    [++p_5_5(X_1,X_2,X_3,X_4,X_5),
     --p_3_5(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type22_4,axiom,
    [++q_3_3(X_1,X_2,X_3,X_4,X_5),
     --q_1_3(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type22_5,axiom,
    [++q_4_4(X_1,X_2,X_3,X_4,X_5),
     --q_2_4(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_s2_type22_6,axiom,
    [++q_5_5(X_1,X_2,X_3,X_4,X_5),
     --q_3_5(X_1,X_2,X_3,X_4,X_5)]).

input_clause(n_t2_1,axiom,
    [++p_1_1(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_2,axiom,
    [++q_1_1(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_3,axiom,
    [++p_2_2(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_4,axiom,
    [++q_2_2(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_5,axiom,
    [++p_3_3(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_6,axiom,
    [++q_3_3(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_7,axiom,
    [++p_4_4(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_8,axiom,
    [++q_4_4(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_9,axiom,
    [++p_5_5(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_t2_10,axiom,
    [++q_5_5(X_1,X_2,X_3,X_4,X_5),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5)]).

input_clause(n_1,axiom,
    [++q_1(a)]).

input_clause(n_2,axiom,
    [++q_1(b)]).

input_clause(n_3,axiom,
    [++q_2(a)]).

input_clause(n_4,axiom,
    [++q_2(b)]).

input_clause(n_5,axiom,
    [++q_3(a)]).

input_clause(n_6,axiom,
    [++q_3(b)]).

input_clause(n_7,axiom,
    [++q_4(a)]).

input_clause(n_8,axiom,
    [++q_4(b)]).

input_clause(n_9,axiom,
    [++q_5(a)]).

input_clause(n_10,axiom,
    [++q_5(b)]).
%--------------------------------------------------------------------------
