%--------------------------------------------------------------------------
% File     : SYN102=DAPnt3-3.005 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem n(t(3,5),20)
% Version  : Theorem formulation : Size 5, 20 variables.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  113 (   0 non-Horn)(  40 unit)
%            Number of literals          :  326 (   0 equality)
%            Number of predicate symbols :   42 (   0 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         : 1440 (   0 singleton)
%            Maximal clause size         :   21
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(n_s3_goal_1,theorem,
    [--p_0(a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a),
     --q_0(a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a)]).

input_clause(n_s3_type1_1,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_2,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_3,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_4,axiom,
    [++p_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_5,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_6,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_7,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_8,axiom,
    [++q_0(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_9,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_10,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_11,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_12,axiom,
    [++p_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_13,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_14,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_15,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_16,axiom,
    [++q_1(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_17,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_18,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_19,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_20,axiom,
    [++p_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_21,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_22,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_23,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_24,axiom,
    [++q_2(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_25,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_26,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_27,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_28,axiom,
    [++p_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_29,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_30,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_31,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_32,axiom,
    [++q_3(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_33,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_34,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_35,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_36,axiom,
    [++p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_37,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_38,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_39,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_40,axiom,
    [++q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_41,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_42,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_43,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_44,axiom,
    [++p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_45,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_46,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_47,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_48,axiom,
    [++q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_49,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_50,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_51,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_52,axiom,
    [++p_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_53,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_54,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_55,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_56,axiom,
    [++q_6(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_57,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_58,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_59,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_60,axiom,
    [++p_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_61,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_62,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_63,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type1_64,axiom,
    [++q_7(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type2_1,axiom,
    [++p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type2_2,axiom,
    [++p_10(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --p_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type2_3,axiom,
    [++q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_4(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_s3_type2_4,axiom,
    [++q_10(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_5(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20)]).

input_clause(n_t3_1,axiom,
    [++p_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10),
     --q_11(X_11),
     --q_12(X_12),
     --q_13(X_13),
     --q_14(X_14),
     --q_15(X_15),
     --q_16(X_16),
     --q_17(X_17),
     --q_18(X_18),
     --q_19(X_19),
     --q_20(X_20)]).

input_clause(n_t3_2,axiom,
    [++p_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10),
     --q_11(X_11),
     --q_12(X_12),
     --q_13(X_13),
     --q_14(X_14),
     --q_15(X_15),
     --q_16(X_16),
     --q_17(X_17),
     --q_18(X_18),
     --q_19(X_19),
     --q_20(X_20)]).

input_clause(n_t3_3,axiom,
    [++q_8(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10),
     --q_11(X_11),
     --q_12(X_12),
     --q_13(X_13),
     --q_14(X_14),
     --q_15(X_15),
     --q_16(X_16),
     --q_17(X_17),
     --q_18(X_18),
     --q_19(X_19),
     --q_20(X_20)]).

input_clause(n_t3_4,axiom,
    [++q_9(X_1,X_2,X_3,X_4,X_5,X_6,X_7,X_8,X_9,X_10,X_11,X_12,X_13,X_14,
X_15,X_16,X_17,X_18,X_19,X_20),
     --q_1(X_1),
     --q_2(X_2),
     --q_3(X_3),
     --q_4(X_4),
     --q_5(X_5),
     --q_6(X_6),
     --q_7(X_7),
     --q_8(X_8),
     --q_9(X_9),
     --q_10(X_10),
     --q_11(X_11),
     --q_12(X_12),
     --q_13(X_13),
     --q_14(X_14),
     --q_15(X_15),
     --q_16(X_16),
     --q_17(X_17),
     --q_18(X_18),
     --q_19(X_19),
     --q_20(X_20)]).

input_clause(n_1,axiom,
    [++q_1(a)]).

input_clause(n_2,axiom,
    [++q_1(b)]).

input_clause(n_3,axiom,
    [++q_2(a)]).

input_clause(n_4,axiom,
    [++q_2(b)]).

input_clause(n_5,axiom,
    [++q_3(a)]).

input_clause(n_6,axiom,
    [++q_3(b)]).

input_clause(n_7,axiom,
    [++q_4(a)]).

input_clause(n_8,axiom,
    [++q_4(b)]).

input_clause(n_9,axiom,
    [++q_5(a)]).

input_clause(n_10,axiom,
    [++q_5(b)]).

input_clause(n_11,axiom,
    [++q_6(a)]).

input_clause(n_12,axiom,
    [++q_6(b)]).

input_clause(n_13,axiom,
    [++q_7(a)]).

input_clause(n_14,axiom,
    [++q_7(b)]).

input_clause(n_15,axiom,
    [++q_8(a)]).

input_clause(n_16,axiom,
    [++q_8(b)]).

input_clause(n_17,axiom,
    [++q_9(a)]).

input_clause(n_18,axiom,
    [++q_9(b)]).

input_clause(n_19,axiom,
    [++q_10(a)]).

input_clause(n_20,axiom,
    [++q_10(b)]).

input_clause(n_21,axiom,
    [++q_11(a)]).

input_clause(n_22,axiom,
    [++q_11(b)]).

input_clause(n_23,axiom,
    [++q_12(a)]).

input_clause(n_24,axiom,
    [++q_12(b)]).

input_clause(n_25,axiom,
    [++q_13(a)]).

input_clause(n_26,axiom,
    [++q_13(b)]).

input_clause(n_27,axiom,
    [++q_14(a)]).

input_clause(n_28,axiom,
    [++q_14(b)]).

input_clause(n_29,axiom,
    [++q_15(a)]).

input_clause(n_30,axiom,
    [++q_15(b)]).

input_clause(n_31,axiom,
    [++q_16(a)]).

input_clause(n_32,axiom,
    [++q_16(b)]).

input_clause(n_33,axiom,
    [++q_17(a)]).

input_clause(n_34,axiom,
    [++q_17(b)]).

input_clause(n_35,axiom,
    [++q_18(a)]).

input_clause(n_36,axiom,
    [++q_18(b)]).

input_clause(n_37,axiom,
    [++q_19(a)]).

input_clause(n_38,axiom,
    [++q_19(b)]).

input_clause(n_39,axiom,
    [++q_20(a)]).

input_clause(n_40,axiom,
    [++q_20(b)]).
%--------------------------------------------------------------------------
